<?xml version="1.0" encoding="UTF-8"?>
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="COCT_MT120000NL_MA">
    <title>A_Marker universal - Ruiters</title>
    <rule context="$element">
        <assert role="error" test="not(@classCode) or @classCode='OBS'"
            >COCT_MT120000NL_MA: @classCode moet, indien anwezig, 'OBS' bevatten</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'"
            >COCT_MT120000NL_MA: @moodCode moet, indien anwezig, 'EVN' bevatten</assert>
        
        <assert role="error" test="hl7:value"
            >COCT_MT120000NL_MA: value is verplicht</assert>
    </rule>
    <rule context="$element/hl7:id">
        <extends rule="II"/>
        <assert role="error" test="@root and @extension"
            >COCT_MT120000NL_MA: id element mist root of extension attribuut</assert>
    </rule>
    <rule context="$element/hl7:code">
        <extends rule="CE"/>
        <!--assert role="error" test="@code='RUITER'"
            >COCT_MT120000NL_MA: @code moet 'RUITER' bevatten</assert>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.5.4'"
            >COCT_MT120000NL_MA: @codeSystem moet '2.16.840.1.113883.5.4' bevatten</assert-->
    </rule>
    <rule context="$element/hl7:text">
        <extends rule="ST"/>
    </rule>
    <rule context="$element/hl7:effectiveTime">
        <extends rule="IVL_TS"/>
    </rule>
    <rule context="$element/hl7:value">
        <extends rule="CE"/>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.2.4.4.30.16'"
            >COCT_MT120000NL_MA: @codeSystem moet '2.16.840.1.113883.2.4.4.30.16' (NHG Tabel 16) bevatten</assert>
    </rule>
    
    <rule context="$element/hl7:author">
        <assert role="error" test="not(@typeCode) or  @typeCode='AUT'"
            >COCT_MT120000NL_MA: @typeCode moet, indien anwezig, 'AUT' bevatten</assert>
        <assert role="error" test="not(@contextControlCode) or  @contextControlCode='ON'"
            >COCT_MT120000NL_MA: @contextControlCode moet, indien anwezig, 'ON' bevatten</assert>
    </rule>
    <rule context="$element/hl7:author/hl7:time">
        <extends rule="TS"/>
    </rule>
        
    <rule context="$element/hl7:performer">
        <assert role="error" test="not(@typeCode) or  @typeCode='PRF'"
            >COCT_MT120000NL_MA: @typeCode moet, indien anwezig, 'PRF' bevatten</assert>
        <assert role="error" test="not(@contextControlCode) or  @contextControlCode='ON'"
            >COCT_MT120000NL_MA: @contextControlCode moet, indien anwezig, 'ON' bevatten</assert>
    </rule>
    
    <rule context="$element/hl7:dataEnterer">
        <assert role="error" test="not(@typeCode) or  @typeCode='ENT'"
            >COCT_MT120000NL_MA: @typeCode moet, indien anwezig, 'ENT' bevatten</assert>
        <assert role="error" test="not(@contextControlCode) or  @contextControlCode='ON'"
            >COCT_MT120000NL_MA: @contextControlCode moet, indien anwezig, 'ON' bevatten</assert>
    </rule>
    <rule context="$element/hl7:dataEnterer/hl7:time">
        <extends rule="TS"/>
    </rule>
    
    <rule context="$element/hl7:subject">
        <assert role="error" test="not(@typeCode) or  @typeCode='SBJ'"
            >COCT_MT120000NL_MA: @typeCode moet, indien anwezig, 'SBJ' bevatten</assert>
    </rule>
</pattern>