<?xml version="1.0" encoding="UTF-8"?>
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="COCT_MT990004NL">
    <title>A_ProcedureEvent universal - Verrichtingen en ingrepen</title>
    <rule context="$element">
        <assert role="error" test="not(@classCode) or @classCode='OBS'"
            >COCT_MT990004NL: @classCode moet, indien anwezig, 'OBS' bevatten</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'"
            >COCT_MT990004NL: @moodCode moet, indien anwezig, 'EVN' bevatten</assert>
        
        <assert role="error" test="ancestor::hl7:encounter or hl7:effectiveTime/@value"
            >COCT_MT990004NL: effectiveTime is verplicht in een niet-contactgebonden therapie</assert>
    </rule>
    
    <rule context="$element/hl7:id">
        <extends rule="II"/>
        <assert role="error" test="@root and @extension"
            >COCT_MT990004NL: id element mist root of extension attribuut</assert>
    </rule>
    <rule context="$element/hl7:code">
        <extends rule="CE"/>
        <assert role="error" test="@nullFlavor or (@code and @displayName)"
            >COCT_MT990004NL: @code en @displayName moeten een warden beavatten</assert>
        <assert role="error" test="@nullFlavor or @codeSystem='2.16.840.1.113883.2.4.4.31.1'"
            >COCT_MT990004NL: @codeSystem moet '2.16.840.1.113883.2.4.4.31.1' (ICPC-1-2000NL) bevatten</assert>
    </rule>
    <rule context="$element/hl7:text">
        <extends rule="ST"/>
    </rule>
    <rule context="$element/hl7:statusCode">
        <extends rule="CS"/>
        <assert role="error" test="@code='completed'"
            >COCT_MT990004NL: @code moet 'completed' bevatten</assert>
    </rule>
    <rule context="$element/hl7:effectiveTime">
        <extends rule="IVL_TS"/>
        <assert role="error" test="hl7:low"
            >COCT_MT990004NL: low moet de datum en indien bekend de tijd bevatten van de start van de therapie</assert>
        <assert role="error" test="not(@value or hl7:center or hl7:width)"
            >COCT_MT990004NL: alleen low en optioneel high mogen worden gebruikt</assert>
    </rule>
    
    <rule context="$element/hl7:author">
        <assert role="error" test="not(@typeCode) or  @typeCode='AUT'"
            >COCT_MT990004NL: @typeCode moet, indien anwezig, 'AUT' bevatten</assert>
        <assert role="error" test="not(@contextControlCode) or  @contextControlCode='ON'"
            >COCT_MT990004NL: @contextControlCode moet, indien anwezig, 'ON' bevatten</assert>
    </rule>
    <rule context="$element/hl7:author/hl7:time">
        <extends rule="TS"/>
    </rule>
    
    <rule context="$element/hl7:dataEnterer">
        <assert role="error" test="not(@typeCode) or  @typeCode='ENT'"
            >COCT_MT990004NL: @typeCode moet, indien anwezig, 'ENT' bevatten</assert>
        <assert role="error" test="not(@contextControlCode) or  @contextControlCode='ON'"
            >COCT_MT990004NL: @contextControlCode moet, indien anwezig, 'ON' bevatten</assert>
    </rule>
    <rule context="$element/hl7:dataEnterer/hl7:time">
        <extends rule="TS"/>
    </rule>
    
    <rule context="$element/hl7:subject">
        <assert role="error" test="not(.)"
            >COCT_MT990004NL: er mag geen (andere) patiënt aan de contra-inicatie worden gekoppeld</assert>
    </rule>
</pattern>