<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.120
Description: COCT_RM900918NL: Gegevens over een zorgplan
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.120">
   <title>A_ZorgPlan [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]"
         id="tmp-9836fe57-6ce3-4b18-89e1-a7efa00a3c45">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:carePlan)&gt;=1 and not(hl7:carePlan/@nullFlavor)">(A_ZorgPlan-universal): element hl7:carePlan is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:carePlan)&lt;=1">(A_ZorgPlan-universal): element hl7:carePlan komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan"
         id="tmp-af0f0967-0ee9-4e43-b039-4683d88d3de4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']/@nullFlavor)">(A_ZorgPlan-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'])&lt;=1">(A_ZorgPlan-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(A_ZorgPlan-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_ZorgPlan-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(A_ZorgPlan-universal): element hl7:component komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:finalGoal)&lt;=1">(A_ZorgPlan-universal): element hl7:finalGoal komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:pertinentInformation)&lt;=1">(A_ZorgPlan-universal): element hl7:pertinentInformation komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">(A_ZorgPlan-universal): element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:subject)&lt;=1">(A_ZorgPlan-universal): element hl7:subject komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']"
         id="tmp-8a548e6c-1fc8-4575-a7ac-83b12e9be501">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.120'">(A_ZorgPlan-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.120' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(A_ZorgPlan-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:id
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:id"
         id="tmp-47eccecf-7556-4052-873d-38c68dad08be">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:code"
         id="tmp-74cfff42-1892-4998-8d28-14f5ae0e5c21">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''G081' codeSystem '2.16.840.1.113883.2.4.4.40.393'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime
Item: (A_ZorgPlan-universal)
-->
<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime"
         id="tmp-7c9af7fb-40d3-415e-a2d0-1eab9dee101e">
      <extends rule="tmp-26a2169f-70d8-4c65-b86c-f65aa747ad5f"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan"
         id="tmp-16d243e7-15ed-4943-91af-8e77c9638584">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule id="tmp-26a2169f-70d8-4c65-b86c-f65aa747ad5f" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:low"
         id="tmp-8cc676ab-9192-4dac-b4f2-5038614f6eab">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:high"
         id="tmp-50ad1e2d-34d4-4986-972e-174afb18152c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component"
         id="tmp-50e38d01-d6e7-44e0-924e-67bac2b6967b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:observationIntent)&gt;=1 and not(hl7:observationIntent/@nullFlavor)">(A_ZorgPlan-universal): element hl7:observationIntent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:observationIntent)&lt;=1">(A_ZorgPlan-universal): element hl7:observationIntent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent"
         id="tmp-9c0ca2f7-400e-40f5-902a-a63c6489cde7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_ZorgPlan-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_ZorgPlan-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent/hl7:code"
         id="tmp-1bbec7eb-edba-4f0f-a0d2-a24189775150">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1155' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent/hl7:value
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent/hl7:value"
         id="tmp-96a22891-f994-4cc6-a58f-c93b250f10ba">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=1))">(A_ZorgPlan-universal): value MOET een stringlengte in bereik [1..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal"
         id="tmp-848bbe7f-549c-4719-ad13-f8958555b29f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@typeCode)='OBJF' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'OBJF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:observationGoal)&gt;=1 and not(hl7:observationGoal/@nullFlavor)">(A_ZorgPlan-universal): element hl7:observationGoal is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:observationGoal)&lt;=1">(A_ZorgPlan-universal): element hl7:observationGoal komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal"
         id="tmp-cd76ab97-7df0-4aa2-bfbe-8a5600a10cb7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='GOL' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'GOL' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_ZorgPlan-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_ZorgPlan-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal/hl7:code"
         id="tmp-4d0e4878-aedf-4ab2-bf2d-f9cd65f0f03e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1154' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal/hl7:value
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal/hl7:value"
         id="tmp-59147d81-f52e-4cc1-a34f-c1f62b38d04d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=1))">(A_ZorgPlan-universal): value MOET een stringlengte in bereik [1..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation"
         id="tmp-2f34a889-63eb-4f39-9ef2-dc015e02d861">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:evaluationEvent)&gt;=1 and not(hl7:evaluationEvent/@nullFlavor)">(A_ZorgPlan-universal): element hl7:evaluationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:evaluationEvent)&lt;=1">(A_ZorgPlan-universal): element hl7:evaluationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent"
         id="tmp-b9a821ba-9298-4ffe-bc7f-6d964ffd4ba7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_ZorgPlan-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_ZorgPlan-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent/hl7:code"
         id="tmp-f89235f8-5af4-4f81-a845-a4fa90fd15df">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1156' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent/hl7:value
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent/hl7:value"
         id="tmp-6e3d1de2-0563-442a-92ed-874be01b7c34">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=1))">(A_ZorgPlan-universal): value MOET een stringlengte in bereik [1..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject"
         id="tmp-e07cb787-65b1-4a05-9bea-35a660dd9652">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@contextControlCode)='AN' or not(@contextControlCode)">(A_ZorgPlan-universal): de waarde van @contextControlCode MOET 'AN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(A_ZorgPlan-universal): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@conjunctionCode)='AND' or not(@conjunctionCode)">(A_ZorgPlan-universal): de waarde van @conjunctionCode MOET 'AND' zijn.</assert>
      <let name="theAttValue" value="@conjunctionCode"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:problem)&gt;=1 and not(hl7:problem/@nullFlavor)">(A_ZorgPlan-universal): element hl7:problem is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:problem)&lt;=1">(A_ZorgPlan-universal): element hl7:problem komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem"
         id="tmp-a8d36657-dbfd-4dc8-8e11-280cf7289174">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_ZorgPlan-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(A_ZorgPlan-universal): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&lt;=1">(A_ZorgPlan-universal): element hl7:reasonOf komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:subjectOf)&lt;=1">(A_ZorgPlan-universal): element hl7:subjectOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:code"
         id="tmp-ae6e0cb7-8de1-48d9-a13e-f14ee5a37eed">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1151' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:text
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:text"
         id="tmp-7872931d-5a30-47b2-9c0a-d72593873f99">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf"
         id="tmp-88d97dfd-800d-48cb-974b-eec5ecfdfc81">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:condition)&gt;=1 and not(hl7:condition/@nullFlavor)">(A_ZorgPlan-universal): element hl7:condition is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:condition)&lt;=1">(A_ZorgPlan-universal): element hl7:condition komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition"
         id="tmp-f28a4db8-c6e3-45a9-ba62-45f167a14aae">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_ZorgPlan-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(A_ZorgPlan-universal): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition/hl7:code"
         id="tmp-67236d0e-abd5-46ee-9c29-b8b9fb679e29">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1152' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition/hl7:text
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition/hl7:text"
         id="tmp-5c6e23e6-8a22-44fa-909f-316939cbe720">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf"
         id="tmp-8bf69f2a-5a9b-4b65-af5a-b6a0ca0736d9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:symptom)&gt;=1 and not(hl7:symptom/@nullFlavor)">(A_ZorgPlan-universal): element hl7:symptom is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:symptom)&lt;=1">(A_ZorgPlan-universal): element hl7:symptom komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom"
         id="tmp-4e77b6b9-3b57-4dd2-83ca-37b92d3ed523">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_ZorgPlan-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(A_ZorgPlan-universal): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom/hl7:code"
         id="tmp-84d77cf8-2e9b-4776-9298-8faafdc11a3a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1153' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom/hl7:text
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom/hl7:text"
         id="tmp-32fd5ce0-e8c3-4f64-b2fa-574a43bc546d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
