<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.121
Description: COCT_RM900914NL: Zwangerschaps- en bevallingsgegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.121">
   <title>A_Zwangerschap [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]"
         id="tmp-e78c9073-cbe9-4929-9dd7-e50626f63866">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:pregnancyCondition)&gt;=1 and not(hl7:pregnancyCondition/@nullFlavor)">(A_Zwangerschap-universal): element hl7:pregnancyCondition is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:pregnancyCondition)&lt;=1">(A_Zwangerschap-universal): element hl7:pregnancyCondition komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition"
         id="tmp-aed8d30b-d0e0-4720-a96d-ecc7c3d60080">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='COND' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'COND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']/@nullFlavor)">(A_Zwangerschap-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121'])&lt;=1">(A_Zwangerschap-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">(A_Zwangerschap-universal): element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:subject)&lt;=1">(A_Zwangerschap-universal): element hl7:subject komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:outcome)&lt;=1">(A_Zwangerschap-universal): element hl7:outcome komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:sequelTo)=0">(A_Zwangerschap-universal): element hl7:sequelTo MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']"
         id="tmp-f09c7a77-d691-4126-bc93-da0cd6e5fce9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.121'">(A_Zwangerschap-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.121' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(A_Zwangerschap-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:code"
         id="tmp-57fcfcc2-7b1e-4d45-b780-f46ef9586979">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''R014' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject"
         id="tmp-4fa81b9a-78d7-4bbc-b722-fff7dc1d754d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:patient|hl7:personalRelationship[hl7:code[@code='NMTH' and @codeSystem='2.16.840.1.113883.5.111']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(A_Zwangerschap-universal): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='NMTH' and @codeSystem='2.16.840.1.113883.5.111']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(A_Zwangerschap-universal): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='NMTH' and @codeSystem='2.16.840.1.113883.5.111']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject"
         id="tmp-3420026f-616b-4257-8340-e3a8279c3c27">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:patient)=0">(A_Zwangerschap-universal): element hl7:patient MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:patient
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:patient"
         id="tmp-7bdf433e-6c21-4761-a0f9-f82cef7f87ed">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='PAT' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship"
         id="tmp-7ac11764-eec6-434c-9f22-ae194a9e3ac9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='PRS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(A_Zwangerschap-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(A_Zwangerschap-universal): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&lt;=1">(A_Zwangerschap-universal): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship/hl7:code"
         id="tmp-ec09b1c6-98e2-4610-b726-2590a57c1354">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or (@code='NMTH' and @codeSystem='2.16.840.1.113883.5.111')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''NMTH' codeSystem '2.16.840.1.113883.5.111'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-317b3e16-d9f3-482d-b7b4-e8ce1f31b382">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@nullFlavor)='NI'">(A_Zwangerschap-universal): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@xsi:nil='true'">(A_Zwangerschap-universal): 
                                    <name/>/@xsi:nil MOET 'true' bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1"
         id="tmp-276dc6d1-c7ee-419c-b6b0-b223a1d9cc78">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(A_Zwangerschap-universal): keuze (hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(A_Zwangerschap-universal): keuze (hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1
Item: (A_Zwangerschap-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-8969eeb0-8b9a-41d6-b43e-f8cac3185739">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@negationInd)='true|false' or not(@negationInd)">(A_Zwangerschap-universal): de waarde van @negationInd MOET 'true|false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:component)=0">(A_Zwangerschap-universal): element hl7:component MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-86738af2-d44d-4f83-8edd-c0911936d500">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or (@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''82' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-c923c3e0-1a0e-4e4f-bead-3198e062eb2b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="(@nullFlavor or (@unit='d'))">(A_Zwangerschap-universal): value MOET eenheid 'd' gebruiken </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="$digitok or @nullFlavor">(A_Zwangerschap-universal): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(A_Zwangerschap-universal): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component
Item: (A_Zwangerschap-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-c4f663e1-e473-4448-97b7-70ac7126ffa5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@negationInd)='true|false' or not(@negationInd)">(A_Zwangerschap-universal): de waarde van @negationInd MOET 'true|false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:component)=0">(A_Zwangerschap-universal): element hl7:component MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-0adc1f0c-6340-4f6c-bc39-7a49ef399543">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code MOET één van de volgende codes bevatten: '91' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '92' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-9c715715-61eb-4a39-8c51-82ed30a9ae8e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component
Item: (A_Zwangerschap-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-9253283e-3f4b-4cf4-bd61-222078ed57b1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@negationInd)='true|false' or not(@negationInd)">(A_Zwangerschap-universal): de waarde van @negationInd MOET 'true|false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-15b9c972-5ce4-49fe-90a6-688c7c232668">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''93' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-fe42106a-c7c9-44b0-beae-3c3d0a98ddd5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component"
         id="tmp-923fa4df-0be4-4e91-9c5e-ba5c78714786">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:detailPregnancyObservation)&gt;=1 and not(hl7:detailPregnancyObservation/@nullFlavor)">(A_Zwangerschap-universal): element hl7:detailPregnancyObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:detailPregnancyObservation)&lt;=1">(A_Zwangerschap-universal): element hl7:detailPregnancyObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation"
         id="tmp-bb7b19d1-1662-4e67-afb3-afd8c89eaa28">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation/hl7:code"
         id="tmp-b0ad5dba-8321-4803-9bae-b8544f16f439">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or (@code='745' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''745' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation/hl7:value"
         id="tmp-170e58c0-0d88-4cf2-916d-a13bef7f934d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.147-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.147-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Zwangerschap-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0147_HL7 W0147 Type drugs (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Zwangerschap-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0147_HL7 W0147 Type drugs (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-c7818ee8-6562-445d-96a8-79e0895b6bbe">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@negationInd)='true|false' or not(@negationInd)">(A_Zwangerschap-universal): de waarde van @negationInd MOET 'true|false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:component)=0">(A_Zwangerschap-universal): element hl7:component MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-280f6bf8-42c2-4ff7-a3b1-0fe0c0d48d2a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or (@code='619' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''619' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-53e8b7ac-0113-4a43-b19d-4e6e96c73c27">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(A_Zwangerschap-universal): value MOET in bereik [1..] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component
Item: (A_Zwangerschap-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-1d15279f-83e4-48b2-9f9b-6bab9649a943">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@negationInd)='true|false' or not(@negationInd)">(A_Zwangerschap-universal): de waarde van @negationInd MOET 'true|false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:component)=0">(A_Zwangerschap-universal): element hl7:component MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-c36835ad-92d6-4735-b42e-8dc29b89270f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or (@code='740' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='741' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code MOET één van de volgende codes bevatten: '740' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '741' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-8d7cb166-2edc-406e-8e1d-7370e80e0557">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(A_Zwangerschap-universal): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="$digitok or @nullFlavor">(A_Zwangerschap-universal): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component
Item: (A_Zwangerschap-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2"
         id="tmp-eb550020-5d6c-4ed3-8091-315f5f9411fc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:substanceAdministrationEvent)&gt;=1 and not(hl7:substanceAdministrationEvent/@nullFlavor)">(A_Zwangerschap-universal): element hl7:substanceAdministrationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:substanceAdministrationEvent)&lt;=1">(A_Zwangerschap-universal): element hl7:substanceAdministrationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent"
         id="tmp-9d5dc955-ee66-4fbb-a9f0-c6cbc10b8786">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='SBADM' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(A_Zwangerschap-universal): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:consumable)&lt;=1">(A_Zwangerschap-universal): element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable"
         id="tmp-a3ea5f90-4ac3-4b79-9aed-31cdc388b0e8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@typeCode)='CSM' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)">(A_Zwangerschap-universal): element hl7:medication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:medication)&lt;=1">(A_Zwangerschap-universal): element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication"
         id="tmp-57a3847f-cdb7-4a3f-8b21-0e4816bfd01d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='ADMM' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)">(A_Zwangerschap-universal): element hl7:administrableMedicine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:administrableMedicine)&lt;=1">(A_Zwangerschap-universal): element hl7:administrableMedicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine"
         id="tmp-224fd4c4-8c1f-4c09-bef3-d30b65648e72">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='MMAT' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@determinerCode)='KIND' or not(@determinerCode)">(A_Zwangerschap-universal): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(A_Zwangerschap-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code"
         id="tmp-26013305-09b7-49fb-acb4-b96fafbe9496">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.134-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.134-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Zwangerschap-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0134_HL7 W0134 Medicijnen soort (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Zwangerschap-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0134_HL7 W0134 Medicijnen soort (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome"
         id="tmp-128af794-37d6-4d28-9fa2-c70b0741e8a8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@typeCode)='OUTC' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'OUTC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:delivery)&gt;=1 and not(hl7:delivery/@nullFlavor)">(A_Zwangerschap-universal): element hl7:delivery is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:delivery)&lt;=1">(A_Zwangerschap-universal): element hl7:delivery komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery"
         id="tmp-49cfba12-44c1-44a8-b5f0-981055dac4f0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='PROC' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:code"
         id="tmp-be1c13af-0a55-42b0-9c7c-cfa6409636d9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''R015' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component"
         id="tmp-2ec4efa4-b5e8-4daa-80b9-154b1986f86e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]|hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(A_Zwangerschap-universal): keuze (hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']] of hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(A_Zwangerschap-universal): keuze (hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']] of hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component
Item: (A_Zwangerschap-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-952778c9-f021-4efd-a485-8e57ef1877e9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-ed9a0f6b-da80-4951-ab93-743a326339f6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''97' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-b2fdda79-545a-45cf-94b8-308a8b134ad0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="(@nullFlavor or (@unit='min'))">(A_Zwangerschap-universal): value MOET eenheid 'min' gebruiken </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="$digitok or @nullFlavor">(A_Zwangerschap-universal): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(A_Zwangerschap-universal): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-e16a9624-bbc1-4d7f-afea-d27a091d53d1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-8511b429-d6e7-471e-ba2f-72df2547cd24">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or (@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''98' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-1bfc45c9-b4d0-4bf9-ae8e-3e2cb5b7016a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="(@nullFlavor or (@unit='min'))">(A_Zwangerschap-universal): value MOET eenheid 'min' gebruiken </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="$digitok or @nullFlavor">(A_Zwangerschap-universal): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(A_Zwangerschap-universal): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-dfba2d88-a06e-463d-ba8d-d06210e48cef">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(A_Zwangerschap-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-91f29a2d-49c3-494f-a402-62e30abe268e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or (@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''100' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-27342732-0a5f-4ff7-a566-01de0b384104">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.153-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.153-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Zwangerschap-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0153_HL7 W0153 Ligging bij geboorte (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Zwangerschap-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0153_HL7 W0153 Ligging bij geboorte (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]"
         id="tmp-e62434d8-1c6e-43b3-8532-4eba521978dd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(A_Zwangerschap-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:code"
         id="tmp-c3fd3685-9245-4a82-8a10-b757f6be4d13">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or (@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''38386-9' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:value"
         id="tmp-8d93e275-efd8-4566-b2ae-4c8ac1c89599">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.158-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.158-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Zwangerschap-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0158_HL7 W0158 Kleur vruchtwater (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Zwangerschap-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0158_HL7 W0158 Kleur vruchtwater (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-65e716cd-59c9-4577-b621-2772792f2d0c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-d597f8f8-fe66-4a6b-ad98-f34756f92c33">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or (@code='105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code MOET één van de volgende codes bevatten: '105' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1323' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-4839dca1-2a7f-439a-9127-e2d9326dc183">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-d5a8146f-78e5-4f60-b985-8b7b7e465e89">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-497a35ef-6b91-4b56-8a03-043a6117305d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or (@code='106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code MOET één van de volgende codes bevatten: '106' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '107' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1324' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-e71d5a01-2107-4858-8359-a08ad073962f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:sequelTo
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:sequelTo"
         id="tmp-d7920137-d2a9-4762-be41-de87742a643c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="count(hl7:sequenceNumber)&lt;=1">(A_Zwangerschap-universal): element hl7:sequenceNumber komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:sequelTo/hl7:sequenceNumber
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:sequelTo/hl7:sequenceNumber"
         id="tmp-4f05cf70-1685-4aff-b13c-5fd52b483d86">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(A_Zwangerschap-universal): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.121-2012-08-01T000000.html"
              test="$digitok or @nullFlavor">(A_Zwangerschap-universal): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>
</pattern>
