<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.124
Description: R_AssignedEntityNL universal (COCT_MT090000NL) teruggebracht tot een Organisatie-id (verplicht), een Organisatie-naam (optioneel) en een Locatie-aanduiding (verplicht)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.124">
   <title>R_AssignedEntityNL [confirmable/location]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]
Item: (R_AssignedEntityNL-confirmable-location)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity
Item: (R_AssignedEntityNL-confirmable-location)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity"
         id="tmp-26f7b2a6-1088-4b04-9a89-b76ad8d05806">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']/@nullFlavor)">(R_AssignedEntityNL-confirmable-location): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124'])&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:assignedOrganization)&gt;=1 and not(hl7:assignedOrganization/@nullFlavor)">(R_AssignedEntityNL-confirmable-location): element hl7:assignedOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:assignedOrganization)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:assignedOrganization komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">(R_AssignedEntityNL-confirmable-location): element hl7:representedOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']
Item: (R_AssignedEntityNL-confirmable-location)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']"
         id="tmp-b06f781e-5f47-4988-b716-0bda906d77f2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.124'">(R_AssignedEntityNL-confirmable-location): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.124' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-confirmable-location): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity/hl7:assignedOrganization
Item: (R_AssignedEntityNL-confirmable-location)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity/hl7:assignedOrganization"
         id="tmp-287a45dd-60e2-4b23-8d21-a2eeb7db1412">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity/hl7:assignedOrganization/hl7:name
Item: (R_AssignedEntityNL-confirmable-location)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity/hl7:assignedOrganization/hl7:name"
         id="tmp-f402a9c7-1b30-4e75-9c45-bcba2c28d104">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ON' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity/hl7:representedOrganization
Item: (R_AssignedEntityNL-confirmable-location)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-18d497cc-93a5-4c7b-b715-917cf352683c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.3']/@nullFlavor)">(R_AssignedEntityNL-confirmable-location): element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (R_AssignedEntityNL-confirmable-location)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-3dce24db-6dc1-4bb0-b50c-702a09f61a0f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.3'">(R_AssignedEntityNL-confirmable-location): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-confirmable-location): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (R_AssignedEntityNL-confirmable-location)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-58b0b51d-9035-4c53-9b7f-77b28c94181b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ON' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
