<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.140
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.140">
   <title>Bericht 3 Geldige partijnummers (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]"
         id="tmp-ca94ea20-e03a-4ee9-8e17-cebcef9e772a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:ProductList)&gt;=1 and not(hl7:ProductList/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:ProductList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:ProductList)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:ProductList komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList"
         id="tmp-ff968e7a-25a7-4e14-945f-cf4b39bece0f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode)='LIST' or not(@classCode)">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(VersturenGeldigePartijnummers-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'])&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:product)&gt;=1 and not(hl7:product/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:product is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']"
         id="tmp-ac250f06-2c24-409c-b26c-70beb9d486d3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.140'">(VersturenGeldigePartijnummers-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.140' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(VersturenGeldigePartijnummers-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:code
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:code"
         id="tmp-4f496209-5fce-4fd8-9e05-105db333fe0b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or (@code='373873005' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Pharmaceutical / biologic product')">(VersturenGeldigePartijnummers-payload): de waarde van @code/@codeSystem MOET ''373873005' codeSystem '2.16.840.1.113883.6.96' displayName='Pharmaceutical / biologic product'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime"
         id="tmp-e4955164-29a8-46d0-b58d-5fb79388970e">
      <extends rule="tmp-1df37250-93a1-4620-bcfd-339b24d8c675"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:center)=0">(VersturenGeldigePartijnummers-payload): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:width)=0">(VersturenGeldigePartijnummers-payload): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:low
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:low"
         id="tmp-d12bc06b-7e7b-4576-99f5-1c1c44f4f702">
      <extends rule="tmp-4c547af8-4a3c-44df-a8a4-505f6dec20c5"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=14))">(VersturenGeldigePartijnummers-payload): value MOET een stringlengte in bereik [14..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:high
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:high"
         id="tmp-b2619668-7cb6-40a8-81f8-fc0ad29017ea">
      <extends rule="tmp-37e14c69-d723-433c-bb84-92c6bdcc5bb8"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=14))">(VersturenGeldigePartijnummers-payload): value MOET een stringlengte in bereik [14..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:center
Item: (VersturenGeldigePartijnummers-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:width
Item: (VersturenGeldigePartijnummers-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList
Item: (Periode-M-Start-M-Eind-M)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList"
         id="tmp-194edd0d-5aa9-4efc-948e-1d41b96cbe92">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-M-Start-M-Eind-M): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime
Item: (Periode-M-Start-M-Eind-M)
-->
<rule id="tmp-1df37250-93a1-4620-bcfd-339b24d8c675" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(Periode-M-Start-M-Eind-M): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(Periode-M-Start-M-Eind-M): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(Periode-M-Start-M-Eind-M): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(Periode-M-Start-M-Eind-M): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:width)=0">(Periode-M-Start-M-Eind-M): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:center)=0">(Periode-M-Start-M-Eind-M): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:low
Item: (Periode-M-Start-M-Eind-M)
-->
<rule id="tmp-4c547af8-4a3c-44df-a8a4-505f6dec20c5" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-M-Start-M-Eind-M): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:high
Item: (Periode-M-Start-M-Eind-M)
-->
<rule id="tmp-37e14c69-d723-433c-bb84-92c6bdcc5bb8" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-M-Start-M-Eind-M): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:width
Item: (Periode-M-Start-M-Eind-M)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:effectiveTime/hl7:center
Item: (Periode-M-Start-M-Eind-M)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product"
         id="tmp-cf331572-6ba3-4715-ae71-06273951f112">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@typeCode)='PRD'">(VersturenGeldigePartijnummers-payload): de waarde van @typeCode MOET 'PRD' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:instanceOfKind)&gt;=1 and not(hl7:instanceOfKind/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:instanceOfKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:instanceOfKind)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:instanceOfKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind"
         id="tmp-fe7c955d-9620-4f1c-a230-9c54aff10b85">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode)='INST'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'INST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:productInstanceInstance)&gt;=1 and not(hl7:productInstanceInstance/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:productInstanceInstance is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:productInstanceInstance)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:productInstanceInstance komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:kindOfProduct)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:kindOfProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance"
         id="tmp-5e7f86b5-6cfa-4e8b-80bf-5b6135ae619f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode)='MMAT'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE'">(VersturenGeldigePartijnummers-payload): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(VersturenGeldigePartijnummers-payload): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:expirationTime)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:expirationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:asInstanceOfKind)&gt;=1 and not(hl7:asInstanceOfKind/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:asInstanceOfKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:asInstanceOfKind)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:asInstanceOfKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:id
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:id"
         id="tmp-6f759805-d037-4ec3-a083-45f369aaf519">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@extension and (@root or @nullFlavor='UNC')">(VersturenGeldigePartijnummers-payload): Er MOET tenminste een partijnummer in @extension staan. Het attribuut @root MOET een waarde bevatten of @nullFlavor='UNC'.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime"
         id="tmp-a9f67149-2e33-492f-b0d4-b9915ea50cdd">
      <extends rule="tmp-5ad27042-bd61-4eb3-b8b7-cc7555fb134f"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:low)=0">(VersturenGeldigePartijnummers-payload): element hl7:low MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:low
Item: (VersturenGeldigePartijnummers-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:high
Item: (VersturenGeldigePartijnummers-payload)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:high"
         id="tmp-2d4bfb6e-8687-424b-98df-f760253eb898">
      <extends rule="tmp-1265e025-b7a2-4509-ac2d-031709e6e58d"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance"
         id="tmp-35abec35-215b-4c7f-87f6-9b3d2a81d9d6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule id="tmp-5ad27042-bd61-4eb3-b8b7-cc7555fb134f" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:low"
         id="tmp-7178c5be-4ad6-49e5-b1e2-53f755103a64">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule id="tmp-1265e025-b7a2-4509-ac2d-031709e6e58d" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind"
         id="tmp-47b13729-7f1c-4190-80cd-a12427f995b9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode)='INST'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'INST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:kindOfMaterialKind)&gt;=1 and not(hl7:kindOfMaterialKind/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:kindOfMaterialKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:kindOfMaterialKind)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:kindOfMaterialKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind"
         id="tmp-d29e1955-a2ff-4a3f-afbf-a130de7cf719">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode)='MAT'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@determinerCode)='KIND'">(VersturenGeldigePartijnummers-payload): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(VersturenGeldigePartijnummers-payload): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind/hl7:code
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind/hl7:code"
         id="tmp-e0bce63b-4577-44b1-b4de-9187f17a071c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(VersturenGeldigePartijnummers-payload): de waarde van @code MOET worden gekozen uit waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(VersturenGeldigePartijnummers-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@displayName">(VersturenGeldigePartijnummers-payload): 
                                            <name path=".."/>/<name/>/@displayName MOET de weergavenaam bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct"
         id="tmp-f1dfc868-01ca-4dab-aeb6-9a761a138413">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode)='MAT'">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@determinerCode)='KIND'">(VersturenGeldigePartijnummers-payload): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(VersturenGeldigePartijnummers-payload): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct/hl7:code
Item: (VersturenGeldigePartijnummers-payload)
-->

<rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct/hl7:code"
         id="tmp-ebc48762-b099-4074-8937-63c6950795af">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH' or not(@nullFlavor)">(VersturenGeldigePartijnummers-payload): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or (@code and @codeSystem and @displayName)">(VersturenGeldigePartijnummers-payload): Als er geen @nullFlavor is, dan MOETEN @code, @codeSystem én @displayName een waarde bevatten.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@nullFlavor) or (@nullFlavor='OTH' and hl7:originalText)">(VersturenGeldigePartijnummers-payload): Als er een @nullFlavor is dan MOET de waarde 'OTH' zijn en MOET originalText de omschrijving bevatten.</assert>
   </rule>
</pattern>
