<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.182
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.182">
   <title>Bericht 2 Opleveren vaccinatiestatus (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]"
         id="tmp-b9538d39-c404-4a0f-a3f1-11aa1f4c2797">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="count(hl7:VaccinationAdministrationList)&gt;=1 and not(hl7:VaccinationAdministrationList/@nullFlavor)">(OpleverenVaccinatiestatus-payload): element hl7:VaccinationAdministrationList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="count(hl7:VaccinationAdministrationList)&lt;=1">(OpleverenVaccinatiestatus-payload): element hl7:VaccinationAdministrationList komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList"
         id="tmp-52dfe940-1aab-4293-93b4-b840878f7b18">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="string(@classCode)='LIST' or not(@classCode)">(OpleverenVaccinatiestatus-payload): de waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(OpleverenVaccinatiestatus-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']/@nullFlavor)">(OpleverenVaccinatiestatus-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182'])&lt;=1">(OpleverenVaccinatiestatus-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">(OpleverenVaccinatiestatus-payload): element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="count(hl7:subject)&lt;=1">(OpleverenVaccinatiestatus-payload): element hl7:subject komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']"
         id="tmp-6e6bf460-34ee-4ccf-aae9-487055dd415b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(OpleverenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.182'">(OpleverenVaccinatiestatus-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.182' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(OpleverenVaccinatiestatus-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:subject
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:subject"
         id="tmp-88a70bfb-87fc-464c-941b-e24d33ea9230">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(OpleverenVaccinatiestatus-payload): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(OpleverenVaccinatiestatus-payload): element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="count(hl7:patient)&lt;=1">(OpleverenVaccinatiestatus-payload): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:subject/hl7:patient
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:subject/hl7:patient"
         id="tmp-25c7f358-4416-46e2-80cc-abd05820c5d9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="string(@classCode)='PAT' or not(@classCode)">(OpleverenVaccinatiestatus-payload): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(OpleverenVaccinatiestatus-payload): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(OpleverenVaccinatiestatus-payload): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:subject/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:subject/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-f0ba5cfb-d05c-40f1-b324-028a8e704e71">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(OpleverenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3'">(OpleverenVaccinatiestatus-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(OpleverenVaccinatiestatus-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]]
Item: (OpleverenVaccinatiestatus-payload)
-->
<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]]"
         id="tmp-038f9328-48c9-4a50-a66d-b5e72982338e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.182-2012-09-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OpleverenVaccinatiestatus-payload): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
