<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.202
Description: Dit is het template voor een control act wrapper in een reagerend opleverbericht. AuthorOrPerformer en Overseer worden hierin niet gecontroleerd. Deze worden in separate templates gedefinieerd
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.202">
   <title>ControlAct Query Response / Acknowledgement</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess"
         id="tmp-ddc27012-4227-4327-9656-62f57730adae">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="string(@moodCode)='EVN'">(ControlActWrapperQUQI_MT120001): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:id)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:text)=0">(ControlActWrapperQUQI_MT120001): element hl7:text MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:reasonCode)=0">(ControlActWrapperQUQI_MT120001): element hl7:reasonCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:languageCode)=0">(ControlActWrapperQUQI_MT120001): element hl7:languageCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:informationRecipient)=0">(ControlActWrapperQUQI_MT120001): element hl7:informationRecipient MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:dataEnterer)=0">(ControlActWrapperQUQI_MT120001): element hl7:dataEnterer MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:queryAck)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:queryAck komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:id
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:id"
         id="tmp-267a6d55-e64b-4439-bbae-d00dc2e2382f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActWrapperQUQI_MT120001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:code
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:code"
         id="tmp-ce87fd62-c913-4a00-8894-e1c74ce91f3c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActWrapperQUQI_MT120001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(ControlActWrapperQUQI_MT120001): de waarde van @codeSystem MOET ''2.16.840.1.113883.1.18'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:text
Item: (ControlActWrapperQUQI_MT120001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:effectiveTime
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:effectiveTime"
         id="tmp-f7228338-9a8c-44c8-a7aa-362d855af731">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActWrapperQUQI_MT120001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:reasonCode
Item: (ControlActWrapperQUQI_MT120001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:languageCode
Item: (ControlActWrapperQUQI_MT120001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:informationRecipient
Item: (ControlActWrapperQUQI_MT120001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:dataEnterer
Item: (ControlActWrapperQUQI_MT120001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:reasonOf
Item: (ControlActWrapperQUQI_MT120001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck"
         id="tmp-542cf80e-d260-4605-8a75-353f6877e2d5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor)">(ControlActWrapperQUQI_MT120001): element hl7:queryId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:queryId)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:queryId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:statusCode)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:queryResponseCode)&gt;=1 and not(hl7:queryResponseCode/@nullFlavor)">(ControlActWrapperQUQI_MT120001): element hl7:queryResponseCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:queryResponseCode)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:queryResponseCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:resultTotalQuantity)&gt;=1 ">(ControlActWrapperQUQI_MT120001): element hl7:resultTotalQuantity is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:resultTotalQuantity)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:resultTotalQuantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:resultCurrentQuantity)&gt;=1 ">(ControlActWrapperQUQI_MT120001): element hl7:resultCurrentQuantity is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:resultCurrentQuantity)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:resultCurrentQuantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:resultRemainingQuantity)&gt;=1 ">(ControlActWrapperQUQI_MT120001): element hl7:resultRemainingQuantity is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="count(hl7:resultRemainingQuantity)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:resultRemainingQuantity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck/hl7:queryId
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck/hl7:queryId"
         id="tmp-d94949be-e7fb-4803-bfcd-570e50cefb6c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActWrapperQUQI_MT120001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck/hl7:statusCode
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck/hl7:statusCode"
         id="tmp-3c6e765a-553c-44d1-baad-93ebb9034794">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActWrapperQUQI_MT120001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="@nullFlavor or (@code='aborted') or (@code='deliveredResponse')">(ControlActWrapperQUQI_MT120001): de waarde van @code MOET één van de volgende codes bevatten: 'aborted' of 'deliveredResponse'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck/hl7:queryResponseCode
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck/hl7:queryResponseCode"
         id="tmp-57a414b6-c069-4dec-b28b-3dbd524d2e78">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActWrapperQUQI_MT120001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="@nullFlavor or (@code='OK') or (@code='NF') or (@code='QE') or (@code='AE')">(ControlActWrapperQUQI_MT120001): de waarde van @code MOET één van de volgende codes bevatten: 'OK' of 'NF' of 'QE' of 'AE'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck/hl7:resultTotalQuantity
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck/hl7:resultTotalQuantity"
         id="tmp-0a039581-1b5e-4100-a91f-0c1551024555">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActWrapperQUQI_MT120001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="$digitok or @nullFlavor">(ControlActWrapperQUQI_MT120001): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck/hl7:resultCurrentQuantity
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck/hl7:resultCurrentQuantity"
         id="tmp-2ca97a28-8a54-4129-bd9c-845cd3833b5e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActWrapperQUQI_MT120001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="$digitok or @nullFlavor">(ControlActWrapperQUQI_MT120001): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck/hl7:resultRemainingQuantity
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck/hl7:resultRemainingQuantity"
         id="tmp-db4d02b2-b0ba-49b0-840a-eb940a05771b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActWrapperQUQI_MT120001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202-2012-10-01T000000.html"
              test="$digitok or @nullFlavor">(ControlActWrapperQUQI_MT120001): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>
</pattern>
