<?xml version="1.0" encoding="UTF-8"?>
<!--

Conversie eh XSLT aanroep script 27-12-2009

EDIFACT XML WCIA tabel 25 DSG segmenten -> HL7 versie 3 bericht fragmenten

mutaties t.b.v. AORTA release 6.0.5.0:
* ondersteuning meerdere interacties
* samenvoeging met hevqq-start.xsl

-->
<xsl:stylesheet exclude-result-prefixes="code xsi hl7" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:code="http://www.nictiz.nl/code"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:hl7="urn:hl7-org:v3" xpath-default-namespace="urn:hl7-org:v3" version="2.0">
    <xsl:output encoding="UTF-8" indent="yes" method="xml" version="1.0"/>
    
    <!--
        PORX_IN924000NL - Medication Dispense Event Complete
        PORX_IN932000NL - Medication Combined Order Activate
        QURX_IN990003NL - Medication Combined Order Query Response
        QURX_IN990013NL - Medication Dispense Event Query Response
        QURX_IN990113NL - Medication Dispense List Query Response
    -->
    <xsl:template match="//hl7:PORX_IN924000NL | //hl7:PORX_IN932000NL | //hl7:QURX_IN990003NL | //hl7:QURX_IN990013NL | //hl7:QURX_IN990113NL">
        <xsl:variable name="todo" select=".//hl7:medicationAdministrationRequest"/>
        <xsl:choose>
            <xsl:when test="count($todo)&gt;3">
                <xsl:comment>
                    <xsl:value-of select="string('Meer dan drie HL7v3-doseerinstructies worden alleen als FTX weergegeven')"/>
                </xsl:comment>
                <xsl:for-each select="$todo">
                    <xsl:call-template name="FTXout">
                        <xsl:with-param name="value" select="./hl7:text"/>
                        <xsl:with-param name="comment" select="./hl7:text"/>
                    </xsl:call-template>
                </xsl:for-each>
            </xsl:when>
            <xsl:otherwise>
                <xsl:for-each select="$todo">
                    <xsl:call-template name="handleDosageInstruction">
                        <xsl:with-param name="ContextPath" select="."/>
                        <xsl:with-param name="SequenceNumber" select="position()"/>
                    </xsl:call-template>
                </xsl:for-each>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template name="handleDosageInstruction">
        <xsl:param name="ContextPath"/>
        <xsl:param name="SequenceNumber"/>

        <xsl:apply-templates select="$ContextPath">
            <xsl:with-param name="DosageIdIsNumeric" select="1"/>
            <xsl:with-param name="SequenceNumber" select="$SequenceNumber"/>
        </xsl:apply-templates>

    </xsl:template>

    <xsl:include href="medicationAdministrationRequest-to-DSG-261.xsl"/>
</xsl:stylesheet>
