<?xml version="1.0" encoding="UTF-8"?>
<!--

Conversie he XSLT
KH 25-04-2007 22-07-2010 10-09-2010 01-10-2010 15-11-2010 07-12-2010 09-12-2010 17-12-2010 
   02-02-2011 05-02-2011 07-02-2011 08-02-2011 09-02-2011

HL7 versie 3 pharmacy bericht fragmenten -> EDIFACT XML WCIA tabel 25 DSG/FTX segmente

-->
<xsl:stylesheet exclude-result-prefixes="code xsi hl7" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:code="http://www.nictiz.nl/code" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:hl7="urn:hl7-org:v3" version="2.0">
    <!--
    output: XML format
  -->
    <xsl:output encoding="UTF-8" indent="yes" method="xml" version="1.0"/>
    <!--

     template voor loop medicationAdministrationRequest

    -->
    <xsl:template match="hl7:medicationAdministrationRequest">
        <xsl:param name="DosageIdIsNumeric"/>

        <!-- patroon herkenning -->
        <xsl:variable name="patroon">
            <xsl:choose>
                <xsl:when test="count(hl7:effectiveTime/hl7:comp[@xsi:type='SXPR_TS'])">
                    <!-- meerdere toedieningsperiodes -->
                    <xsl:text>MTP.</xsl:text>
                    <!--xsl:if test="count(hl7:effectiveTime/hl7:comp[@xsi:type='SXPR_TS' and @operator='A']/hl7:comp[@xsi:type='PIVL_TS' and @operator='I'])"-->
                    <xsl:if test="count(hl7:effectiveTime/hl7:comp[@xsi:type='SXPR_TS' and @operator='A']/hl7:comp[@xsi:type='PIVL_TS'])">
                        <!-- vaste tijden per dag -->
                        <xsl:text>VTD.</xsl:text>
                    </xsl:if>
                    <xsl:if test="count(hl7:effectiveTime/hl7:comp[@xsi:type='SXPR_TS' and @operator='A']/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:phase)">
                        <!-- cyclisch schema -->
                        <xsl:text>CSS.</xsl:text>
                    </xsl:if>
                    <xsl:if test="count(hl7:effectiveTime/hl7:comp[@xsi:type='SXPR_TS' and @operator='A']/hl7:comp[@xsi:type='PIVL_TS' and @operator='E']/hl7:phase)">
                        <!-- cyclisch schema met uitsluiting -->
                        <xsl:text>CSU.</xsl:text>
                    </xsl:if>
                    <xsl:if
                        test="count(hl7:effectiveTime/hl7:comp[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:period) and
                        count(hl7:effectiveTime/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:phase/hl7:width) and 
                        count(hl7:effectiveTime/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:period)">
                        <!-- cyclisch schema met uitsluiting -->
                        <xsl:text>CSU.</xsl:text>
                    </xsl:if>
                    <xsl:if
                        test="count(hl7:effectiveTime/hl7:comp[@xsi:type='SXPR_TS' and @operator='A']/hl7:comp/hl7:period[@value='1' and @unit='d'])&gt;0 and
                            count(hl7:effectiveTime//hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:phase/hl7:width[@value='1' and @unit='d'])&gt;0 and
                            count(hl7:effectiveTime//hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:period[@value='2' and @unit='d'])&gt;0">
                        <!-- cyclisch schema met uitsluiting: om de dag -->
                        <xsl:text>OMD.PIP.</xsl:text>
                    </xsl:if>
                </xsl:when>
                <xsl:when test="count(hl7:effectiveTime[@xsi:type='SXPR_TS' and @operator='A'])">
                    <!-- een toedieningsperiode -->
                    <xsl:text>ETP.</xsl:text>
                </xsl:when>
                <xsl:when test="count(hl7:effectiveTime/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:period)">
                    <!-- periodiek schema -->
                    <xsl:choose>
                        <xsl:when
                            test="count(hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp/hl7:period[@value='1' and @unit='d']) &gt;0 and
                                count(hl7:effectiveTime/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:phase/hl7:width[@value='1' and @unit='d']) &gt;0 and
                                count(hl7:effectiveTime/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:period[@value='2' and @unit='d']) &gt;0">
                            <!-- cyclisch schema: om de dag -->
                            <xsl:text>OMD.PIP.</xsl:text>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:text>PDS.</xsl:text>
                            <xsl:if test="count(hl7:effectiveTime/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:phase)">
                                <!-- cyclisch schema -->
                                <xsl:text>CSS.</xsl:text>
                            </xsl:if>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:when>
                <xsl:when
                    test="hl7:effectiveTime/hl7:comp[1]//hl7:period/@value='1' and hl7:effectiveTime/hl7:comp[1]//hl7:period/@unit='d' and
                        hl7:effectiveTime/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:phase/hl7:width/@value='1' and hl7:effectiveTime/hl7:comp[@xsi:type='PIVL_TS' and
                        @operator='A']/hl7:phase/hl7:width/@unit='d' and hl7:effectiveTime/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:period/@value='2' and
                        hl7:effectiveTime/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:period/@unit='d'">
                    <!-- cyclisch schema met uitsluiting: om de dag -->
                    <xsl:text>OMD.PIP.</xsl:text>
                </xsl:when>
                <xsl:when
                    test="count(hl7:effectiveTime/hl7:comp[@xsi:type='SXPR_TS' and @operator='A']/hl7:comp/hl7:period[@value='1' and @unit='d'])&gt;0 and
                        count(hl7:effectiveTime//hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:phase/hl7:width[@value='1' and @unit='d'])&gt;0 and
                        count(hl7:effectiveTime//hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:period[@value='2' and @unit='d'])&gt;0">
                    <!-- cyclisch schema met uitsluiting: om de dag -->
                    <xsl:text>OMD.PIP.</xsl:text>
                </xsl:when>
                <xsl:when test="count(hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS' and @operator='E']/hl7:phase)">
                    <!-- cyclisch schema met uitsluiting -->
                    <xsl:text>CSU.</xsl:text>
                </xsl:when>
                <xsl:when test="count(hl7:effectiveTime[@xsi:type='PIVL_TS']/hl7:period)">
                    <!-- een periode -->
                    <xsl:text>EIP.</xsl:text>
                </xsl:when>
                <xsl:otherwise>
                    <!-- alleen medicationAdministrationInstruction? -->
                    <xsl:choose>
                        <!-- BEMO/EMD vanaf mei 2007 -->
                        <xsl:when
                            test="(count(hl7:effectiveTime)=0 or (count(hl7:effectiveTime/hl7:comp)=1 and hl7:effectiveTime/hl7:comp[@xsi:type='IVL_TS'])) and
                                (count(hl7:support2/hl7:medicationAdministrationInstruction) or hl7:text!='')">
                            <!-- geen effectiveTime of alleen looptijd aangegeven en alleen medicationAdministrationInstruction -->
                            <xsl:text>ASI.</xsl:text>
                        </xsl:when>
                        <!-- BEMO old-style -->
                        <xsl:when
                            test="(count(hl7:effectiveTime)=0 or (count(hl7:effectiveTime/hl7:comp)=1 and hl7:effectiveTime/hl7:comp[@xsi:type='IVL_TS'])) and
                                (count(hl7:support2/hl7:supportingMedicationAdministrationInstruction) or hl7:text!='')">
                            <!-- geen effectiveTime of alleen looptijd aangegeven en alleen supportingMedicationAdministrationInstruction -->
                            <xsl:text>ASI.</xsl:text>
                        </xsl:when>
                        <xsl:otherwise>
                            <!-- fout : patroon niet herkend en geen medicationAdministrationInstruction -->
                            <xsl:text>UKN.</xsl:text>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:otherwise>
            </xsl:choose>
            <xsl:if
                test="hl7:precondition/hl7:observationEventCriterion/hl7:code[@nullFlavor='NA'] and (hl7:precondition/hl7:observationEventCriterion/hl7:code/hl7:originalText='' or
                    upper-case(hl7:precondition/hl7:observationEventCriterion/hl7:code/hl7:originalText)='ZO NODIG')">
                <!-- zo nodig -->
                <xsl:text>IZN.</xsl:text>
            </xsl:if>
            <xsl:if test="hl7:precondition/hl7:observationEventCriterion/hl7:code[@code='1137'][@codeSystem='2.16.840.1.113883.2.4.4.5']">
                <!-- zo nodig -->
                <xsl:text>IZN.</xsl:text>
            </xsl:if>
            <xsl:if test="hl7:doseCheckQuantity">
                <!-- doseCheckQuantity aanwezig -->
                <xsl:text>DXX.</xsl:text>
            </xsl:if>
            <xsl:if
                test="count(hl7:effectiveTime/*/hl7:period|hl7:effectiveTime/*/hl7:phase|hl7:effectiveTime/hl7:period|hl7:effectiveTime/hl7:phase)>0
                    and count(hl7:doseQuantity)=1">
                <!-- qualified effectiveTime (dwz met minst 1 period of phase) + doseQuantity aanwezig -->
                <xsl:text>QET.</xsl:text>
            </xsl:if>
            <xsl:if test="count(hl7:effectiveTime[@xsi:type='IVL_TS'])>0">
                <!-- effectiveTime met een geldige IVL_TS aanwezig -->
                <xsl:text>ETI0.</xsl:text>
            </xsl:if>
            <xsl:if test="count(hl7:effectiveTime/hl7:comp[1][@xsi:type='IVL_TS'])>0">
                <!-- effectiveTime met een geldige IVL_TS als eerste element aanwezig -->
                <xsl:text>ETI1.</xsl:text>
            </xsl:if>
            <xsl:if test="count(hl7:effectiveTime/hl7:comp[1]/hl7:comp[1][@xsi:type='IVL_TS'])>0">
                <!-- effectiveTime met een geldige IVL_TS als eerste element binnen de eerste comp aanwezig -->
                <xsl:text>ETI2.</xsl:text>
            </xsl:if>

            <!-- te veel PIVL_TS elementen met een phase? -->
            <xsl:if test="count(hl7:effectiveTime//*[@xsi:type='PIVL_TS']/hl7:phase)>1">
                <!-- te veel PIVL_TS -->
                <xsl:text>2VP.</xsl:text>
            </xsl:if>

            <!-- test if n..m with m +ZN per time is given (2 MARs) -->
            <xsl:if test="count(../..//hl7:medicationAdministrationRequest)=2">
                <!-- exact 2 MARs aanwezig -->
                <xsl:text>2MAR.</xsl:text>

                <!-- status codes must be present and equal -->
                <xsl:if test="(../..//hl7:medicationAdministrationRequest/hl7:statusCode/@code)[1] = (../..//hl7:medicationAdministrationRequest/hl7:statusCode/@code)[2]">
                    <xsl:text>PXXS.</xsl:text>
                </xsl:if>

                <!-- if use period is present, interval must be equal -->
                <xsl:choose>
                    <xsl:when test="count(../..//hl7:medicationAdministrationRequest/hl7:effectiveTime/hl7:comp[@xsi:type='IVL_TS'][not(@operator) or @operator='I'])=0">
                        <!-- no intervals useable period, this is ok -->
                        <xsl:text>PXXI.</xsl:text>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:variable name="ivl1">
                            <xsl:for-each select="(../..//hl7:medicationAdministrationRequest/hl7:effectiveTime/hl7:comp[@xsi:type='IVL_TS'][not(@operator) or @operator='I'])[1]">
                                <xsl:value-of select="hl7:low/@value"/>
                                <xsl:text>-</xsl:text>
                                <xsl:value-of select="hl7:high/@value"/>
                            </xsl:for-each>
                        </xsl:variable>
                        <xsl:variable name="ivl2">
                            <xsl:for-each select="(../..//hl7:medicationAdministrationRequest/hl7:effectiveTime/hl7:comp[@xsi:type='IVL_TS'][not(@operator) or @operator='I'])[2]">
                                <xsl:value-of select="hl7:low/@value"/>
                                <xsl:text>-</xsl:text>
                                <xsl:value-of select="hl7:high/@value"/>
                            </xsl:for-each>
                        </xsl:variable>
                        <xsl:if test="$ivl1 = $ivl2">
                            <xsl:text>PXXI.</xsl:text>
                        </xsl:if>
                    </xsl:otherwise>
                </xsl:choose>

                <!-- if effectiveTime.period is present, units must be equal -->
                <xsl:choose>
                    <xsl:when test="count(../..//hl7:medicationAdministrationRequest/hl7:effectiveTime/*/hl7:period)=0">
                        <!-- no period, this is ok -->
                        <xsl:text>PXXP.</xsl:text>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:if
                            test="(../..//hl7:medicationAdministrationRequest/hl7:effectiveTime/*/hl7:period/@unit)[1] = 
                                (../..//hl7:medicationAdministrationRequest/hl7:effectiveTime/*/hl7:period/@unit)[2]">
                            <xsl:text>PXXP.</xsl:text>
                        </xsl:if>
                    </xsl:otherwise>
                </xsl:choose>

                <!-- if doseQuantity is present, units must be equal -->
                <xsl:choose>
                    <xsl:when test="count(../..//hl7:medicationAdministrationRequest/hl7:doseQuantity)=0">
                        <!-- no doseQuantity, this is ok -->
                        <xsl:text>PXXQ.</xsl:text>
                    </xsl:when>
                    <xsl:when test="count(../..//hl7:medicationAdministrationRequest/hl7:doseQuantity/*/@unit)=0">
                        <!-- no units, this is ok -->
                        <xsl:text>PXXQ.</xsl:text>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:if
                            test="(../..//hl7:medicationAdministrationRequest/hl7:doseQuantity/*/@unit)[1] = 
                                (../..//hl7:medicationAdministrationRequest/hl7:doseQuantity/*/@unit)[2]">
                            <xsl:text>PXXQ.</xsl:text>
                        </xsl:if>
                    </xsl:otherwise>
                </xsl:choose>

                <!-- second MAR must contain "zo nodig" -->
                <xsl:for-each select="(../..//hl7:medicationAdministrationRequest)[2]">
                    <xsl:if
                        test="hl7:precondition/hl7:observationEventCriterion/hl7:code[@code='1137'][@codeSystem='2.16.840.1.113883.2.4.4.5'] or
                            upper-case(hl7:precondition/hl7:observationEventCriterion/hl7:code/hl7:originalText)='ZO NODIG' or
                            upper-case(hl7:precondition/hl7:observationEventCriterion/hl7:code/@displayName)='ZO NODIG'">
                        <xsl:text>PXXZ.</xsl:text>
                    </xsl:if>
                </xsl:for-each>

                <!-- summary: variable frequencies assumed to be present if 2MAR.PXXS.PXXI.PXXP.PXXQ.PXXZ is contained -->

            </xsl:if>

        </xsl:variable>

        <!-- comment on pattern found -->
        <xsl:comment>
            <xsl:text>Patroon: </xsl:text>
            <xsl:value-of select="$patroon"/>
        </xsl:comment>
        <xsl:text>&#10;</xsl:text>

        <!-- de volgende variables worden alleen gebruikt binnen het eerste when van de volgende
                 choose maar moeten worden globaal gedeclareerd, vandaar staan ze buiten de choice
            -->
        <!-- opslaan period.value -->
        <xsl:variable name="theVunconv">
            <xsl:choose>
                <xsl:when test="count(hl7:effectiveTime/hl7:comp[@operator='A']/hl7:period/@value)">
                    <xsl:value-of select="(hl7:effectiveTime/hl7:comp[@operator='A']/hl7:period/@value)[1]"/>
                </xsl:when>
                <xsl:when test="count(hl7:effectiveTime/hl7:comp[@operator='A']/*/hl7:period/@value)">
                    <xsl:value-of select="(hl7:effectiveTime/hl7:comp[@operator='A']/*/hl7:period/@value)[1]"/>
                </xsl:when>
                <xsl:when test="count(hl7:effectiveTime//hl7:comp[@xsi:type='PIVL_TS']/hl7:period/@value)">
                    <xsl:value-of select="(hl7:effectiveTime//hl7:comp[@xsi:type='PIVL_TS']/hl7:period/@value)[1]"/>
                </xsl:when>
                <xsl:when test="count(hl7:effectiveTime/hl7:period/@value)">
                    <xsl:value-of select="hl7:effectiveTime/hl7:period/@value"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="0"/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <xsl:variable name="theV">
            <!-- normalize digits -->
            <xsl:value-of select="format-number($theVunconv, '0.####')"/>
        </xsl:variable>

        <!--x<xsl:value-of select="hl7:effectiveTime/hl7:comp[@operator='A']/hl7:period/@value"/>x-->
        <!-- opslaan "1 / period.value" in goede precisie -->
        <xsl:variable name="theVK">
            <xsl:choose>
                <xsl:when test="$theV = 0">
                    <!-- no chance - will cause abort of XtYa => NOXTYA -->
                    <xsl:text>INF</xsl:text>
                </xsl:when>
                <xsl:when test="$theV &lt; 1">
                    <!-- correctie voor period.value kleiner 1 -> door ronden van 1/n op hele getal -->
                    <!--<xsl:value-of select="round(round(100000 div $theV div 100) div 1000)"/>-->
                    <!--<xsl:value-of select="format-number(1 div $theV, '0.#####')"/>-->
                    <!--<xsl:value-of select="(round(100000 div $theV div 100) div 1000)"/>-->
                    <xsl:choose>
                        <xsl:when test="abs(round (1 div $theV) - (1 div $theV))&lt;0.17">
                            <!-- een tolerantie van 0.17 werkt nog net tot 1/52 goed met 4 decimalen afgekapt voor 1/n -->
                            <xsl:value-of select="round (1 div $theV)"/>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:value-of select="format-number(1 div $theV, '0.####')"/>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:when>
                <xsl:otherwise>
                    <!-- in alle anderen gevallen gaat het zo goed -->
                    <!--<xsl:value-of select="round(100000 div $theV div 100) div 1000"/>-->
                    <xsl:value-of select="format-number(1 div $theV, '0.####')"/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>

        <!-- opslaan period.unit -->
        <xsl:variable name="theU">
            <xsl:choose>
                <xsl:when test="count(hl7:effectiveTime/hl7:comp[@operator='A']/hl7:period/@unit)">
                    <xsl:value-of select="hl7:effectiveTime/hl7:comp[@operator='A']/hl7:period/@unit"/>
                </xsl:when>
                <xsl:when test="count(hl7:effectiveTime//hl7:comp[@xsi:type='PIVL_TS']/hl7:period/@unit)">
                    <xsl:value-of select="(hl7:effectiveTime//hl7:comp[@xsi:type='PIVL_TS']/hl7:period/@unit)[1]"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="hl7:effectiveTime/hl7:period/@unit"/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <!-- opslaan tab 25 code op basis van period.value en period.unit -->
        <xsl:variable name="theE">
            <xsl:value-of select="(document('codes25.xml')/*/code[@HL7tijdv=$theV and @HL7tijdu=$theU]/@t25tijdn)[1]"/>
        </xsl:variable>


        <!-- get the position of this MAR, needed for variable frequency -->
        <xsl:variable name="MARnum" select="position()"/>

        <!--
                determine processMode
                =====================                
                detect possible variable frequency and process accordingly
                - if MAR # = 1 processMode=MAR1
                - if MAR # = 2 processMode=NONE
                in all other cases
                - processMode=NORMAL
         -->
        <xsl:variable name="processMode">
            <xsl:choose>
                <xsl:when test="$theVK='INF'">
                    <xsl:text>NOXTYA</xsl:text>
                </xsl:when>
                <xsl:when test="contains($patroon,'2MAR.PXXS.PXXI.PXXP.PXXQ.PXXZ')">
                    <xsl:choose>
                        <xsl:when test="$MARnum=1">
                            <xsl:comment>
                                <xsl:text>Variable Frequencies MAR #</xsl:text>
                                <xsl:value-of select="$MARnum"/>
                                <xsl:text>:</xsl:text>
                                <xsl:text> processing</xsl:text>
                            </xsl:comment>
                            <xsl:text>MAR1</xsl:text>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:comment>
                                <xsl:text>Variable Frequencies MAR #</xsl:text>
                                <xsl:value-of select="$MARnum"/>
                                <xsl:text>:</xsl:text>
                                <xsl:text> ignoring</xsl:text>
                            </xsl:comment>
                            <xsl:text>NONE</xsl:text>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:when>
                <xsl:when test="contains($patroon,'UKN')">
                    <!-- onbekende patroon niet naar XTYA vertalen -->
                    <xsl:text>NOXTYA</xsl:text>
                </xsl:when>
                <xsl:when test="(contains($patroon,'2VP')) and not (contains($patroon,'OMD'))">
                    <!-- te veel PIVL_TS patroon niet naar XTYA vertalen, tenzij om de dag -->
                    <xsl:text>NOXTYA</xsl:text>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:text>NORMAL</xsl:text>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>

        <!-- opslaan period.value van MAR#2 -->
        <xsl:variable name="theV2">
            <xsl:for-each select="(../..//hl7:medicationAdministrationRequest)[2]">
                <xsl:choose>
                    <xsl:when test="count(hl7:effectiveTime/hl7:comp[@operator='A']/hl7:period/@value)">
                        <xsl:value-of select="(hl7:effectiveTime/hl7:comp[@operator='A']/hl7:period/@value)[1]"/>
                    </xsl:when>
                    <xsl:when test="count(hl7:effectiveTime/hl7:comp[@operator='A']/*/hl7:period/@value)">
                        <xsl:value-of select="(hl7:effectiveTime/hl7:comp[@operator='A']/*/hl7:period/@value)[1]"/>
                    </xsl:when>
                    <xsl:when test="count(hl7:effectiveTime/hl7:period/@value)">
                        <xsl:value-of select="hl7:effectiveTime/hl7:period/@value"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="0"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:for-each>
        </xsl:variable>
        <!-- let op theV2 may be undef or empty -->
        <!-- opslaan "1 / period.value" in goede precisie van MAR#2-->
        <xsl:variable name="theV2K">
            <xsl:if test="$theV2 castable as xs:double">
                <xsl:choose>
                    <xsl:when test="$theV2 &lt; 1">
                        <!-- correctie voor period.value kleiner 1 -> door ronden van 1/n op hele getal -->
                        <xsl:value-of select="round(round(100000 div $theV2 div 100) div 1000)"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <!-- in alle anderen gevallen gaat het zo goed -->
                        <xsl:value-of select="round(100000 div $theV2 div 100) div 1000"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:if>
        </xsl:variable>
        <!-- let op theV2K may be undef or empty -->

        <!--
        <xsl:comment>
            <xsl:text>X-UNIT 1 (theV)=</xsl:text>
            <xsl:value-of select="$theV"/>
            <xsl:text> unconv=</xsl:text>
            <xsl:value-of select="$theVunconv"/>
            <xsl:text>&#10;</xsl:text>
            <xsl:text> X-UNIT 2 (theV2)=</xsl:text>
            <xsl:value-of select="$theV2"/>
            <xsl:text>&#10;</xsl:text>
            <xsl:text> X-UNIT conv 1 (theVK)=</xsl:text>
            <xsl:value-of select="$theVK"/>
            <xsl:text>&#10;</xsl:text>
            <xsl:text> X-UNIT conv 2 (theV2K)=</xsl:text>
            <xsl:value-of select="$theV2K"/>
            <xsl:text>&#10;</xsl:text>
            <xsl:if test="($theVK castable as xs:integer) and ($theV2K castable as xs:integer)">
                <xsl:text> RESULTS IN </xsl:text>
                <xsl:value-of select="$theVK"/>
                <xsl:text> .. </xsl:text>
                <xsl:value-of select="$theVK+$theV2K"/>
                <xsl:text>&#10;</xsl:text>
            </xsl:if>
            <xsl:text> trans25 E=</xsl:text>
            <xsl:value-of select="$theE"/>
            <xsl:text>&#10;</xsl:text>
        </xsl:comment>
        -->

        <!-- 
            output processMode
            ==================
        -->
        <xsl:if test="hl7:id">
            <xsl:comment>
                <xsl:text>MAR Id = </xsl:text>
                <xsl:value-of select="hl7:id/@extension"/>
                <xsl:text> </xsl:text>
                <xsl:value-of select="hl7:id/@root"/>
            </xsl:comment>
            <xsl:text>&#10;</xsl:text>
        </xsl:if>
        <xsl:comment>
            <xsl:text>ProcessMode = </xsl:text>
            <xsl:value-of select="$processMode"/>
        </xsl:comment>
        <xsl:text>&#10;</xsl:text>

        <xsl:if test="$processMode='NOXTYA'">
            <!-- signal unsuccessful HL7 translation for this MAR -->
            <xsl:comment>unsuccessfulHL7translation</xsl:comment>
        </xsl:if>

        <!-- 
            process MAR only if procssMode is NORMAL or MAR1
            ================================================
        -->
        <xsl:if test="$processMode='NORMAL' or $processMode='MAR1' or $processMode='NOXTYA'">

            <G00007>
                <S07>
                    <Sequence_number>
                        <xsl:number value="position()"/>
                    </Sequence_number>
                </S07>
                <xsl:comment>
                    <xsl:value-of select="hl7:text/text()"/>
                </xsl:comment>

                <xsl:choose>
                    <!-- 
                    doseCheckQuantity vertalen
                    ====================================
                -->
                    <xsl:when test="contains($patroon,'DXX') and not (contains($patroon,'QET'))">
                        <!--
                        doseCheckQuantity aanwezig and geen qualified effectiveTime -> gewoon een poging tot vertaling doen
                        bijvoorbeeld
                        10 ml / 2 dagen ==> -DT 10 ML
                        
                        openstaand: wat doen als
                        1 g / 17 dagen  ==> -17D 1 GR?????

                    -->
                        <!-- get nominator unit and value ("hoeveelheid") -->
                        <xsl:variable name="dxxNv">
                            <xsl:choose>
                                <xsl:when test="string-length(hl7:doseCheckQuantity/hl7:numerator/@value)>0">
                                    <xsl:value-of select="hl7:doseCheckQuantity/hl7:numerator/@value"/>
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:value-of select="0"/>
                                </xsl:otherwise>
                            </xsl:choose>
                        </xsl:variable>
                        <xsl:variable name="dxxNu">
                            <xsl:choose>
                                <xsl:when test="string-length(hl7:doseCheckQuantity/hl7:numerator/@unit)>0">
                                    <xsl:value-of select="hl7:doseCheckQuantity/hl7:numerator/@unit"/>
                                </xsl:when>
                                <xsl:otherwise>
                                    <!-- als unit hier ontbreekt is default stuk -->
                                    <xsl:value-of select="'1'"/>
                                </xsl:otherwise>
                            </xsl:choose>
                        </xsl:variable>
                        <!-- get denominator unit and value (tijdsintervalbreedte) -->
                        <xsl:variable name="dxxDv">
                            <xsl:choose>
                                <xsl:when test="string-length(hl7:doseCheckQuantity/hl7:denominator/@value)>0">
                                    <xsl:value-of select="hl7:doseCheckQuantity/hl7:denominator/@value"/>
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:value-of select="0"/>
                                </xsl:otherwise>
                            </xsl:choose>
                        </xsl:variable>
                        <xsl:variable name="dxxDu">
                            <xsl:choose>
                                <xsl:when test="string-length(hl7:doseCheckQuantity/hl7:denominator/@unit)>0">
                                    <xsl:value-of select="hl7:doseCheckQuantity/hl7:denominator/@unit"/>
                                </xsl:when>
                                <xsl:otherwise>
                                    <!-- er is eigenlijk geen default! -->
                                    <xsl:value-of select="'1'"/>
                                </xsl:otherwise>
                            </xsl:choose>
                        </xsl:variable>

                        <xsl:variable name="dcqComment">
                            <xsl:value-of select="./hl7:text"/>
                            <xsl:text> - </xsl:text>
                            <xsl:text>dose check quantity: </xsl:text>
                            <xsl:value-of select="$dxxNv"/>
                            <xsl:text> </xsl:text>
                            <xsl:choose>
                                <xsl:when test="$dxxNu='1'">
                                    <xsl:text>stuk</xsl:text>
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:value-of select="$dxxNu"/>
                                </xsl:otherwise>
                            </xsl:choose>
                            <xsl:text> per </xsl:text>
                            <xsl:value-of select="$dxxDv"/>
                            <xsl:text> </xsl:text>
                            <xsl:choose>
                                <xsl:when test="$dxxDv=1 and string-length((document('codes25.xml')/*/hl7code[@code=$dxxDu]/@mnsing)[1])>0">
                                    <xsl:value-of select="(document('codes25.xml')/*/hl7code[@code=$dxxDu]/@mnsing)[1]"/>
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:choose>
                                        <xsl:when test="string-length((document('codes25.xml')/*/hl7code[@code=$dxxDu]/@mnplur)[1])>0">
                                            <xsl:value-of select="(document('codes25.xml')/*/hl7code[@code=$dxxDu]/@mnplur)[1]"/>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <xsl:value-of select="$dxxDu"/>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </xsl:otherwise>
                            </xsl:choose>
                        </xsl:variable>
                        <xsl:comment>
                            <xsl:value-of select="$dcqComment"/>
                        </xsl:comment>

                        <!-- try translations denominator -->
                        <xsl:choose>
                            <xsl:when test="(document('codes25.xml')/*/code[@HL7tijdv=$dxxDv and @HL7tijdu=$dxxDu]/@t25tijdm)[1]">
                                <!-- exact one translation of denominator value and unit combination possible, blow it out -->
                                <xsl:call-template name="DSGout">
                                    <xsl:with-param name="param">X</xsl:with-param>
                                    <xsl:with-param name="id">
                                        <xsl:value-of select="string('-')"/>
                                    </xsl:with-param>
                                    <xsl:with-param name="value">
                                        <xsl:value-of select="string('-')"/>
                                    </xsl:with-param>
                                </xsl:call-template>
                                <xsl:call-template name="DSGout">
                                    <xsl:with-param name="param">T</xsl:with-param>
                                    <xsl:with-param name="id">
                                        <xsl:choose>
                                            <xsl:when test="$DosageIdIsNumeric">
                                                <xsl:value-of select="(document('codes25.xml')/*/code[@HL7tijdv=$dxxDv and @HL7tijdu=$dxxDu]/@t25tijdn)[1]"/>
                                            </xsl:when>
                                            <xsl:otherwise>
                                                <xsl:value-of select="(document('codes25.xml')/*/code[@HL7tijdv=$dxxDv and @HL7tijdu=$dxxDu]/@t25tijdm)[1]"/>
                                            </xsl:otherwise>
                                        </xsl:choose>
                                    </xsl:with-param>
                                    <xsl:with-param name="value">
                                        <xsl:value-of select="(document('codes25.xml')/*/code[@HL7tijdv=$dxxDv and @HL7tijdu=$dxxDu]/@t25tijdb)[1]"/>
                                    </xsl:with-param>
                                </xsl:call-template>
                                <!-- try translations numerator -->
                                <xsl:call-template name="DSGout">
                                    <xsl:with-param name="param">Y</xsl:with-param>
                                    <xsl:with-param name="id">
                                        <xsl:value-of select="$dxxNv"/>
                                    </xsl:with-param>
                                    <xsl:with-param name="value">
                                        <xsl:value-of select="$dxxNv"/>
                                    </xsl:with-param>
                                </xsl:call-template>
                                <xsl:call-template name="DSGout">
                                    <xsl:with-param name="param">A</xsl:with-param>
                                    <xsl:with-param name="id">
                                        <xsl:choose>
                                            <xsl:when test="$DosageIdIsNumeric">
                                                <xsl:value-of select="(document('codes25.xml')/*/code[@HL7yau=$dxxNu and @HL7yav='1']/@t25gan)[1]"/>
                                            </xsl:when>
                                            <xsl:otherwise>
                                                <xsl:value-of select="(document('codes25.xml')/*/code[@HL7yau=$dxxNu and @HL7yav='1']/@t25gam)[1]"/>
                                            </xsl:otherwise>
                                        </xsl:choose>
                                    </xsl:with-param>
                                    <xsl:with-param name="value">
                                        <xsl:value-of select="(document('codes25.xml')/*/code[@HL7yau=$dxxNu and @HL7yav='1']/@t25gab)[1]"/>
                                    </xsl:with-param>
                                </xsl:call-template>
                            </xsl:when>
                            <xsl:otherwise>
                                <!-- give up???, how to say per 22 days when there is NO code, spit out FTX only -->
                                <xsl:comment>
                                    <xsl:value-of select="string('Niet vertaalbare doseCheckQuantity HL7v3-doseerinstructies worden alleen als FTX weergegeven')"/>
                                    <xsl:value-of select="$dcqComment"/>
                                </xsl:comment>
                                <xsl:for-each select="hl7:doseCheckQuantity">
                                    <xsl:call-template name="FTXout">
                                        <xsl:with-param name="value" select="$dcqComment"/>
                                        <xsl:with-param name="comment" select="$dcqComment"/>
                                    </xsl:call-template>
                                </xsl:for-each>
                            </xsl:otherwise>
                        </xsl:choose>

                    </xsl:when>
                    <!-- 
                    effectiveTime naar X en T optie 1
                    =================================
                -->
                    <xsl:when
                        test="count(hl7:effectiveTime/hl7:comp[@operator='A']/hl7:comp)=0 and not(contains($patroon,'UKN')) and not(contains($patroon,'ASI')) and
                        not(contains($patroon,'OMD')) and not(contains($patroon,'CSU')) and $processMode!='NOXTYA'">
                        <xsl:variable name="theEMN">
                            <xsl:value-of select="document('codes25.xml')/*/code[@HL7tijdv=$theV and @HL7tijdu=$theU][1]/@t25tijdm"/>
                        </xsl:variable>
                        <xsl:choose>
                            <xsl:when test="$theE=''">
                                <!-- 
                                    er is geen directe tabel 25 vertaling gevonden
                                    
                                    als
                                      $theVK, dus 1 / period.value >= 1
                                      en
                                      $theVK geen fractie (dus een geheel getal)
                                    dan 
                                      geef uit
                                        X als 1 / period.value
                                        T als period.unit
                                        
                                    anders signaleer dat dit niet te vertalen is
                                    
                                -->
                                <xsl:choose>
                                    <xsl:when test="$theVK &gt;= 1 and not(contains($theVK, '.'))">
                                        <xsl:call-template name="DSGout">
                                            <xsl:with-param name="param">X</xsl:with-param>
                                            <xsl:with-param name="id">
                                                <xsl:value-of select="$theVK"/>
                                                <xsl:if test="$processMode='MAR1' and $theV2K castable as xs:integer">
                                                    <xsl:text>-</xsl:text>
                                                    <xsl:value-of select="$theVK+$theV2K"/>
                                                </xsl:if>
                                            </xsl:with-param>
                                            <xsl:with-param name="value">
                                                <xsl:value-of select="$theVK"/>
                                                <xsl:if test="$processMode='MAR1' and $theV2K castable as xs:integer">
                                                    <xsl:text>-</xsl:text>
                                                    <xsl:value-of select="$theVK+$theV2K"/>
                                                </xsl:if>
                                            </xsl:with-param>
                                        </xsl:call-template>
                                        <xsl:call-template name="DSGout">
                                            <xsl:with-param name="param">T</xsl:with-param>
                                            <xsl:with-param name="id">
                                                <xsl:choose>
                                                    <xsl:when test="$DosageIdIsNumeric">
                                                        <xsl:value-of select="(document('codes25.xml')/*/code[@HL7tijdv='1' and @HL7tijdu=$theU]/@t25tijdn)[1]"/>
                                                    </xsl:when>
                                                    <xsl:otherwise>
                                                        <xsl:value-of select="(document('codes25.xml')/*/code[@HL7tijdv='1' and @HL7tijdu=$theU]/@t25tijdm)[1]"/>
                                                    </xsl:otherwise>
                                                </xsl:choose>
                                            </xsl:with-param>
                                            <xsl:with-param name="value">
                                                <xsl:value-of select="(document('codes25.xml')/*/code[@HL7tijdv='1' and @HL7tijdu=$theU]/@t25tijdb)[1]"/>
                                            </xsl:with-param>
                                        </xsl:call-template>
                                        <!--c<xsl:value-of select="document('codes25.xml')/*/code[@HL7tijdv='1' and @HL7tijdu=$theU]/@t25tijdm"/>c-->
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <!-- cannot translate -->
                                        <!-- signal unsuccessful HL7 translation for this MAR -->
                                        <xsl:comment>unsuccessfulHL7translation</xsl:comment>
                                    </xsl:otherwise>
                                </xsl:choose>
                            </xsl:when>
                            <xsl:otherwise>
                                <!-- 
                                    er is geen directe tabel 25 vertaling gevonden
                                    geef uit
                                      X als 1 / period.value
                                      T als period.unit
                                    
                                -->
                                <xsl:call-template name="DSGout">
                                    <xsl:with-param name="param">X</xsl:with-param>
                                    <xsl:with-param name="id">
                                        <xsl:value-of select="1"/>
                                        <xsl:if test="$processMode='MAR1' and $theV2K castable as xs:integer">
                                            <xsl:text>-</xsl:text>
                                            <xsl:value-of select="1+$theV2K"/>
                                        </xsl:if>
                                    </xsl:with-param>
                                    <xsl:with-param name="value">
                                        <xsl:value-of select="1"/>
                                        <xsl:if test="$processMode='MAR1' and $theV2K castable as xs:integer">
                                            <xsl:text>-</xsl:text>
                                            <xsl:value-of select="1+$theV2K"/>
                                        </xsl:if>
                                    </xsl:with-param>
                                </xsl:call-template>
                                <xsl:call-template name="DSGout">
                                    <xsl:with-param name="param">T</xsl:with-param>
                                    <xsl:with-param name="id">
                                        <xsl:choose>
                                            <xsl:when test="$DosageIdIsNumeric">
                                                <xsl:value-of select="$theE"/>
                                            </xsl:when>
                                            <xsl:otherwise>
                                                <xsl:value-of select="$theEMN"/>
                                            </xsl:otherwise>
                                        </xsl:choose>
                                    </xsl:with-param>
                                    <xsl:with-param name="value">
                                        <xsl:value-of select="(document('codes25.xml')/*/code[@t25tijdn=$theE]/@t25tijdb)[1]"/>
                                    </xsl:with-param>
                                </xsl:call-template>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <!-- 
                    effectiveTime naar X en T optie 2
                    =================================
                -->
                    <xsl:otherwise>
                        <xsl:if test="$processMode!='NOXTYA'">
                            <xsl:choose>
                                <xsl:when test="(contains($patroon,'VTD') or contains($patroon,'PDS')) and not(contains($patroon,'CSU')) and not(contains($patroon,'OMD'))">
                                    <xsl:variable name="theCNT">
                                        <xsl:value-of select="count(hl7:effectiveTime/hl7:comp[@operator='A']/hl7:comp)-count(hl7:effectiveTime/hl7:comp[@operator='A']/hl7:comp[@operator='E'])"/>
                                    </xsl:variable>
                                    <xsl:call-template name="DSGout">
                                        <xsl:with-param name="param">X</xsl:with-param>
                                        <xsl:with-param name="id">
                                            <xsl:value-of select="$theCNT"/>
                                            <xsl:if test="$processMode='MAR1' and $theV2K castable as xs:integer">
                                                <xsl:text>-</xsl:text>
                                                <xsl:value-of select="$theCNT+$theV2K"/>
                                            </xsl:if>
                                        </xsl:with-param>
                                        <xsl:with-param name="value">
                                            <xsl:value-of select="$theCNT"/>
                                            <xsl:if test="$processMode='MAR1' and $theV2K castable as xs:integer">
                                                <xsl:text>-</xsl:text>
                                                <xsl:value-of select="$theCNT+$theV2K"/>
                                            </xsl:if>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                    <xsl:variable name="theU2">
                                        <xsl:value-of select="hl7:effectiveTime/hl7:comp[@operator='A']/hl7:comp[1]/hl7:period/@unit"/>
                                    </xsl:variable>
                                    <xsl:variable name="theV2">
                                        <xsl:value-of select="hl7:effectiveTime/hl7:comp[@operator='A']/hl7:comp[1]/hl7:period/@value"/>
                                    </xsl:variable>
                                    <xsl:call-template name="DSGout">
                                        <xsl:with-param name="param">T</xsl:with-param>
                                        <xsl:with-param name="id">
                                            <xsl:choose>
                                                <xsl:when test="$DosageIdIsNumeric">
                                                    <xsl:value-of select="(document('codes25.xml')/*/code[@HL7tijdv=$theV2 and @HL7tijdu=$theU2]/@t25tijdn)[1]"/>
                                                </xsl:when>
                                                <xsl:otherwise>
                                                    <xsl:value-of select="(document('codes25.xml')/*/code[@HL7tijdv=$theV2 and @HL7tijdu=$theU2]/@t25tijdm)[1]"/>
                                                </xsl:otherwise>
                                            </xsl:choose>
                                        </xsl:with-param>
                                        <xsl:with-param name="value">
                                            <xsl:value-of select="(document('codes25.xml')/*/code[@HL7tijdv=$theV2 and @HL7tijdu=$theU2]/@t25tijdb)[1]"/>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </xsl:when>
                                <xsl:when test="contains($patroon,'ASI')">
                                    <!-- etxra b codes -->
                                    <xsl:value-of select="string('')"/>
                                </xsl:when>
                                <xsl:when test="contains($patroon,'CSU') and not(contains($patroon,'OMD'))">
                                    <!-- patroon cyc schema met uitsluiting -->
                                    <xsl:comment>cyc schema met uitsluiting alleen als tekst als er geen B codes voor zijn herkend</xsl:comment>
                                    <xsl:value-of select="string('')"/>
                                </xsl:when>
                                <xsl:when test="contains($patroon,'OMD')">
                                    <xsl:call-template name="DSGout">
                                        <xsl:with-param name="param">X</xsl:with-param>
                                        <xsl:with-param name="id">
                                            <xsl:value-of select="string('-')"/>
                                        </xsl:with-param>
                                        <xsl:with-param name="value">
                                            <xsl:value-of select="string('-')"/>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                    <xsl:call-template name="DSGout">
                                        <xsl:with-param name="param">T</xsl:with-param>
                                        <xsl:with-param name="id">
                                            <xsl:choose>
                                                <xsl:when test="$DosageIdIsNumeric">
                                                    <xsl:value-of select="22"/>
                                                </xsl:when>
                                                <xsl:otherwise>
                                                    <xsl:value-of select="(document('codes25.xml')/*/code[@t25tijdn='22']/@t25tijdm)[1]"/>
                                                </xsl:otherwise>
                                            </xsl:choose>
                                        </xsl:with-param>
                                        <xsl:with-param name="value">
                                            <xsl:value-of select="(document('codes25.xml')/*/code[@t25tijdn='22']/@t25tijdb)[1]"/>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </xsl:when>
                                <xsl:otherwise>
                                    <!-- patroon niet herkent -->
                                    <xsl:comment>HL7 V3 Fout: patroon niet herkenbaar kan tot ongeldige EDIFACT vertaling leiden</xsl:comment>
                                    <!-- signal unsuccessful HL7 translation for this MAR -->
                                    <xsl:comment>unsuccessfulHL7translation</xsl:comment>
                                    <!-- geen etxra b codes -->
                                    <xsl:value-of select="string('')"/>
                                </xsl:otherwise>
                            </xsl:choose>
                        </xsl:if>
                        <!-- geen etxra b codes -->
                        <xsl:value-of select="string('')"/>
                    </xsl:otherwise>
                </xsl:choose>

                <!-- 
                vastleggen of later nog speciale b codes moeten worden gegenereerd
                ==================================================================
            -->
                <xsl:variable name="specBCode">
                    <xsl:if test="contains($patroon,'CSU') or contains($patroon,'CSS')">
                        <xsl:choose>
                            <xsl:when
                                test="count(hl7:effectiveTime/hl7:comp[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:phase/hl7:width[@value='3' and
                            @unit='wk']) and count(hl7:effectiveTime/hl7:comp[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:period[@value='4' and
                            @unit='wk'])">
                                <xsl:value-of select="string('3W1WS')"/>
                            </xsl:when>
                            <xsl:when
                                test="count(hl7:effectiveTime/hl7:comp[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:phase/hl7:width[@value='21' and
                            @unit='d']) and count(hl7:effectiveTime/hl7:comp[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:period[@value='28' and
                            @unit='d'])">
                                <xsl:value-of select="string('3W1WS')"/>
                            </xsl:when>
                            <xsl:when
                                test="count(hl7:effectiveTime/hl7:comp[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:phase/hl7:width[@value='1' and
                            @unit='wk']) and count(hl7:effectiveTime/hl7:comp[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:period[@value='4' and
                            @unit='wk'])">
                                <xsl:value-of select="string('1W3WH')"/>
                            </xsl:when>
                            <xsl:when
                                test="count(hl7:effectiveTime/hl7:comp[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:phase/hl7:width[@value='7' and
                            @unit='d']) and count(hl7:effectiveTime/hl7:comp[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS' and @operator='A']/hl7:period[@value='28' and
                            @unit='d'])">
                                <xsl:value-of select="string('1W3WH')"/>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:value-of select="string('')"/>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:if>
                </xsl:variable>

                <!-- 
                variabelen vastleggen voor doseQuantity vertaling
                =================================================
            -->
                <!-- variable theDIVISOR vullen met period.value als er geen XT code combinatie werd gevonden en theVK kleiner dan 1 is,
                 wordt later bij doseerhoeveelheid gebruikt -->
                <xsl:variable name="theDIVISOR">
                    <xsl:choose>
                        <xsl:when test="$theE='' and $theVK &lt; 1">
                            <xsl:value-of select="$theV"/>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:value-of select="1"/>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:variable>
                <xsl:variable name="theDV">
                    <xsl:choose>
                        <xsl:when test="count(hl7:doseQuantity/hl7:low)&gt;0">
                            <!-- low and mogelijk high aanwezig... -->
                            <xsl:value-of select="hl7:doseQuantity/hl7:low/@value"/>
                            <xsl:if test="count(hl7:doseQuantity/hl7:high)&gt;0">
                                <xsl:value-of select="string('-')"/>
                                <xsl:value-of select="hl7:doseQuantity/hl7:high/@value"/>
                            </xsl:if>
                        </xsl:when>
                        <xsl:when test="contains($patroon,'ASI') or count(hl7:doseQuantity)=0">
                            <!-- geen Y codes uitgeven, alleen B codes / medicationAdministrationInstruction -->
                            <xsl:value-of select="string('ASI')"/>
                        </xsl:when>
                        <xsl:when test="contains($patroon,'CSU')">
                            <!-- geen Y codes uitgeven bij cyc schema met uitsluiting -->
                            <xsl:value-of select="string('CSU')"/>
                        </xsl:when>
                        <xsl:otherwise>
                            <!-- voor A value overnemen van center/low/high -->
                            <xsl:value-of select="hl7:doseQuantity/*/@value[1]"/>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:variable>
                <xsl:variable name="theDU">
                    <xsl:choose>
                        <xsl:when test="hl7:doseQuantity/hl7:low/@unit">
                            <xsl:value-of select="hl7:doseQuantity/hl7:low/@unit"/>
                        </xsl:when>
                        <xsl:when test="hl7:doseQuantity/hl7:high/@unit">
                            <xsl:value-of select="hl7:doseQuantity/hl7:high/@unit"/>
                        </xsl:when>
                        <xsl:when test="hl7:doseQuantity/hl7:center/@unit">
                            <xsl:value-of select="hl7:doseQuantity/hl7:center/@unit"/>
                        </xsl:when>
                        <xsl:when test="hl7:doseQuantity/@unit">
                            <xsl:value-of select="hl7:doseQuantity/@unit"/>
                        </xsl:when>
                    </xsl:choose>
                </xsl:variable>
                <!-- voor het geval dat unit ontbreekt (of gewoon 1 is), kijk naar mogelijke translation element units+values als tabel 25 code -->
                <xsl:variable name="theTransU">
                    <xsl:choose>
                        <xsl:when test="hl7:doseQuantity/hl7:low/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']/@code">
                            <xsl:value-of select="hl7:doseQuantity/hl7:low/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']/@code"/>
                        </xsl:when>
                        <xsl:when test="hl7:doseQuantity/hl7:high/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']/@code">
                            <xsl:value-of select="hl7:doseQuantity/hl7:high/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']/@code"/>
                        </xsl:when>
                        <xsl:when test="hl7:doseQuantity/hl7:center/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']/@code">
                            <xsl:value-of select="hl7:doseQuantity/hl7:center/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']/@code"/>
                        </xsl:when>
                        <xsl:when test="hl7:doseQuantity/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']/@code">
                            <xsl:value-of select="hl7:doseQuantity/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']/@code"/>
                        </xsl:when>
                    </xsl:choose>
                </xsl:variable>
                <xsl:variable name="theTransV">
                    <xsl:choose>
                        <xsl:when test="hl7:doseQuantity/hl7:low/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']/@value">
                            <xsl:value-of select="hl7:doseQuantity/hl7:low/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']/@value"/>
                            <xsl:if test="hl7:doseQuantity/hl7:high/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']/@value">
                                <xsl:value-of select="string('-')"/>
                                <xsl:value-of select="hl7:doseQuantity/hl7:high/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']/@value"/>
                            </xsl:if>
                        </xsl:when>
                        <xsl:when test="hl7:doseQuantity/hl7:center/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']/@value">
                            <xsl:value-of select="hl7:doseQuantity/hl7:center/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']/@value"/>
                        </xsl:when>
                        <xsl:when test="hl7:doseQuantity/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']/@value">
                            <xsl:value-of select="hl7:doseQuantity/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']/@value"/>
                        </xsl:when>
                    </xsl:choose>
                </xsl:variable>
                <xsl:variable name="theDUN">
                    <xsl:choose>
                        <xsl:when test="($theDU='' or $theDU='1') and $theTransU=''">
                            <!-- no HL7 unit or unit=1 and also no translations ==> default: stuks 89 -->
                            <xsl:value-of select="89"/>
                        </xsl:when>
                        <xsl:when test="document('codes25.xml')/*/code[@HL7yau=$theDU and @HL7yav='1']/@t25gan">
                            <!-- return base unit -->
                            <xsl:value-of select="(document('codes25.xml')/*/code[@HL7yau=$theDU and @HL7yav='1']/@t25gan)[1]"/>
                        </xsl:when>
                        <xsl:otherwise>
                            <!-- give up -->
                            <xsl:value-of select="999"/>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:variable>

                <!-- 
                doseQuantity naar Y en A
                ========================
                -->
                <xsl:if test="$processMode!='NOXTYA'">
                    <xsl:choose>
                        <xsl:when test="$theDV='ASI'"/>
                        <!-- niets doen als alleen B codes / medicationAdministrationInstruction -->
                        <xsl:when test="$theDV='CSU'"/>
                        <!-- niets doen bij cyclische schema's met uitzondering voor wie geen T code bestaat -->
                        <xsl:when test="$theDV=''">
                            <xsl:call-template name="DSGout">
                                <xsl:with-param name="param">Y</xsl:with-param>
                                <xsl:with-param name="id">
                                    <xsl:value-of select="1"/>
                                </xsl:with-param>
                                <xsl:with-param name="value">
                                    <xsl:value-of select="1"/>
                                </xsl:with-param>
                            </xsl:call-template>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:variable name="theDVlow">
                                <xsl:choose>
                                    <xsl:when test="contains($theDV, '-') and string-length($theDV) &gt; 2">
                                        <!-- dit is een interval, low value opslaan -->
                                        <xsl:value-of select="translate(substring-before($theDV,'-'), ',', '.')"/>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <xsl:value-of select="$theDV"/>
                                    </xsl:otherwise>
                                </xsl:choose>
                            </xsl:variable>
                            <xsl:variable name="theDVhigh">
                                <xsl:if test="contains($theDV, '-') and string-length($theDV) &gt; 2">
                                    <!-- dit is een interval, high value opslaan -->
                                    <xsl:value-of select="translate(substring-after($theDV,'-'), ',', '.')"/>
                                </xsl:if>
                            </xsl:variable>
                            <xsl:variable name="theYavProd2">
                                <!-- samenstellen van Y, hou rekening met divisior, kan ook een interval bevatten -->
                                <xsl:choose>
                                    <xsl:when test="$theDIVISOR &gt; 1">
                                        <!-- correctie voor divisior groter 1 -> dan ronden -->
                                        <xsl:value-of select="round(10000 * ($theDVlow div $theDIVISOR)) div 10000"/>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <!-- in alle anderen gevallen gaat het zo goed -->
                                        <xsl:value-of select="$theDVlow div $theDIVISOR"/>
                                    </xsl:otherwise>
                                </xsl:choose>
                                <!-- als er een interval is gedefinieerd, high ook uitgeven, let op divisior -->
                                <xsl:if test="$theDVhigh!=''">
                                    <!-- dit is een interval -->
                                    <xsl:value-of select="string('-')"/>
                                    <xsl:choose>
                                        <xsl:when test="$theDIVISOR &gt; 1">
                                            <!-- correctie voor divisior groter 1 -> dan ronden -->
                                            <xsl:value-of select="round(10000 * ($theDVhigh div $theDIVISOR)) div 10000"/>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <!-- in alle anderen gevallen gaat het zo goed -->
                                            <xsl:value-of select="$theDVhigh div $theDIVISOR"/>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </xsl:if>
                            </xsl:variable>
                            <xsl:variable name="theDIVcomment">
                                <xsl:if test="$theDIVISOR != 1">
                                    <xsl:value-of select="$theYavProd2"/>
                                    <xsl:value-of select="string(' =&gt; ')"/>
                                    <xsl:value-of select="$theDV"/>
                                    <xsl:value-of select="string(' / ')"/>
                                    <xsl:value-of select="$theDIVISOR"/>
                                </xsl:if>
                            </xsl:variable>

                            <!-- 
                        Y segment uitgeven:
                    -->
                            <xsl:choose>
                                <xsl:when test="($theDU='' or $theDU='1') and $theTransU!=''">
                                    <!-- als er geen unit beschikbaar in doseQuantity is ($theDU is leeg of gewwon 1) 
                                 en een translation element aanwezig is gebruik value (en unit in seg A) daarvan
                            -->
                                    <xsl:call-template name="DSGout">
                                        <xsl:with-param name="param">Y</xsl:with-param>
                                        <xsl:with-param name="id">
                                            <xsl:value-of select="$theTransV"/>
                                        </xsl:with-param>
                                        <xsl:with-param name="value">
                                            <xsl:value-of select="$theTransV"/>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </xsl:when>
                                <xsl:otherwise>
                                    <!-- in alle anderen gevallen gewoon een Y segment uitgeven -->
                                    <xsl:call-template name="DSGout">
                                        <xsl:with-param name="param">Y</xsl:with-param>
                                        <xsl:with-param name="id">
                                            <xsl:value-of select="$theYavProd2"/>
                                        </xsl:with-param>
                                        <xsl:with-param name="value">
                                            <xsl:value-of select="$theYavProd2"/>
                                        </xsl:with-param>
                                        <xsl:with-param name="comment">
                                            <xsl:value-of select="$theDIVcomment"/>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </xsl:otherwise>
                            </xsl:choose>
                            <!-- 
                        A segment uitgeven:
                    -->
                            <xsl:choose>
                                <!-- als er geen unit beschikbaar is of unit=1 probeer het met het moeglijk aanwezige translation element -->
                                <xsl:when test="($theDU='' or $theDU='1') and $theTransU!=''">
                                    <xsl:variable name="transU25">
                                        <!-- JLN t.b.v. de translatie alleen zoeken in elementen waarbij t25gamvan2 is gedefinieerd -->
                                        <!--
                                <xsl:value-of select="(document('codes25.xml')/*/code[@th002m=$theTransU and @t25gamvan2]/@t25gamvan2)[1]"/>
                                <xsl:value-of select="(document('codes25.xml')/*/code[@th002n=$theTransU and @t25gamvan2]/@t25gamvan2)[1]"/>
                                -->
                                        <xsl:value-of select="document('codes25.xml')/*/code[$theTransU=@t25gan]/@t25gam"/>
                                    </xsl:variable>
                                    <xsl:if test="$transU25!=''">
                                        <xsl:call-template name="DSGout">
                                            <xsl:with-param name="param">A</xsl:with-param>
                                            <xsl:with-param name="id">
                                                <xsl:choose>
                                                    <xsl:when test="$DosageIdIsNumeric">
                                                        <!-- JLN eruit: xsl:value-of select="document('codes25.xml')/*/code[@t25gamvan2=$transU25]/@t25gan"/ -->
                                                        <xsl:value-of select="(document('codes25.xml')/*/code[@t25gam=$transU25]/@t25gan)[1]"/>
                                                    </xsl:when>
                                                    <xsl:otherwise>
                                                        <xsl:value-of select="$transU25"/>
                                                    </xsl:otherwise>
                                                </xsl:choose>
                                            </xsl:with-param>
                                            <xsl:with-param name="value">
                                                <xsl:value-of select="(document('codes25.xml')/*/code[@t25gam=$transU25]/@t25gab)[1]"/>
                                            </xsl:with-param>
                                        </xsl:call-template>
                                    </xsl:if>
                                </xsl:when>
                                <xsl:when test="$theDUN='999'">
                                    <!-- give out onbekend -->
                                    <xsl:call-template name="DSGout">
                                        <xsl:with-param name="param">A</xsl:with-param>
                                        <xsl:with-param name="id">
                                            <xsl:choose>
                                                <xsl:when test="$DosageIdIsNumeric">
                                                    <xsl:value-of select="90"/>
                                                </xsl:when>
                                                <xsl:otherwise>
                                                    <xsl:value-of select="(document('codes25.xml')/*/code[@t25gan='90']/@t25gam)[1]"/>
                                                </xsl:otherwise>
                                            </xsl:choose>
                                        </xsl:with-param>
                                        <xsl:with-param name="value">
                                            <xsl:value-of select="(document('codes25.xml')/*/code[@t25gan='90']/@t25gab)[1]"/>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:call-template name="DSGout">
                                        <xsl:with-param name="param">A</xsl:with-param>
                                        <xsl:with-param name="id">
                                            <xsl:choose>
                                                <xsl:when test="$DosageIdIsNumeric">
                                                    <xsl:value-of select="$theDUN"/>
                                                </xsl:when>
                                                <xsl:otherwise>
                                                    <xsl:value-of select="(document('codes25.xml')/*/code[@t25gan=$theDUN]/@t25gam)[1]"/>
                                                </xsl:otherwise>
                                            </xsl:choose>
                                        </xsl:with-param>
                                        <xsl:with-param name="value">
                                            <xsl:value-of select="(document('codes25.xml')/*/code[@t25gan=$theDUN]/@t25gab)[1]"/>
                                        </xsl:with-param>
                                    </xsl:call-template>

                                </xsl:otherwise>
                            </xsl:choose>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:if>

                <!-- 
                B codes vertalen
                ===========================================================================
            -->
                <!-- specBCode legt vast of later nog speciale b codes moeten worden gegenereerd -->
                <xsl:if test="$specBCode!=''">
                    <xsl:call-template name="DSGout">
                        <xsl:with-param name="param">B</xsl:with-param>
                        <xsl:with-param name="id">
                            <xsl:choose>
                                <xsl:when test="$DosageIdIsNumeric">
                                    <xsl:value-of select="(document('codes25.xml')/*/code[@t25etikm=$specBCode]/@t25etikn)[1]"/>
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:value-of select="(document('codes25.xml')/*/code[@t25etikm=$specBCode]/@t25etikm)[1]"/>
                                </xsl:otherwise>
                            </xsl:choose>
                        </xsl:with-param>
                        <xsl:with-param name="value">
                            <xsl:value-of select="(document('codes25.xml')/*/code[@t25etikm=$specBCode]/@t25etikb)[1]"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </xsl:if>
                <xsl:variable name="support2Path">
                    <xsl:choose>
                        <!-- BEMO/EMD vanaf mei 2007 -->
                        <xsl:when test="hl7:support2/hl7:medicationAdministrationInstruction">
                            <xsl:text>hl7:support2/hl7:medicationAdministrationInstruction</xsl:text>
                        </xsl:when>
                        <!-- BEMO old-style -->
                        <xsl:when test="hl7:support2/hl7:supportingMedicationAdministrationInstruction">
                            <xsl:text>hl7:support2/hl7:supportingMedicationAdministrationInstruction</xsl:text>
                        </xsl:when>
                    </xsl:choose>
                </xsl:variable>
                <xsl:if test="$support2Path">
                    <xsl:apply-templates select="hl7:support2/hl7:medicationAdministrationInstruction">
                        <xsl:with-param name="segs">DSG</xsl:with-param>
                        <xsl:with-param name="DosageIdIsNumeric" select="$DosageIdIsNumeric"/>
                    </xsl:apply-templates>
                </xsl:if>
                <!-- door alle precondition/observationEventCriterion lopen en als DSG B segment uitgeven als er een code wordt gevonden -->
                <xsl:for-each select="hl7:precondition/hl7:observationEventCriterion">
                    <xsl:variable name="thePCODN">
                        <xsl:choose>
                            <xsl:when test="hl7:code/hl7:originalText">
                                <xsl:value-of select="hl7:code/hl7:originalText"/>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:value-of select="hl7:code/@displayName"/>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:variable>
                    <xsl:variable name="thePCOM">
                        <xsl:choose>
                            <xsl:when test="hl7:code[@nullFlavor='NA'] and ($thePCODN='' or $thePCODN='Zo nodig')">
                                <!-- zo nodig als precondition/observationEventCriterion/code nullFlavor=NA en geen originalText of originalText = 'Zo nodig' aangegeven -->
                                <xsl:value-of select="string('ZN')"/>
                            </xsl:when>
                            <xsl:when test="hl7:code[@code='1137'][@codeSystem='2.16.840.1.113883.2.4.4.5']">
                                <!-- zo nodig als precondition/observationEventCriterion/code code=1137 codeSystem=2.16.840.1.113883.2.4.4.5 aangegeven -->
                                <xsl:value-of select="string('ZN')"/>
                            </xsl:when>
                            <xsl:when test="(document('codes25.xml')/*/code[@t25etikb=$thePCODN]/@t25etikm)[1]!=''">
                                <!-- als er een code werd gevonden, overnemen -->
                                <xsl:value-of select="(document('codes25.xml')/*/code[@t25etikb=$thePCODN]/@t25etikm)[1]"/>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:value-of select="string('')"/>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:variable>
                    <xsl:if test="$thePCOM!=''">
                        <xsl:call-template name="DSGout">
                            <xsl:with-param name="param">B</xsl:with-param>
                            <xsl:with-param name="id">
                                <xsl:choose>
                                    <xsl:when test="$DosageIdIsNumeric">
                                        <xsl:value-of select="(document('codes25.xml')/*/code[@t25etikm=$thePCOM]/@t25etikn)[1]"/>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <xsl:value-of select="(document('codes25.xml')/*/code[@t25etikm=$thePCOM]/@t25etikm)[1]"/>
                                    </xsl:otherwise>
                                </xsl:choose>
                            </xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:value-of select="(document('codes25.xml')/*/code[@t25etikm=$thePCOM]/@t25etikb)[1]"/>
                            </xsl:with-param>
                        </xsl:call-template>
                    </xsl:if>
                </xsl:for-each>
                <!--xsl:apply-templates select="hl7:support2/hl7:medicationAdministrationInstruction">
                <xsl:with-param name="segs">FTX</xsl:with-param>
                </xsl:apply-templates-->

                <!-- 
                text (en andere spec) vertalen naar FTX
                ===========================================================================
            -->
                <xsl:if test="count($support2Path) or hl7:text">
                    <!--
                     alle tekst en ongecodeerde/oncodeerbare medicationAdministrationInstruction/code en
                     alle precondition/observationEventCriterion/code nullFlavor=NA met en niet codeerbare originalText
                     worden doorgegeven als FTX met Free_text_n
                -->
                    <xsl:call-template name="FTXout">
                        <xsl:with-param name="value">
                            <xsl:value-of select="hl7:text/text()"/>
                            <xsl:value-of select="string('~')"/>
                            <!-- process medicationAdministrationInstruction -->
                            <xsl:for-each select="$support2Path">
                                <xsl:variable name="theDN">
                                    <xsl:choose>
                                        <xsl:when test="hl7:code/hl7:originalText">
                                            <xsl:value-of select="hl7:code/hl7:originalText"/>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <xsl:value-of select="hl7:code/@displayName"/>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </xsl:variable>
                                <xsl:variable name="theBC">
                                    <xsl:value-of select="(document('codes25.xml')/*/code[@t25etikb=$theDN]/@t25etikm)[1]"/>
                                </xsl:variable>
                                <xsl:if test="$theBC='' and $theDN!=''">
                                    <xsl:value-of select="$theDN"/>
                                    <xsl:value-of select="string('~')"/>
                                </xsl:if>
                            </xsl:for-each>
                            <!-- process observationEventCriterion -->
                            <xsl:for-each select="hl7:precondition/hl7:observationEventCriterion">
                                <xsl:variable name="theDN">
                                    <xsl:choose>
                                        <xsl:when test="hl7:code/hl7:originalText">
                                            <xsl:value-of select="hl7:code/hl7:originalText"/>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <xsl:value-of select="hl7:code/@displayName"/>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </xsl:variable>
                                <xsl:variable name="theBC">
                                    <xsl:value-of select="(document('codes25.xml')/*/code[@t25etikb=$theDN]/@t25etikm)[1]"/>
                                </xsl:variable>
                                <xsl:if test="$theBC='' and $theDN!=''">
                                    <xsl:value-of select="$theDN"/>
                                    <xsl:value-of select="string('~')"/>
                                </xsl:if>
                            </xsl:for-each>
                        </xsl:with-param>
                    </xsl:call-template>
                </xsl:if>

                <!-- 
                    DTM segmente uitgeven indien van toepassing
                    ===========================================
                -->
                <xsl:if test="contains($patroon, 'ETI0') or contains($patroon, 'ETI1') or contains($patroon, 'ETI2')">
                    <!-- get dispense timestamp (may be used later) -->
                    <xsl:variable name="dispenseTSptr">
                        <xsl:value-of select=" ancestor-or-self::hl7:MedicationDispenseEvent/hl7:effectiveTime/hl7:center/@value"/>
                    </xsl:variable>
                    <!-- voorwaarde is al: 1e comp is een IVL_TS of 1e comp/comp is een IVL_TS -->
                    <xsl:variable name="ivlptrlow">
                        <xsl:choose>
                            <xsl:when test="contains($patroon, 'ETI0')">
                                <xsl:value-of select="hl7:effectiveTime/hl7:low/@value"/>
                            </xsl:when>
                            <xsl:when test="contains($patroon, 'ETI1')">
                                <xsl:value-of select="hl7:effectiveTime/hl7:comp[1]/hl7:low/@value"/>
                            </xsl:when>
                            <xsl:when test="contains($patroon, 'ETI2')">
                                <xsl:value-of select="hl7:effectiveTime/hl7:comp[1]/hl7:comp[1]/hl7:low/@value"/>
                            </xsl:when>
                        </xsl:choose>
                    </xsl:variable>
                    <xsl:variable name="ivlptrhigh">
                        <xsl:choose>
                            <xsl:when test="contains($patroon, 'ETI0')">
                                <xsl:value-of select="hl7:effectiveTime/hl7:high/@value"/>
                            </xsl:when>
                            <xsl:when test="contains($patroon, 'ETI1')">
                                <xsl:value-of select="hl7:effectiveTime/hl7:comp[1]/hl7:high/@value"/>
                            </xsl:when>
                            <xsl:when test="contains($patroon, 'ETI2')">
                                <xsl:value-of select="hl7:effectiveTime/hl7:comp[1]/hl7:comp[1]/hl7:high/@value"/>
                            </xsl:when>
                        </xsl:choose>
                    </xsl:variable>
                    <xsl:variable name="ivlptrwidthv">
                        <xsl:choose>
                            <xsl:when test="contains($patroon, 'ETI0')">
                                <xsl:value-of select="hl7:effectiveTime/hl7:width/@value"/>
                            </xsl:when>
                            <xsl:when test="contains($patroon, 'ETI1')">
                                <xsl:value-of select="hl7:effectiveTime/hl7:comp[1]/hl7:width/@value"/>
                            </xsl:when>
                            <xsl:when test="contains($patroon, 'ETI2')">
                                <xsl:value-of select="hl7:effectiveTime/hl7:comp[1]/hl7:comp[1]/hl7:width/@value"/>
                            </xsl:when>
                        </xsl:choose>
                    </xsl:variable>
                    <xsl:variable name="ivlptrwidthu">
                        <xsl:choose>
                            <xsl:when test="contains($patroon, 'ETI0')">
                                <xsl:value-of select="hl7:effectiveTime/hl7:width/@unit"/>
                            </xsl:when>
                            <xsl:when test="contains($patroon, 'ETI1')">
                                <xsl:value-of select="hl7:effectiveTime/hl7:comp[1]/hl7:width/@unit"/>
                            </xsl:when>
                            <xsl:when test="contains($patroon, 'ETI2')">
                                <xsl:value-of select="hl7:effectiveTime/hl7:comp[1]/hl7:comp[1]/hl7:width/@unit"/>
                            </xsl:when>
                        </xsl:choose>
                    </xsl:variable>
                   

                    <!-- 
                        convert and check dates in low/@value en high/@value
                        
                        special handeling for low value: if not a date then try dispense date
                        
                        special handeling for high and possible width
                    -->
                    <xsl:variable name="ltlowtemp">
                        <xsl:value-of select="substring($ivlptrlow, 1, 4)"/>
                        <xsl:text>-</xsl:text>
                        <xsl:value-of select="substring($ivlptrlow, 5, 2)"/>
                        <xsl:text>-</xsl:text>
                        <xsl:value-of select="substring($ivlptrlow, 7, 2)"/>
                    </xsl:variable>
                    <xsl:variable name="ltlow">
                      <xsl:choose>
                          <xsl:when test="$ltlowtemp castable as xs:date">
                              <!-- $ltlow temp is a valid date, use it -->
                              <xsl:value-of select="$ltlowtemp"/>
                          </xsl:when>
                          <xsl:otherwise>
                              <!-- otherwise try dispense time, errors will be caught later -->
                              <xsl:value-of select="substring($dispenseTSptr, 1, 4)"/>
                              <xsl:text>-</xsl:text>
                              <xsl:value-of select="substring($dispenseTSptr, 5, 2)"/>
                              <xsl:text>-</xsl:text>
                              <xsl:value-of select="substring($dispenseTSptr, 7, 2)"/>
                          </xsl:otherwise>
                      </xsl:choose>
                    </xsl:variable>
                    
                    <xsl:variable name="lthightemp">
                        <xsl:value-of select="substring($ivlptrhigh, 1, 4)"/>
                        <xsl:text>-</xsl:text>
                        <xsl:value-of select="substring($ivlptrhigh, 5, 2)"/>
                        <xsl:text>-</xsl:text>
                        <xsl:value-of select="substring($ivlptrhigh, 7, 2)"/>
                    </xsl:variable>
                    <xsl:variable name="lthigh">
                        <xsl:choose>
                            <xsl:when
                                test="hl7:effectiveTime/hl7:high/@inclusive='false' or hl7:effectiveTime/hl7:comp[1]/hl7:high/@inclusive='false' or hl7:effectiveTime/hl7:comp[1]/hl7:comp[1]/hl7:high/@inclusive='false'">
                                <!-- inclusive=false given on a valid high, means one day less -->
                                <xsl:value-of select="xs:date($lthightemp) - xs:dayTimeDuration('P1D')"/>
                            </xsl:when>
                            <xsl:when test="string-length($ivlptrwidthv)>0 and string-length($ivlptrwidthu)>0 and (string-length($ivlptrlow)>0 or string-length($dispenseTSptr)>0)">
                                <!-- low (drawn from effectiveTime or from the dispense time) and width is given, construct high as low + width - 1d -->
                                <xsl:choose>
                                    <xsl:when test="$ivlptrwidthu='d'">
                                        <xsl:value-of select="xs:date($ltlow) + xs:dayTimeDuration(concat('P', string($ivlptrwidthv), 'D')) - xs:dayTimeDuration('P1D')"/>
                                    </xsl:when>
                                    <xsl:when test="$ivlptrwidthu='wk'">
                                        <xsl:value-of select="xs:date($ltlow) + xs:dayTimeDuration(concat('P', string($ivlptrwidthv * 7), 'D')) - xs:dayTimeDuration('P1D')"/>
                                    </xsl:when>
                                    <xsl:when test="$ivlptrwidthu='mo'">
                                        <xsl:value-of select="xs:date($ltlow) + xs:yearMonthDuration(concat('P0Y', string($ivlptrwidthv), 'M')) - xs:dayTimeDuration('P1D')"/>
                                    </xsl:when>
                                    <xsl:when test="$ivlptrwidthu='a'">
                                        <xsl:value-of select="xs:date($ltlow) + xs:yearMonthDuration(concat('P', string($ivlptrwidthv), 'Y')) - xs:dayTimeDuration('P1D')"/>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <xsl:value-of select="0"/>
                                        <!-- means: give up, not a valid unit for width -->
                                    </xsl:otherwise>
                                </xsl:choose>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:value-of select="$lthightemp"/>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:variable>

                    <xsl:if test="$ltlow castable as xs:date and $lthigh castable as xs:date">
                        <!-- 
                        <xsl:comment>
                            <xsl:text>1e element is een geldig IVL_TS, looptijd meegeven</xsl:text>
                        </xsl:comment>
                        -->
                        <DTM>
                            <Date_time_period_qualifier>2</Date_time_period_qualifier>
                            <Date_time>
                                <xsl:value-of select="translate($ltlow, '-', '')"/>
                            </Date_time>
                            <Date_time_format_qualifier>102</Date_time_format_qualifier>
                        </DTM>
                        <DTM>
                            <Date_time_period_qualifier>36</Date_time_period_qualifier>
                            <Date_time>
                                <xsl:value-of select="translate($lthigh, '-', '')"/>
                            </Date_time>
                            <Date_time_format_qualifier>102</Date_time_format_qualifier>
                        </DTM>

                    </xsl:if>
                </xsl:if>

            </G00007>

        </xsl:if>


    </xsl:template>


    <!--
     template voor loop medicationAdministrationInstruction
    -->
    <xsl:template match="hl7:medicationAdministrationInstruction | hl7:supportingMedicationAdministrationInstruction">
        <xsl:param name="DosageIdIsNumeric"/>
        <xsl:param name="segs"/>
        <xsl:variable name="theDN">
            <xsl:choose>
                <xsl:when test="hl7:code/hl7:originalText">
                    <xsl:value-of select="hl7:code/hl7:originalText"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="hl7:code/@displayName"/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <xsl:variable name="theBC">
            <xsl:value-of select="(document('codes25.xml')/*/code[@t25etikb=$theDN]/@t25etikm)[1]"/>
        </xsl:variable>
        <xsl:choose>
            <xsl:when test="$theBC=''">
                <xsl:if test="$segs='FTX'">
                    <xsl:call-template name="FTXout">
                        <xsl:with-param name="value">
                            <xsl:choose>
                                <xsl:when test="hl7:code/hl7:originalText">
                                    <xsl:value-of select="hl7:code/hl7:originalText"/>
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:value-of select="hl7:code/@displayName"/>
                                </xsl:otherwise>
                            </xsl:choose>
                        </xsl:with-param>
                        <xsl:with-param name="comment">
                            <xsl:value-of select="$theDN"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </xsl:if>
            </xsl:when>
            <xsl:otherwise>
                <xsl:if test="$segs='DSG'">
                    <xsl:call-template name="DSGout">
                        <xsl:with-param name="param">B</xsl:with-param>
                        <xsl:with-param name="id">
                            <xsl:choose>
                                <xsl:when test="$DosageIdIsNumeric">
                                    <xsl:value-of select="(document('codes25.xml')/*/code[@t25etikb=$theDN]/@t25etikn)[1]"/>
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:value-of select="(document('codes25.xml')/*/code[@t25etikb=$theDN]/@t25etikm)[1]"/>
                                </xsl:otherwise>
                            </xsl:choose>
                        </xsl:with-param>
                        <xsl:with-param name="value">
                            <xsl:choose>
                                <xsl:when test="hl7:code/hl7:originalText">
                                    <xsl:value-of select="hl7:code/hl7:originalText"/>
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:value-of select="hl7:code/@displayName"/>
                                </xsl:otherwise>
                            </xsl:choose>
                        </xsl:with-param>
                        <xsl:with-param name="comment">
                            <xsl:value-of select="$theBC"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </xsl:if>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    <!--
    
    output templates DSG segment
    
    -->
    <xsl:template name="DSGout">
        <xsl:param name="param"/>
        <xsl:param name="id"/>
        <xsl:param name="value"/>
        <xsl:param name="comment"/>
        <DSG>
            <xsl:comment>
                <xsl:value-of select="string(' ')"/>
                <xsl:value-of select="$param"/>
                <xsl:text>=</xsl:text>
                <xsl:value-of select="$value"/>
                <xsl:value-of select="string(' ')"/>
                <xsl:if test="$comment!=''">
                    <xsl:text> (</xsl:text>
                    <xsl:value-of select="$comment"/>
                    <xsl:text>)</xsl:text>
                </xsl:if>
            </xsl:comment>
            <Dosage_qualifier>
                <xsl:value-of select="$param"/>
            </Dosage_qualifier>
            <Dosage_identification>
                <xsl:value-of select="$id"/>
            </Dosage_identification>
            <Code_list_qualifier>WCIA25</Code_list_qualifier>
            <Code_list_agency_coded>NHG</Code_list_agency_coded>
            <Dosage>
                <xsl:value-of select="$value"/>
            </Dosage>
        </DSG>
    </xsl:template>
    <!--
  
        output templates FTX segment
  
    -->
    <!-- 
      FTXout: voorbereiding uitgave met opsplitsen teksten
  -->
    <xsl:template name="FTXout">
        <xsl:param name="value"/>
        <xsl:param name="comment"/>
        <!--
       opsplitsen van de door tilde gescheiden tekst stukjes
       het onstaat een node-set met
         <token> token-1 </token>
         <token> token-2 </token> enz
    -->
        <xsl:variable name="FTXtokensTemp">
            <xsl:call-template name="tokenize">
                <xsl:with-param name="string">
                    <xsl:value-of select="$value"/>
                </xsl:with-param>
                <xsl:with-param name="delimiters">
                    <xsl:value-of select="string('~')"/>
                </xsl:with-param>
            </xsl:call-template>
        </xsl:variable>
        <!-- ga door als er commentaren zijn -->
        <xsl:if test="$FTXtokensTemp">
            <!-- canonaliseren van alle FTXnodes, dwz normalize-space en leege nodes schrappen -->
            <xsl:variable name="FTXtokens">
                <xsl:for-each select="$FTXtokensTemp/token">
                    <xsl:if test="normalize-space(.)!=''">
                        <xsl:call-template name="SplitToken">
                            <xsl:with-param name="token" select="normalize-space(.)"/>
                            <xsl:with-param name="maxlength" select="70"/>
                        </xsl:call-template>
                    </xsl:if>
                </xsl:for-each>
            </xsl:variable>
            <!-- uitgave alle nodes in één tot twee FTX segmenten -->
            <xsl:call-template name="FTXoutNow">
                <xsl:with-param name="subject" select="string('DOS')"/>
                <xsl:with-param name="comment" select="$comment"/>
                <xsl:with-param name="text1" select="($FTXtokens)/token[1]"/>
                <xsl:with-param name="text2" select="($FTXtokens)/token[2]"/>
                <xsl:with-param name="text3" select="($FTXtokens)/token[3]"/>
                <xsl:with-param name="text4" select="($FTXtokens)/token[4]"/>
                <xsl:with-param name="text5" select="($FTXtokens)/token[5]"/>
            </xsl:call-template>
            <!-- er mogen twee FTX segmente gegenereerd worden, dus zo nodig doe het nog een keer... -->
            <!-- alleen een FTX segment 20090715 -->
            <!-- <xsl:if test="($FTXtokens)/token[6]">
        <xsl:call-template name="FTXoutNow">
          <xsl:with-param name="subject" select="string('DOS')"/>
          <xsl:with-param name="comment" select="$comment"/>
          <xsl:with-param name="text1" select="($FTXtokens)/token[6]"/>
          <xsl:with-param name="text2" select="($FTXtokens)/token[7]"/>
          <xsl:with-param name="text3" select="($FTXtokens)/token[8]"/>
          <xsl:with-param name="text4" select="($FTXtokens)/token[9]"/>
          <xsl:with-param name="text5" select="($FTXtokens)/token[10]"/>
        </xsl:call-template>
      </xsl:if>
      -->
        </xsl:if>
    </xsl:template>
    <!-- split token -->
    <xsl:template name="SplitToken">
        <xsl:param name="token"/>
        <xsl:param name="maxlength"/>
        <token>
            <xsl:value-of select="substring($token, 1, $maxlength)"/>
        </token>
        <xsl:if test="substring($token, $maxlength+1)!=''">
            <xsl:call-template name="SplitToken">
                <xsl:with-param name="token" select="substring($token, $maxlength+1)"/>
                <xsl:with-param name="maxlength" select="$maxlength"/>
            </xsl:call-template>
        </xsl:if>
    </xsl:template>
    <!--
  
      FTXoutNow: echte uitgave FTX segment (na voorbereiding)
  
    -->
    <xsl:template name="FTXoutNow">
        <xsl:param name="subject"/>
        <xsl:param name="comment"/>
        <xsl:param name="text1"/>
        <xsl:param name="text2"/>
        <xsl:param name="text3"/>
        <xsl:param name="text4"/>
        <xsl:param name="text5"/>
        <FTX>
            <xsl:if test="$comment!=''">
                <xsl:comment>
                    <xsl:value-of select="$comment"/>
                </xsl:comment>
            </xsl:if>
            <Text_subject_qualifier>
                <xsl:value-of select="$subject"/>
            </Text_subject_qualifier>
            <xsl:if test="$text1!=''">
                <Free_text_1>
                    <xsl:value-of select="$text1"/>
                </Free_text_1>
            </xsl:if>
            <xsl:if test="$text2!=''">
                <Free_text_2>
                    <xsl:value-of select="$text2"/>
                </Free_text_2>
            </xsl:if>
            <xsl:if test="$text3!=''">
                <Free_text_3>
                    <xsl:value-of select="$text3"/>
                </Free_text_3>
            </xsl:if>
            <xsl:if test="$text4!=''">
                <Free_text_4>
                    <xsl:value-of select="$text4"/>
                </Free_text_4>
            </xsl:if>
            <xsl:if test="$text5!=''">
                <Free_text_5>
                    <xsl:value-of select="$text5"/>
                </Free_text_5>
            </xsl:if>
        </FTX>
    </xsl:template>
    <!-- 
  
      tokenize functies
      op zich overbodig in xslt v2
  
  -->
    <xsl:template name="tokenize">
        <xsl:param name="string" select="''"/>
        <xsl:param name="delimiters" select="' &#x9;&#xA;'"/>
        <xsl:choose>
            <xsl:when test="not($string)"/>
            <xsl:when test="not($delimiters)">
                <xsl:call-template name="tokenize-characters">
                    <xsl:with-param name="string" select="$string"/>
                </xsl:call-template>
            </xsl:when>
            <xsl:otherwise>
                <xsl:call-template name="tokenize-delimiters">
                    <xsl:with-param name="string" select="$string"/>
                    <xsl:with-param name="delimiters" select="$delimiters"/>
                </xsl:call-template>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    <xsl:template name="tokenize-characters">
        <xsl:param name="string"/>
        <xsl:if test="$string">
            <token>
                <xsl:value-of select="substring($string, 1, 1)"/>
            </token>
            <xsl:call-template name="tokenize-characters">
                <xsl:with-param name="string" select="substring($string, 2)"/>
            </xsl:call-template>
        </xsl:if>
    </xsl:template>
    <xsl:template name="tokenize-delimiters">
        <xsl:param name="string"/>
        <xsl:param name="delimiters"/>
        <xsl:variable name="delimiter" select="substring($delimiters, 1, 1)"/>
        <xsl:choose>
            <xsl:when test="not($delimiter)">
                <token>
                    <xsl:value-of select="$string"/>
                </token>
            </xsl:when>
            <xsl:when test="contains($string, $delimiter)">
                <xsl:if test="not(starts-with($string, $delimiter))">
                    <xsl:call-template name="tokenize-delimiters">
                        <xsl:with-param name="string" select="substring-before($string, $delimiter)"/>
                        <xsl:with-param name="delimiters" select="substring($delimiters, 2)"/>
                    </xsl:call-template>
                </xsl:if>
                <xsl:call-template name="tokenize-delimiters">
                    <xsl:with-param name="string" select="substring-after($string, $delimiter)"/>
                    <xsl:with-param name="delimiters" select="$delimiters"/>
                </xsl:call-template>
            </xsl:when>
            <xsl:otherwise>
                <xsl:call-template name="tokenize-delimiters">
                    <xsl:with-param name="string" select="$string"/>
                    <xsl:with-param name="delimiters" select="substring($delimiters, 2)"/>
                </xsl:call-template>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>
