@echo off

:: -------------------------------------------
:: --  set defaults                      --
:: --                                       --
:: -------------------------------------------

:: These are used on the commandline
set inputDir=..\..\xml-WDH
set outputDir=..\..\xml-WDH-CP

:: These are used on the command line and must contain a forward slash in path
set jarDir=../lib
set xslDir=.

:: -------------------------------------------
:: --  use input params instead of defaults --
:: --  if given                             --
:: -------------------------------------------

if not (%1)==() set inputDir=%1
if not (%2)==() set outputDir=%2
if not (%3)==() set jarDir=%3
if not (%4)==() set xslDir=%4

echo.Input directory                 = [%inputdir%]
echo.Output directory                = [%outputDir%]
echo.Java jar directory              = [%jarDir%]
echo.xsl directory                   = [%xslDir%]

:: -------------------------------------------
:: --  check input and output dirs          --
:: --                                       --
:: -------------------------------------------

if not exist "%inputdir%" echo.ERROR The input directory [%inputDir%] does not exist or is empty! Cannot proceed. & pause & exit /B

if not exist "%outputDir%" (
    echo.
    echo Creating output directory: "%outputDir%" ...
    echo -----------------------
    echo.
    mkdir "%outputDir%"
 ) else (
    echo.
    echo Removing contents of output directory: "%outputDir%" ...
    echo -----------------------
    echo.
    del /Q "%outputDir%\*.*"
)

:: -------------------------------------------
:: -- get today in YYYYMMDDhhmmss format    --
:: --                                       --
:: -------------------------------------------

for /f "tokens=2-4 delims=/ " %%a in ('date /t') do (set g_tsToday=%%c%%a%%b)
for /f "tokens=1-3 delims=/:." %%a in ('echo %TIME%') do (set g_tsToday=%g_tsToday%%%a%%b%%c)

:: -------------------------------------------
:: --  generate output                      --
:: --                                       --
:: -------------------------------------------

echo.Transforming examples...
for %%F in (%inputDir%\*990002NL*.xml) do (
    echo   Processing %%~nF%%~xF...
    java -jar %jarDir%/saxon-6/saxon.jar -o %outputDir%/%%~nF%%~xF %%F %xslDir%/PrimaryCareProvision2CareProvision-XSLT1.0.xsl g_outputInteractionId=QUPC_IN443230NL g_tsToday=%g_tsToday%
)
