<?xml version="1.0" encoding="UTF-8"?>
<!--
	Stylesheet for testing integrity of actReferences in REPC_MT000001NL type messages
	
	Usage:
	1. Use this stylesheet to transfrom the message under test into actReferenceTestResult.html
	2. Open actReferenceTestResult.html in a browser.
	
	Copyright 2005 Nictiz
	
	author: Gerrit Boers
	
	version information:
	
	31-8-05	version 1.0
-->
<xsl:stylesheet exclude-result-prefixes="hl7" version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:hl7="urn:hl7-org:v3">
	<xsl:output method="html"/>
	<xsl:include href="NictizED2005-Utility.xsl"/>
	<xsl:template match="/">
		<html>
			<head/>
			<body>
				<h1>
					<xsl:call-template name="makeHeader"/>
				</h1>
				<table width="100%" border="0">
					<tbody>
						<tr bgColor="#c0c0b0">
							<td colspan="2">
								<strong>
									<font face="Arial">Episodes</font>
								</strong>
							</td>
						</tr>
						<xsl:for-each select="//hl7:episodOfCare">
							<tr>
								<td valign="top">
									<font face="Arial">
										<xsl:choose>
											<xsl:when test="string-length(../../hl7:text)>1">
												<xsl:value-of select="../../hl7:text"/>
											</xsl:when>
											<xsl:otherwise>
												<font color="red">Episode zonder titel</font>
											</xsl:otherwise>
										</xsl:choose>
									</font>
								</td>
								<td>
									<table>
										<tr bgColor="#d0d0d0">
											<td width="30%">
												<font face="Arial"> actReference</font>
											</td>
											<td width="30%">
												<font face="Arial"> Verwijst naar </font>
											</td>
											<td width="30%">
												<font face="Arial"> Validatieresultaat </font>
											</td>
										</tr>
										<xsl:for-each select="hl7:component/hl7:actReference">
											<xsl:variable name="idStr"
												select="concat(hl7:id/@root,'-',hl7:id/@extension)"/>
											<tr>
												<td>
												<xsl:choose>
												<xsl:when test="string-length($idStr)>1">
												<xsl:value-of select="$idStr"/>
												</xsl:when>
												<xsl:otherwise>
												<font color="red">id ontbreekt</font>
												</xsl:otherwise>
												</xsl:choose>
												</td>
												<td>
												<xsl:for-each
												select="//hl7:id[concat(@root,'-',@extension)=$idStr
												and name(../.)!='actReference' and
												string-length($idStr)>1]">
												<xsl:value-of select="name(../.)"/>
												</xsl:for-each>
												</td>
												<td>
												<xsl:choose>
												<xsl:when
												test="count(//hl7:id[concat(@root,'-',@extension)=$idStr
												and name(../.)!='actReference' and
												string-length($idStr)>1])=1">
												<font color="green">O.K.</font>
												</xsl:when>
												<xsl:when
												test="count(//hl7:id[concat(@root,'-',@extension)=$idStr
												and name(../.)!='actReference' and
												string-length($idStr)>1])=0">
												<font color="red">Referentie niet
												gevonden</font>
												</xsl:when>
												<xsl:when
												test="count(//hl7:id[concat(@root,'-',@extension)=$idStr
												and name(../.)!='actReference' and
												string-length($idStr)>1])>1">
												<font color="red">Referentie is niet
												uniek</font>
												</xsl:when>
												</xsl:choose>
												</td>
											</tr>
										</xsl:for-each>
									</table>
								</td>
							</tr>
						</xsl:for-each>
					</tbody>
				</table>
				<!-- End Episodes -->
			</body>
		</html>
	</xsl:template>
	<!--generates the header for the page-->
	<xsl:template name="makeHeader">
		<table bgColor="#c0c0c0" width="100%">
			<tr>
				<td width="75%">
					<font size="5" face="Arial">Test op actReferences</font>
				</td>
			</tr>
		</table>
	</xsl:template>
	<!--end makeHeader-->
</xsl:stylesheet>
