<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.11021
Description: Vastleggen van gegevens over het functioneren van het kind, nagevraagd door de professional.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.11021">
   <title>Rubriek 21 Functioneren</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (rubricCluster21)
-->

<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster"
         id="tmp-4ccb47fd-8d66-49f2-bdf2-df47eaeff60f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="string(@classCode)='CLUSTER' or not(@classCode)">(rubricCluster21): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricCluster21): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']/@nullFlavor)">(rubricCluster21): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021'])&lt;=1">(rubricCluster21): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(rubricCluster21): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricCluster21): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster21): element hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']
Item: (rubricCluster21)
-->

<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']"
         id="tmp-707093ca-7246-4535-b150-bc46713752aa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricCluster21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.11021'">(rubricCluster21): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11021' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(rubricCluster21): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:code
Item: (rubricCluster21)
-->

<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:code"
         id="tmp-39376986-f33f-4968-a91d-59ac5412a0f9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricCluster21): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11021-2012-08-01T000000.html"
              test="@nullFlavor or (@code='R021' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">(rubricCluster21): de waarde van @code/@codeSystem MOET ''R021' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40321
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Lichamelijk_functioneren_nagevraagd)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40321
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Lichamelijk_functioneren_nagevraagd)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-20d018ae-a329-4fb7-a892-97c3998e71e3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40321-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Lichamelijk_functioneren_nagevraagd): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40321-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Lichamelijk_functioneren_nagevraagd): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40321
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Lichamelijk_functioneren_nagevraagd)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-a29c53d2-8c88-42cc-bd12-d53c713399b7">
      <extends rule="tmp-2f4aba77-ebb2-4ecc-858c-f17a04fa34a8"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40321-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321']/@nullFlavor)">(obs_Lichamelijk_functioneren_nagevraagd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40321-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321'])&lt;=1">(obs_Lichamelijk_functioneren_nagevraagd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40321-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Lichamelijk_functioneren_nagevraagd): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40321-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Lichamelijk_functioneren_nagevraagd): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40321-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(obs_Lichamelijk_functioneren_nagevraagd): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40321-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Lichamelijk_functioneren_nagevraagd): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40321
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321']
Item: (obs_Lichamelijk_functioneren_nagevraagd)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40321']"
         id="tmp-d91bf6c6-8be4-4c0a-890f-7fbf6bd677d1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40321-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Lichamelijk_functioneren_nagevraagd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40321-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40321'">(obs_Lichamelijk_functioneren_nagevraagd): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40321' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40321-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Lichamelijk_functioneren_nagevraagd): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40321
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Lichamelijk_functioneren_nagevraagd)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-c86b728d-5008-4e16-8237-fc12523f829b">
      <extends rule="tmp-fb0b50e4-fbfa-4d22-b305-6b58f18300f6"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40321-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Lichamelijk_functioneren_nagevraagd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40321-2012-08-01T000000.html"
              test="@nullFlavor or (@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Lichamelijk_functioneren_nagevraagd): de waarde van @code/@codeSystem MOET ''321' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40321
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Lichamelijk_functioneren_nagevraagd)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-a07edd32-3116-4de1-904e-9d34fb7d73b8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40321-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Lichamelijk_functioneren_nagevraagd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-2f4aba77-ebb2-4ecc-858c-f17a04fa34a8" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-fb0b50e4-fbfa-4d22-b305-6b58f18300f6" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-9096b2b8-4454-4b36-8305-f89577440206">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-447c07eb-b987-430b-a669-1e279cdd2289">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-23a59d18-e024-4bf9-8b8f-a87fb1b02304">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-76d78f0a-a286-4e04-ae95-3ab7f26e1bc4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-b1073569-7b86-4593-a21c-f8f2574a21a3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-a2df7532-fb9f-47ca-9d71-7e2c65359a9b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-f1b7b6b5-2e5f-47aa-93e2-1615c3ecf046">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-8fe5866c-8314-41db-a64e-b54937d5933b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-a0f59344-3cda-42d5-ba25-40d71d98e977">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-c6acb54a-6d52-44a3-ac6f-3189606c347f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-f247d323-b646-4351-97ef-f55f827f0148">
      <extends rule="tmp-8691bd97-cc68-433d-9da4-a31f5c9b5d37"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-8691bd97-cc68-433d-9da4-a31f5c9b5d37" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-021558ef-d122-4b5f-836b-ff47204ccb1a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-aec4f003-be3c-441f-8c7e-934dd1eb3d49">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-4ae21e6a-9e28-499c-a5e5-0c43c7e53b6f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-bff978eb-de2e-49de-bcff-d47bfa6c119a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-d6651433-0359-43c6-a470-724dbd292732">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-aa0c6097-19dd-4ab1-a322-cc93ad068bb6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-a49e2a67-9953-4969-bed9-bf840658287c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-26fa9627-8fbc-46c8-8e61-fbcf92087953">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-fd217606-2e21-4df5-9aee-3d29eb6add59">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-37c4c775-1fc4-44b9-b3d1-573129d388b4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-34311a20-44b1-4310-a18b-eacb48b8c691">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-8094141e-e8f4-4f4d-a0b3-032195aa224a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-5078a1e3-91b6-4c1d-88db-09eedfc67549">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-f146d04e-6721-421d-9d53-11f41723c406">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-53533728-58a3-4f4c-8d3f-32096c6c99aa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-9b0cd143-bebe-40d9-99ac-b427210ad6ba">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-316bc1d1-8396-48c9-a4b6-8577a72d0b42">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-80c66da2-5c4d-477a-9079-291453d70972">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-34c7a080-bf89-4cc6-a6fb-8db68ee4f2ac">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-e462abd7-6345-4bc2-9d90-102e98791d58">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-569a69e7-6bf0-438d-a599-ab56c6f0f631">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-9034dccb-18b3-49ea-b0aa-135853b5920a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-3b719946-a950-4cdb-bac5-408c772ed1ec">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-d5e7263c-cc51-4bf8-bc14-98e870c1e621">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-080bae63-5d2f-439c-b9d8-e5638a84d62c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-8a35e700-6734-421d-8f6a-6fbf9b3cb066">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-f6fbb762-ca5e-4a9b-9813-2db6b5ca4190">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-8ffdc324-26ef-4e0d-bd2d-d37d4b5b5e77">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-5f118f09-dc17-4270-ac9f-fb080c5dbcd5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-bb522496-bc9a-4233-a49a-5d7b19a47059">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-a3ca3846-a558-42f4-9a3b-3f3be3715478">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-42f43eff-b045-432d-afa7-743d847e18e8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-5d1087ce-1656-4a3f-8c8f-2317c9f11193">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-8f59bce0-50d5-433f-b75a-9dab11181e5f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-ffe91f9e-5ed4-4112-bc4c-791630b9ce4a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='321' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-5af97a77-0951-4870-9d8f-cc2ff8b3fe25">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40324
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Zindelijkheid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40324
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Zindelijkheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-78e846ed-d09f-4ba0-a14f-e601274484e9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40324-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Zindelijkheid): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40324-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Zindelijkheid): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40324
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Zindelijkheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-b7353c2f-ce7e-4af4-b4e7-d8794bb238aa">
      <extends rule="tmp-3ccbf6c0-d9b9-438b-b970-f97531a9e31e"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40324-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324']/@nullFlavor)">(obs_Zindelijkheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40324-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324'])&lt;=1">(obs_Zindelijkheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40324-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Zindelijkheid): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40324-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Zindelijkheid): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40324-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Zindelijkheid): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40324-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Zindelijkheid): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40324
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324']
Item: (obs_Zindelijkheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40324']"
         id="tmp-9a752f6a-d6ff-4d7e-9c2f-c7d0b61948b1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40324-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Zindelijkheid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40324-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40324'">(obs_Zindelijkheid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40324' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40324-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Zindelijkheid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40324
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Zindelijkheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-aa9ceb8b-a5f5-47ae-883a-e663e661e100">
      <extends rule="tmp-4e14dca6-1b01-4152-af0e-1829ef55e7a4"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40324-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Zindelijkheid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40324-2012-08-01T000000.html"
              test="@nullFlavor or (@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Zindelijkheid): de waarde van @code/@codeSystem MOET ''324' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40324
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Zindelijkheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-070a96f4-f4af-4913-8696-224fef9eb61d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40324-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Zindelijkheid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.209-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.209-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40324-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(obs_Zindelijkheid): de waarde van @code MOET worden gekozen uit waardenlijst W0209_HL7 W0209 Ontlasten/plassen/zindelijkheid (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40324-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Zindelijkheid): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0209_HL7 W0209 Ontlasten/plassen/zindelijkheid (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-3ccbf6c0-d9b9-438b-b970-f97531a9e31e" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-4e14dca6-1b01-4152-af0e-1829ef55e7a4" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-60579a48-6a96-4b89-97a8-5d5c178d7a81">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-968b49be-8148-41a8-8a9f-6fc4e222cb05">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-cdaaf4a1-63a1-437f-b22f-710971ed6dc1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-e966195e-fdf9-40c9-a366-d1702dfffa95">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-53995053-f011-47a5-b9bc-f67da6fe2f25">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-6becd12f-b3ec-4e6d-9842-10c7979756a6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-9472011d-4c6a-4998-a2e1-bc0f4f895917">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-049d48ab-d8c3-4881-8355-defbbeec66cc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-178b7594-aba0-4923-9664-f9b5064dbf24">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-b2d2e798-3e47-42f7-b981-554850909d79">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-2261d55b-f81d-4126-8f6c-4cc391e1cf9f">
      <extends rule="tmp-91bb0d45-82d6-4ef7-8ae4-28a99d017f8a"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-91bb0d45-82d6-4ef7-8ae4-28a99d017f8a" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-99d66e44-cb5c-4a62-be85-d075d7c6986b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-9c4431aa-6e65-46d0-9202-222d064e384a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-1e7f1e39-738e-4628-b1c1-49145a0b9a81">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-fd484daa-c817-45b6-8241-a0ed85283226">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-270a8cf0-7c2b-4f64-b7b0-bbaa69d12c28">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-413bcb61-78f1-4e81-87c7-bc01c78fcd35">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-624f4aea-55f6-4ebf-98f4-3709291059bf">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-e17ec357-e33c-4b56-8815-764174917ec7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-ca89cf3c-d65b-439c-9914-74491117b3de">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-77a2f8bd-2634-41a8-b995-a0c4d2b53517">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-41af2da7-b10b-45c8-846c-6b0caec0f0c6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-4de1b195-9768-4708-be2a-29b9bbd24001">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-a4b236b6-bc6a-446d-b915-525b98537f3a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-2874510a-5764-4573-8fbe-9edde9519b5d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-09f03fac-f806-461e-b7bb-5b01b1e3509b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-7d0db3cb-6233-4aca-8cdc-d8c641978311">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-529d9abf-ec6d-4f59-8bea-966e608d2994">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-74b68ca1-c349-4feb-b3d5-b7cada752022">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-247b4336-c9b0-44b0-a95b-299afa7f3d13">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-1c4ef4ce-f451-4b84-87e1-baf3134cd7f6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-c50813b1-f949-406b-a1da-4bd546693311">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-2eaf816a-7d7d-40d2-bd00-63676db48312">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-78638d1e-c2c3-4e7c-8f6d-950f2e379412">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-2afa82ef-dcbe-4a95-9fa2-84cc255008b9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-398091db-91b6-48ef-af56-51a5caac2ae8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-41660a79-6100-474c-9a77-7a3d73047891">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-c044ceb3-e20e-4c94-a5e4-c63cc4d2e557">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-037f5f06-3f7c-446c-a1b2-82f7f726a4e2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-6258a1d6-21ab-4495-9df8-771b17b49fac">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-9cee703a-1bfc-48d8-838f-5ecea24eaf46">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-1199b825-f622-421b-981d-a008fec9d670">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-1524f8e9-f31b-4c46-ab1d-1b2bbf46af32">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-a25d2c62-033c-454b-85c3-45cfba351d73">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-d5976d46-8739-49c3-8104-39d35820f8a4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-0d215a7a-6cbd-4894-92a8-65ab95220bae">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-469b0542-4d81-4632-a0a3-06730472a6f0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40325
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_ontlastenplassenzindelijkheid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40325
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_ontlastenplassenzindelijkheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-19819176-280d-4ab2-98a2-f9c310ee3503">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40325-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40325-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40325
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_ontlastenplassenzindelijkheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-b105f25c-140d-4124-9a53-2567d990e170">
      <extends rule="tmp-d9ed3ec7-09f8-4094-a109-6d6cfbd88f59"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40325-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325']/@nullFlavor)">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40325-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325'])&lt;=1">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40325-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40325-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40325-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40325-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40325
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325']
Item: (obs_Bijzonderheden_ontlastenplassenzindelijkheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40325']"
         id="tmp-572f16b6-c18e-4da1-b943-638246dd7ebd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40325-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40325-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40325'">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40325' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40325-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40325
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_ontlastenplassenzindelijkheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-b5b02d4e-3b74-47a8-ab03-658de013ab03">
      <extends rule="tmp-4790a836-1509-4389-b045-5e652afecaed"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40325-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40325-2012-08-01T000000.html"
              test="@nullFlavor or (@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): de waarde van @code/@codeSystem MOET ''325' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40325
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_ontlastenplassenzindelijkheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-c67d791b-d47c-4f79-bf03-9f8c8e04efa2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40325-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_ontlastenplassenzindelijkheid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-d9ed3ec7-09f8-4094-a109-6d6cfbd88f59" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-4790a836-1509-4389-b045-5e652afecaed" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-f19297b6-0d5e-42b3-8e22-6ce7c198e7ac">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-753f9554-5a57-4b53-a996-ca9c626c9f5d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-192b29c5-4cbe-41d1-bc1f-c1d460b92a21">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-995be1fa-e5ac-4af9-9e90-88460f9a7982">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-ba03f1d6-f088-4515-bff7-2e287566bb2b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-5410628f-eabe-4489-ab80-e22aa80c071d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-3f9f9f71-77d7-4671-bfca-8b37bda0287b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-4afd1d59-7bb7-4887-ac32-6e0be1ad929c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-90508731-dd9b-4e50-8b06-5bd765e0b974">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-f9d45e4c-5d5b-4fc0-b407-1ca8c450ddba">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-7bacbb8e-f961-4990-a071-4bbf6129e35a">
      <extends rule="tmp-d35a0110-c41d-4e79-af85-491145f7ee5c"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-d35a0110-c41d-4e79-af85-491145f7ee5c" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-5218f329-7f0a-4fc0-a7c2-9f491b66b20d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-716422ad-4bc4-4484-8f78-7930620b558e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-d81998f6-dfd7-4282-b12a-30133706bf56">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-b0343468-8ff8-4a53-be21-8bfd6930b0f7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-05b174ce-b837-4853-9285-bf86f4985a88">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-1f046a5e-5249-430d-beb0-c90df0fee918">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-522255a0-b251-4483-ae92-d51cac8133e7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-e1e2fae3-ddee-453d-8b57-23d49d9b961a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-c98ae03f-7e30-481e-99ff-d5d780cff9a0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-c8442dac-7377-4b84-b38c-095c19bdcc82">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-935f456c-f0c4-4007-84bd-096e13861245">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-054737ae-b409-4762-a4bd-4ed910ef65c0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-f35fb4b5-d33f-455a-a64b-5c19db64ad1e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-a0d87799-2faf-404e-8555-cb9bf0e91fa2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-89e5e031-dc43-4cc2-b396-cd804144a7fa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-bd97ff96-6a12-4e2f-a147-9d47c64e84a1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-822f0a66-8b66-49c5-b229-a0c32467891e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-fae18d91-d1b4-43dd-914e-8f494ab415af">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-369ecb8e-cd72-44ed-bbcf-748664152fc4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-7450dced-8a7e-4361-97a5-6818ed7ea016">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-fb130722-9b89-400a-ae81-a97f8b869ccf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-587ed4a4-39d3-4327-bb78-8fb01b6aa14e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-fba87076-0e81-4072-8dab-ffdd8a04ccdc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-69d26fd0-195f-4d08-b985-b4069a920848">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-867dc02b-c079-4b10-a8d8-6195522735c8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-d858b1b4-5e0f-4766-9d27-8971ac73e7fc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-d43e3e7a-38ef-4c3f-b18d-46cf8fabd160">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-06580ed6-64b2-47a3-b33d-48f3ae03764f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-d3488c21-81bc-4745-bcbe-c79ea6206d7e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-fead9121-dffa-40f9-8980-ab6f120250d8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-b4d91a37-5aea-4e73-a217-e34a0ca994db">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-2d771131-a88b-484c-80b6-61289fa8ef7a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-f4b7cce2-3f17-4df9-bf76-b41dcd209045">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-5a073e9c-14a4-41ae-8219-84b29ab6b15e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-21128989-7ad9-40b2-ba71-0f1c811d2c9f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='325' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-29cbff4b-33ab-4ec9-b0ee-6d3ed22f6217">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40770
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Seksueel_actief)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40770
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Seksueel_actief)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-6be58c2b-d34e-4a24-8f22-4b15da95aaff">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40770-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Seksueel_actief): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40770-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Seksueel_actief): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40770
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Seksueel_actief)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-52caa6c9-8351-4eda-b5af-47f66436d426">
      <extends rule="tmp-f64e2595-e33e-40f4-afe8-7731d34d2f98"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40770-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770']/@nullFlavor)">(obs_Seksueel_actief): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40770-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770'])&lt;=1">(obs_Seksueel_actief): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40770-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Seksueel_actief): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40770-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Seksueel_actief): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40770-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Seksueel_actief): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40770-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Seksueel_actief): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40770
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770']
Item: (obs_Seksueel_actief)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40770']"
         id="tmp-f74a2afc-ecea-4514-9c7f-fe9dc595a6f0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40770-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Seksueel_actief): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40770-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40770'">(obs_Seksueel_actief): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40770' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40770-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Seksueel_actief): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40770
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Seksueel_actief)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-ccfabd74-0335-4f74-a106-ed149bc064af">
      <extends rule="tmp-24b21855-075d-41b3-baf7-ef498e84cab9"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40770-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Seksueel_actief): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40770-2012-08-01T000000.html"
              test="@nullFlavor or (@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Seksueel_actief): de waarde van @code/@codeSystem MOET ''770' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40770
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Seksueel_actief)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-a47e4e25-2414-4d5f-acb4-8fb3013276e8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40770-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Seksueel_actief): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-f64e2595-e33e-40f4-afe8-7731d34d2f98" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-24b21855-075d-41b3-baf7-ef498e84cab9" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-44e2a985-ea69-4542-bb4b-50d4ef6c5b1f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-b364e80b-c4ed-4887-af37-b12519b92443">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-2baccc68-3c56-408b-b910-3522ff257773">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-04b67636-5062-464c-8cd9-b5a19eae64f6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-fc67640e-5820-47e6-a627-f1da205f8f3f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-5caa6ca6-fea6-481b-a148-46e8bac1487f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-c3cf8472-1ea8-4d5f-a6c1-8bef2eebcafa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-4c9fb1c8-d72e-4bd0-b79e-bde088e6333c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-c53ddffc-94f5-48cf-b515-3b77695084af">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-d955b679-c899-4bcc-b9ba-2acc4e63a6e5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-1830b181-83f4-4858-895c-341fb1528eef">
      <extends rule="tmp-fe0c7944-80f6-474e-8c0b-54a7c761876f"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-fe0c7944-80f6-474e-8c0b-54a7c761876f" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-13876005-c489-4d3d-a11e-252a1f57e765">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-6b7376f2-c16a-4db3-b93e-d40824c650b4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-97f1c3cb-09c9-4866-9cc8-332042cfd374">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-4aecad2a-d750-4cc4-a22f-d5aeee440fb8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-0643a2ab-1280-42f3-b7e1-2d859a14993f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-a92e75f0-22ae-4b87-9b51-86ac028e8089">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-73c8393b-3aad-49e1-badf-364c6ba31671">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-f4f1c110-22de-420c-ab7d-90ce1d00103c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-6911b503-6476-4657-9469-cdba6a99e3ce">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-2839ac1c-3239-4274-a1d7-982677dca8dc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-80b9e9b6-c186-4963-89d8-778814fad8d8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-e1f18fb9-dd01-4dc3-bf41-4ab40d4bfec2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-eca12255-7a20-41b5-aac5-ca6976c44cc2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-d3532600-45b3-42ad-acd2-748d1a0ffb9b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-7a6aaef5-bd67-4010-95ba-04073535d8d9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-6958761d-40d6-4ab9-a966-f4592ab9f327">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-8474f05c-9dbf-4d93-9ed5-ff5cb38221af">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-3a4134ce-517f-41ed-9422-c2fd6c3a64e0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-5997d14f-3103-4079-a8ae-979e17a8f5e6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-a5f18b64-dba8-4c7c-9558-a0ce5a48d68f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-9a976c17-3524-46f3-8380-1b75b8c399a1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-4edfaad9-c65a-4c3f-a461-d4ddf3904e9b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-1538c5bd-c3af-4660-8098-e1e4551f0b0b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-e8e780c9-8096-48ec-8167-371887b4d1a1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-8ab3a39d-38cb-4583-b7c4-26971c30c548">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-ffa398c4-cc71-49ea-94d0-59776f7597a7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-d20ffc68-92da-48c7-9e76-8bb43002a568">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-10785697-1451-40a2-bc71-7786a1c01509">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-3db2f38f-8be2-4d02-8448-00126351bb9e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-8ffe2b97-33a5-4e16-8d3b-deaf61b95044">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-0115aeae-8caf-4190-ac71-cd8a065761d9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-af1ebd04-0d2c-44aa-85e3-a84da7a7590a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-58a6eb54-089d-47b1-a51c-872b0a913f8c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-9a5d9484-81f3-4f6f-9a17-61b1c33bbf9f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-b3b97c9c-4a60-4a9a-809a-aed7b8d5082e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='770' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-b312c4a9-6e15-4ff2-9a55-0612b8cd6740">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40771
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Anticonceptie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40771
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Anticonceptie)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-001bd0d9-0d71-45a9-b046-6b2e78154d42">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40771-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Anticonceptie): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40771-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Anticonceptie): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40771
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Anticonceptie)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-f7556612-a764-40ec-af10-2d7d1ec216c2">
      <extends rule="tmp-4260ddd3-d173-40a2-b28c-0b58a550e219"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40771-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771']/@nullFlavor)">(obs_Anticonceptie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40771-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771'])&lt;=1">(obs_Anticonceptie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40771-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Anticonceptie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40771-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Anticonceptie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40771-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Anticonceptie): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40771-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Anticonceptie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40771
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771']
Item: (obs_Anticonceptie)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40771']"
         id="tmp-2297971b-23eb-4109-8b45-db840faa6479">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40771-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Anticonceptie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40771-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40771'">(obs_Anticonceptie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40771' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40771-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Anticonceptie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40771
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Anticonceptie)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-a9b2f801-dc50-4ba6-a071-ae4087ba2f48">
      <extends rule="tmp-e99ec3b7-e270-4591-b869-a59ac387fde6"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40771-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Anticonceptie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40771-2012-08-01T000000.html"
              test="@nullFlavor or (@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Anticonceptie): de waarde van @code/@codeSystem MOET ''771' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40771
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Anticonceptie)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-90145cbc-c668-45c2-82b1-b572b99774a2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40771-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Anticonceptie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.211-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.211-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40771-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(obs_Anticonceptie): de waarde van @code MOET worden gekozen uit waardenlijst W0211_HL7 W0211 Anticonceptie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40771-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Anticonceptie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0211_HL7 W0211 Anticonceptie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-4260ddd3-d173-40a2-b28c-0b58a550e219" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-e99ec3b7-e270-4591-b869-a59ac387fde6" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-b7d9e3df-79f3-4cd7-83d7-8f340fd751ed">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-c0706038-a34a-4f00-8f7e-cd255cf3fd35">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-cd82e16e-d3e5-463c-8e5b-0d1db687b2f6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-06d24216-3a3c-4dc9-97c7-703265310924">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-0a2416ab-148a-41da-8fa5-bb321e9d5da1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-fd692ba4-a322-4ae7-94c3-5ef8282537ea">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-b62cb8f4-8cba-43f6-bfdc-30d781458e23">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-7db5923a-e2ad-4ef8-b74b-2d44d536e683">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-355d4398-8533-4371-ac7c-550c9068becf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-882f25fb-b687-43a7-9f68-b7a3c479b787">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-3e0ccaf8-b68d-4ae8-8a96-2bf98b4bb2c6">
      <extends rule="tmp-e667b5bc-c07b-4f97-b72c-1e6904554079"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-e667b5bc-c07b-4f97-b72c-1e6904554079" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-ec4283fa-2a68-4272-8709-c2e7caae27e7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-38a5b6fa-32e9-4e24-943a-5ffd0e901179">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-ad91821c-872a-4a35-a590-3d7f792c4841">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-1c6a4692-c0c4-4571-92ca-00427e1c4203">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-1a0f648c-e2a6-4014-b343-7d3385652c57">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-6a80d041-a773-4c57-b35a-3fa06df880bf">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-18019b6b-ff07-4ad7-8f71-7d4305b24170">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-d57b729e-0f60-442e-848b-6b9b50f94574">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-24b00e26-6ade-4a7e-b7bd-e3baebd82fb3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-6c668142-e5e8-4abe-992f-d29bbd278dee">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-0f8f4849-4f64-4a71-898d-b0349b9966e7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-710949f4-aa18-48b8-9157-df9641680b02">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-3ecbd9dd-abdc-42d8-93f6-61aaefef6e59">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-1f337d45-38ec-4e6b-be7a-80ab529cdf9e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-53e54a63-0b3a-4d4b-b5a8-9d8abed27526">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-fa4698e6-e15e-48d5-8541-b2e09e4bb20b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-75ed1705-8d39-459b-809d-db32cdf32901">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-76217f41-9253-4dcf-bb8e-b84f26ee8987">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-865dfeb9-8827-4823-83f6-5d5f705f54e7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-f8f52cc3-07a2-4c93-a20a-3516617b0163">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-3152c0fd-c8a9-4a27-b4d4-b27ac150b2bb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-cad53c6d-6786-4e5d-ac8d-92187ac6f4ca">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-0162ddf4-52da-493b-bf85-04773f0cbedb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-2e8047a1-e57c-4524-a7be-3bc03dcf85b3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-fb5fdade-6802-4ea9-b37c-1f410840cda7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-b4e0aaa2-fb34-4380-9dfe-2abb7e9efd17">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-4fb7a006-8c3c-432d-8989-86e661db291d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-b0e83ee1-21b5-4594-956c-5aaf2d324aed">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-be59d41f-abc6-40eb-b9eb-34822207fe2c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-1c5b2edd-8c9c-47f3-82ec-2a56f59c0b0f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-ce613506-0c59-4af9-b3e2-b2ce70cb7500">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-4fe12b46-f9d2-45aa-9e0c-75d83d27e35e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-094e8d87-fc5e-4c43-bc7c-0297482db63a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-fee52f7c-26fe-44af-a124-ac1c989f87c3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-c3c62dfc-5a6d-4cb3-912f-a70fb0664959">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='771' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-109bc83f-0cc8-4fa8-9dd0-dd3aa382b61e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40772
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40772
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-8d54ca1d-1e6a-4865-a86a-1834659a38f4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40772-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40772-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40772
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-72f459f8-8d74-41f1-8784-be3db2f15c48">
      <extends rule="tmp-4061a8c5-21ac-4929-912e-89544b56baaa"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40772-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772']/@nullFlavor)">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40772-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772'])&lt;=1">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40772-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40772-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40772-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40772-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40772
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772']
Item: (obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40772']"
         id="tmp-afac92eb-8b90-4daa-a512-e75abf72883c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40772-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40772-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40772'">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40772' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40772-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40772
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-7bcf10b5-c614-4d8e-911f-cb3acfe303b3">
      <extends rule="tmp-7e239311-37f6-4a91-8462-9e6197c38453"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40772-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40772-2012-08-01T000000.html"
              test="@nullFlavor or (@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): de waarde van @code/@codeSystem MOET ''772' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40772
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-63c0544a-7388-4813-bee4-5f43256b15cd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40772-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Adaptatiepersoonlijkheidsociaal_gedrag_nagevra): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-4061a8c5-21ac-4929-912e-89544b56baaa" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-7e239311-37f6-4a91-8462-9e6197c38453" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-13e27b7d-1a64-49d1-a822-8bd79f10b3d3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-2e2ee8fb-cfdb-4c1d-aa95-86e4921f1750">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-e6894e11-6ddc-4147-9716-2971f73dcd47">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-560c19c4-1e5c-47d0-b21e-32ce89fa367d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-1ae53539-3e0d-46c7-a27b-90f7bc93ed09">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-088da448-5f04-4e17-b200-75a13e10a8a7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-62ce3974-f91d-4e0a-8562-d1af6cfee031">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-7cb678e7-98b3-47b3-8a6f-6a3d867cd18c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-06da514b-df27-4f99-9d79-627f3367d930">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-00e19b48-e44f-48f8-8cfb-c49ec8efba0c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-cae0ccb3-f4ea-47c6-b2f1-128f07819b6c">
      <extends rule="tmp-6d430648-5620-4676-a73a-98d4c6f1ac10"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-6d430648-5620-4676-a73a-98d4c6f1ac10" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-2bd32cbe-1779-4ab7-97ef-33179033beb4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-14e014e6-5a12-40b7-b839-6edd10633721">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-2ad3592f-f37d-4400-b070-05b2326275a6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-7998afec-ecbf-4801-9000-8f80666d7a06">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-113c7cd7-f2b6-408b-b002-6354911e7995">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-9fad9361-5ee0-4c4a-8289-85831d736795">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-8b8ca5ac-f6c5-4abb-aeee-b865bd688b04">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-bd0a4404-9db2-4d6e-b538-47c007331063">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-5367526f-f852-4b60-82bb-8ddea8b87e82">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-0492b297-5e2e-4d52-804b-a3f916721a5b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-042ab385-4ac4-4475-8061-e4e156f6df94">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-9cc740b5-6925-4561-b9b0-70a7184a7d13">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-22ff470b-e20f-4bae-9bf4-ec58fc3e0016">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-754caf82-c66f-41bf-b1ae-3bccba79fb80">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-67af7fad-d19b-4c41-97ed-60c016200b87">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-a37f97cd-10b1-499c-b04b-7f604e1837b6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-fd3d4003-ace6-4fd8-947e-4504313d4e70">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-c5e63a90-2c05-4f6a-a7cb-f9336e65331a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-663604a1-be63-41ab-94be-67948136d05b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-dbd27bf9-093a-44ed-987b-0dd7e893bce9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-f4943cc3-1797-48b9-8d9e-b3ad4fca6851">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-b1b0e11a-086c-481b-ac20-98dc7b309f32">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-cb0fa5a4-c284-4525-a18d-ec2408c4fa94">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-f5de75d7-d87a-479e-8ea3-f96a4c1d8d15">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-26aba28f-ce8c-4ebc-a5ca-ab619406f1e3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-7d33b31a-76e4-4ba8-af81-74c54d48acfe">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-5c0cecab-811e-4aed-9106-f77a630c3b39">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-248975b9-2327-4fad-bd54-b7094a834266">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-e21f05f1-bdfb-4384-9847-78b246378e23">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-6cbbb370-19c5-47f4-8294-da4e491ccc39">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-57edf96e-8511-4fbd-94f2-def4d321ec17">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-ed20ee31-54f0-4ddc-aeec-d6e23eb832a6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-fe0c1850-13d9-4188-b287-45e57c124c2d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-84da0d96-1b22-4d61-8afe-a2cce55c0535">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-64162316-6a0d-4145-971e-efa3b6c65c4d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='772' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-df3452eb-8897-4f8e-bc24-b2fc2bbead59">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40773
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_hechting)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40773
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_hechting)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-9617d1ae-9731-4229-98e5-7a87e70032db">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40773-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_hechting): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40773-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_hechting): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40773
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_hechting)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-e6bf1b8f-683a-4948-bf98-6a91a9bf785e">
      <extends rule="tmp-4b23a180-3ccb-4474-ad56-3db32ba47cf0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40773-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773']/@nullFlavor)">(obs_Bijzonderheden_hechting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40773-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773'])&lt;=1">(obs_Bijzonderheden_hechting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40773-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_hechting): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40773-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_hechting): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40773-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_hechting): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40773-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_hechting): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40773
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773']
Item: (obs_Bijzonderheden_hechting)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40773']"
         id="tmp-8b9bde57-c8f3-4a0b-a56c-510f78c3f602">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40773-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_hechting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40773-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40773'">(obs_Bijzonderheden_hechting): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40773' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40773-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_hechting): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40773
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_hechting)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-b00d180f-efcb-4785-9584-f65466bc9a5d">
      <extends rule="tmp-eaf1565d-3c2c-4b53-96ba-7c5d7b8b2a30"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40773-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_hechting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40773-2012-08-01T000000.html"
              test="@nullFlavor or (@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_hechting): de waarde van @code/@codeSystem MOET ''773' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40773
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_hechting)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-c117726d-a3f1-475a-ad3f-4b529f7a22f5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40773-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_hechting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-4b23a180-3ccb-4474-ad56-3db32ba47cf0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-eaf1565d-3c2c-4b53-96ba-7c5d7b8b2a30" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-7cc61a9b-4bc0-43cb-aaad-f2f6cfde6595">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-a5b3f05c-2988-4342-8b18-078341161719">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-32e211b0-4518-418e-ae3a-351767820336">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-878450c4-1268-486c-a74c-569053b96758">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-fd3d5bb1-f5ab-4c38-adf1-0517790a58fb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-aaa7cfa2-e053-479b-8b26-4b565746401c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-da6a8c1a-f3c1-42ab-a8ce-261f974265ba">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-a2ce8d39-9371-4285-b205-942dd3089bad">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-d485d17e-7a86-4e51-85c1-52ad3fea1a92">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-7958573a-b0c1-4d91-be82-551142ce8779">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-91ce5277-54cc-469b-b83c-b224a449006d">
      <extends rule="tmp-964028d7-ec5c-4b1e-bbf9-81ba7defd41c"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-964028d7-ec5c-4b1e-bbf9-81ba7defd41c" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-2067c396-d9e1-42da-9e93-1d2d47872c08">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-cf5ad6bf-cccb-407a-b865-29232521315d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-67df9b07-f37a-4c16-a83c-d49131a000ee">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-7278aacb-8d20-41b4-a0ca-b12547664308">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-f55f4d83-a277-4e4b-b375-33a0a7ef7b8c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-6213484d-d101-4a8b-9ce3-d76809702d32">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-a78196ba-bc27-467f-ab02-8c9925d2f7f2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-7c9f05ab-c8b3-4d7e-8241-92af4f220487">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-fc2e90d8-ea15-44ff-8f97-79b53577f6db">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-2b79beef-eb4f-4dbb-a309-e58f86b351b7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-57757fa3-3094-41d7-9d7a-3d05e1bd4d27">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-3f061ac4-303e-4a23-b305-20422a10f6dc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-9ac03221-e52e-4176-8aa4-bb8f893ad7f7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-4bed18e7-0639-406d-aa40-2263095e415d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-4e4c30f6-96ec-4553-bf93-ddda7b86d206">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-0a20aec0-c42a-4e3b-8229-bef2ab1bde94">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-8225788d-bfe8-4784-a785-c5796461ad6f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-f67b3c3c-a855-4e7d-9323-8feedaef63c6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-7d0f9dcb-2b8c-4a76-9ae9-aae6afcb2790">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-7e019d21-ad72-43a0-a815-b8807cd47f87">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-e0b0a134-446f-4ce7-b7ee-de269995161d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-824b3aa6-b5f8-435d-8de0-54dc288ea1f9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-0eea4115-60a7-424d-a38d-79e260c8f634">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-b24aaff9-0403-4177-ac64-8f287b9d97b5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-6c46c3df-1a46-4f8d-b1ce-c15232ec3224">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-cdc278e0-8d5f-454b-b1af-231f4ba0ccb9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-5d5f2466-66f4-4f17-8e2d-7a099cff246b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-3ad8fc35-0cd2-4e97-adb2-9a3051338a8e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-e6cc4b1a-6200-4512-b37a-4d2b13ed3887">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-401206cf-884f-4844-895a-25eb1b3706a4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-6a580ce3-abb4-4b1d-bdcb-e5d700ef937d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-4f5859ee-45ac-4bab-949c-c2b2d708e154">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-12f82fff-6771-4f11-b173-9241786ac865">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-6f7ae145-aec7-4e30-9b4f-8665601757f5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-169f39e1-889c-431f-b5a8-fba96bcd4454">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='773' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-f3c6c8d2-3c00-49f9-87c3-f3a0a8cb0394">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40774
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_ouder-kind_relatie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40774
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_ouder-kind_relatie)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-6187c149-1c33-4d52-9018-878bdcac0f20">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40774-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_ouder-kind_relatie): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40774-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_ouder-kind_relatie): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40774
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_ouder-kind_relatie)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-4b170185-90b8-4dc9-8743-193f9baed9b9">
      <extends rule="tmp-f697dda7-0eb0-4de8-a536-6c286ebcfbb6"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40774-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774']/@nullFlavor)">(obs_Bijzonderheden_ouder-kind_relatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40774-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774'])&lt;=1">(obs_Bijzonderheden_ouder-kind_relatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40774-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_ouder-kind_relatie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40774-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_ouder-kind_relatie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40774-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_ouder-kind_relatie): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40774-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_ouder-kind_relatie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40774
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774']
Item: (obs_Bijzonderheden_ouder-kind_relatie)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40774']"
         id="tmp-ff3ee3a5-f954-4207-a71b-125eb5704902">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40774-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_ouder-kind_relatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40774-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40774'">(obs_Bijzonderheden_ouder-kind_relatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40774' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40774-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_ouder-kind_relatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40774
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_ouder-kind_relatie)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-43d383f5-eb8f-4d46-8e04-947f8735290b">
      <extends rule="tmp-6849305f-7f31-4e2a-b4bb-fc27a33e0d27"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40774-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_ouder-kind_relatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40774-2012-08-01T000000.html"
              test="@nullFlavor or (@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_ouder-kind_relatie): de waarde van @code/@codeSystem MOET ''774' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40774
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_ouder-kind_relatie)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-e485daab-29fd-4ee6-b879-dabad2fe4e89">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40774-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_ouder-kind_relatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-f697dda7-0eb0-4de8-a536-6c286ebcfbb6" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-6849305f-7f31-4e2a-b4bb-fc27a33e0d27" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-bbddccd7-52d7-4f33-8a26-fa0c20370fd1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-0e79baf7-7a98-430e-bbea-68bdc274e088">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-a9bc5e58-590a-4dbe-8bf5-3767aaf6839d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-7413bb29-f7cb-46b9-9f59-3b97b50265d1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-6c532266-594a-4d5e-bcd6-8b13a5db627e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-bc0d574f-0a86-4829-a576-753febec82a9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-eca155d8-0435-4726-9137-37898499d415">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-b8536074-1a83-4905-9f09-d7c04828b019">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-80219996-8f3f-4124-81a1-eca191ec7f53">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-964c8ffa-6d64-45da-9254-87f74269a5a0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-d68a3ed2-3003-4974-8de1-b4f07ef42c1e">
      <extends rule="tmp-1b9da608-9d47-4d58-8562-578fef3500da"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-1b9da608-9d47-4d58-8562-578fef3500da" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-a0f62852-bca0-4c56-8384-753c44ba5139">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-5b9f3fe3-3f8d-4cb1-a097-3241aa2cd919">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-b6c4c5d6-9bdd-4f55-aedf-fa77f24244e5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-ba38b130-2e69-443c-974e-eb36df04aa04">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-71687f22-4750-4c3f-9ef3-492636ff1c4a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-bf6ad2ff-54b3-4b50-9440-0fed6d79c65c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-8864e39a-f68f-4f2c-9534-ee705a1f83ff">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-45ea7b5c-e62c-45f7-aee9-d75cf1f701c9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-5b009973-e9de-44a3-9cd4-232cd0887623">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-203afbcc-e2d6-4b5a-ac88-d75e99446eb9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-03a4d832-ba64-41f8-b0a3-b2aee5b249fb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-baf18d51-ced6-4978-bcaa-3674db88ba74">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-e65d3025-43e7-4845-861c-9c4c7b906a26">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-a8afe3b6-11e5-4ba5-8e09-8ed01e3a1e27">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-2c343d2d-d834-4642-b6e9-4ba46a347dc8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-fb853dbd-47b1-47db-a902-21f924dd4668">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-2e2b94b9-b41e-429b-a90c-cb52f65c376e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-2f362a5a-c84d-4a17-ae21-3d7a45e83955">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-dfd90486-dd17-4c62-9f93-0f07772b63ba">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-59acf3a8-89ef-44c2-8542-b18539545dba">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-0aaf9aea-47b2-4708-a709-56abdf411bd6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-95afc4d6-431c-40b9-8717-33ab8ae0a7cd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-4999810c-27d4-41a6-bfb9-87f147306eeb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-fa923ef8-13a1-4879-841c-1b73a26918fd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-1362184c-d98d-4744-8a3d-a86bb00d5ac4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-e9220cfe-3cf4-4769-89bd-b491c4c3f88b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-be5cbad1-ab12-48bd-94a5-19ce7b630b49">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-bfa5a781-ed3d-4d64-aee7-db68813a0943">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-a983524c-0a4c-48d2-87fc-31a670fa644f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-0fb32502-d75b-4172-90f2-c425146c20b4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-8a260713-3c9a-4066-b0de-53302f71d217">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-1e2c9f88-2e4f-4588-b524-2ce2cb32a32b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-9b2d5d9a-a553-4be0-86b4-121cda43fe61">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-eaca6ca2-e755-4f11-bcdd-23d72752a707">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-ba18fcfd-aa05-4163-9d12-8fb1a657d8a0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='774' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-7a201afa-8e8f-4776-9afe-89211547869a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40328
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_gedragtemperament)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40328
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_gedragtemperament)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-0e3a4ebd-c3db-42c7-821d-4f020f96ec6e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40328-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_gedragtemperament): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40328-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_gedragtemperament): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40328
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_gedragtemperament)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-3f8e92e3-1e80-4b67-9dab-764e4a16a946">
      <extends rule="tmp-2b7fdd73-66cb-468a-a910-08e50e56c82c"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40328-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328']/@nullFlavor)">(obs_Bijzonderheden_gedragtemperament): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40328-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328'])&lt;=1">(obs_Bijzonderheden_gedragtemperament): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40328-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_gedragtemperament): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40328-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_gedragtemperament): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40328-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_gedragtemperament): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40328-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_gedragtemperament): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40328
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328']
Item: (obs_Bijzonderheden_gedragtemperament)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40328']"
         id="tmp-06ae8194-91b6-43d7-a18d-7aaf7a05634d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40328-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_gedragtemperament): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40328-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40328'">(obs_Bijzonderheden_gedragtemperament): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40328' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40328-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_gedragtemperament): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40328
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_gedragtemperament)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-592a1c33-9cbb-4b67-a93e-ad91da6a2c73">
      <extends rule="tmp-458f3e26-91a3-4032-8ccd-4f88584ad90c"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40328-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_gedragtemperament): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40328-2012-08-01T000000.html"
              test="@nullFlavor or (@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_gedragtemperament): de waarde van @code/@codeSystem MOET ''328' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40328
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_gedragtemperament)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-8919338d-b281-48c4-b655-fe639fcd5f29">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40328-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_gedragtemperament): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-2b7fdd73-66cb-468a-a910-08e50e56c82c" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-458f3e26-91a3-4032-8ccd-4f88584ad90c" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-b5eca394-2a82-4488-be96-ebecf8ae33d8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-831dfacf-f6cd-48d1-8355-d5d4050a0873">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-a48cdab2-a253-4784-b55a-8ee79c73aae2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-e381e971-99fa-49e1-8371-4e8c18eb0d50">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-7e39e752-9eaa-4a76-80fa-5427a5c21d5b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-cffe78ce-42b9-42d9-abef-19139a8f8204">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-733304f2-ef7b-4f6f-8b40-038b7250bf99">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-1cf7b6f0-9c8a-4582-8583-4ad367738a4f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-5b17645e-65f6-4012-944b-f05a1261a07e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-d7d71752-43c0-4ca0-957a-7ad6a03aace2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-55e66b28-4ee7-4a46-ac74-6cf8b841a8c6">
      <extends rule="tmp-236161b4-c6c9-4805-88d9-b4ca5d7e90bc"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-236161b4-c6c9-4805-88d9-b4ca5d7e90bc" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-93e9804a-bfa0-4de8-82d7-baf38b69924b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-9bd97131-9c64-4448-980d-eb80ff1fdc51">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-913c651f-5626-4b5c-99c7-a14dc9f640ae">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-ac90f86b-84ab-446e-8c51-b4309504dfa0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-88981d32-a181-49d0-acb1-934654e13ef0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-66885618-a60d-45bf-9599-5b89f3b1ad76">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-09447a30-440e-4d08-bdd2-730858277107">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-52e9f7cd-08d1-4e4d-9181-6ff4b75108fd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-fdaee2da-fc8e-45b7-b59a-6ef472536419">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-e978268f-3e2a-47eb-a414-d39782466494">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-d7dbd271-82c5-4db2-a3fa-0fabe580b0e6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-aeed366a-9edc-4956-a0f2-b47c9c75dbd3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-9ccbb0bd-c93f-49dd-8265-8f779659f441">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-7d05cb90-868b-48f6-b2b3-9746234d5d9f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-b86b500f-a116-402b-a5d6-15fd98cafeb0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-578ad7a4-a447-430f-913e-bef4f3db2b99">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-e2359e23-0386-4428-a45b-cffd26fc408b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-3d500d75-d1fc-40bd-9b5d-a89efe91a68b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-2773867c-5266-4c21-aeeb-8887c1be41ee">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-cbea5bb4-63d3-46c1-a720-d8f9c9ba150e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-e7806101-4281-425d-85d4-f82f88d18854">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-091206b1-cf56-4579-be70-229b669d182e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-df60a492-b4e0-4443-83c4-45e1931b9374">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-3569cfaa-e8ef-48d9-8526-f8296415a457">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-836b84d7-419c-4457-8ab0-746ae5753293">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-576bd11e-7d3c-477f-8a59-eb5581a2363a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-e09a7c90-5134-49e1-8384-5736fda82f16">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-b50d556a-6123-4220-bd7f-5a2081b1b108">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-173631c1-169d-4a32-8409-7cb352ff10b1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-1379d4e4-2f98-45dd-8793-c314749d684a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-32e8b821-94b0-4fd4-92ff-c0c7b2f95be9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-eff9a8db-dd1f-47c5-9ed8-28d686cfce21">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-478e0cd3-f679-4a2c-adb7-98feeadb6b84">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-e675898d-4c3e-496f-af35-63efba721bab">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-8f051d02-ad90-4322-a2e2-fe7490404b3b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='328' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-f0665c75-8b1a-4d1c-ad5a-96611557dd23">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40775
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_karakterpersoonlijkheid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40775
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_karakterpersoonlijkheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-1db3becf-2b33-4c7c-ad63-d76c7d7c8c1b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40775-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40775-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40775
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_karakterpersoonlijkheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-b1551c66-8809-46dd-8d6d-3b324734a8f3">
      <extends rule="tmp-c172740e-b3fb-4bdc-a6f8-ac52fb28694d"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40775-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775']/@nullFlavor)">(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40775-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775'])&lt;=1">(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40775-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40775-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40775-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40775-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_karakterpersoonlijkheid): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40775
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775']
Item: (obs_Bijzonderheden_karakterpersoonlijkheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40775']"
         id="tmp-365b7658-6350-4d2b-8b67-ef004a31dae8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40775-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_karakterpersoonlijkheid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40775-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40775'">(obs_Bijzonderheden_karakterpersoonlijkheid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40775' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40775-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_karakterpersoonlijkheid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40775
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_karakterpersoonlijkheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-7fd32fbb-e306-4998-b5b9-675cdb66250d">
      <extends rule="tmp-9b29066d-9a14-45fb-b9f5-702111d40082"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40775-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_karakterpersoonlijkheid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40775-2012-08-01T000000.html"
              test="@nullFlavor or (@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_karakterpersoonlijkheid): de waarde van @code/@codeSystem MOET ''775' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40775
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_karakterpersoonlijkheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-391ca36b-e671-41fa-8bb9-216baa0c4fed">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40775-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_karakterpersoonlijkheid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-c172740e-b3fb-4bdc-a6f8-ac52fb28694d" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-9b29066d-9a14-45fb-b9f5-702111d40082" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-cc5f0027-93d2-488d-a193-01a0b2492706">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-0e7593b5-72bf-4587-b436-d8466a8af157">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-3b05cf75-5848-47c7-8a2e-2d8d60b03b75">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-a3af138a-c657-4eb9-aef5-e6c75b281a8a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-85ac6831-0b2a-4657-80bf-1edbf887d247">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-0c82d59a-209f-41ab-b559-b3a83ebc996d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-0150462b-4108-4c6a-b916-e588559c6060">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-abb1e771-db14-444b-b71e-0c61d1dd7e87">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-3111dd3b-4e09-422c-a7f8-fc4459ec9815">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-484e6b52-3824-4180-b583-68b2b8531a3d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-a8596062-be14-4918-a1d2-a0a9e2a2285f">
      <extends rule="tmp-f7f5f2ea-87e9-446d-8685-988b614e39e9"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-f7f5f2ea-87e9-446d-8685-988b614e39e9" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-171148ed-8c27-4ba0-836f-b4e1fe4745be">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-ef2d032d-3145-48f1-98d2-576694da72d2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-2eafe155-5615-4641-aa8a-f7155704207c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-2a4ab54a-df22-4d4e-bd5f-55daef6844ba">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-c17150bf-0a4a-4fef-b6ae-ba8e4af41de3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-0fa63e99-429e-42e2-b733-fe777cc02a98">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-53d96254-e976-424b-b6ea-a91e9c3e60e1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-22aaa905-6037-408c-9c17-14dac3c4a3cc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-27dd4e93-041e-400c-abdc-122347299936">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-9b5c6c51-20a3-4e96-904c-1358e6d7aa3b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-305a705a-fa19-4c76-b4bb-a74ab3b9189f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-e7ad01dd-d41e-4ef0-9640-f157e7796244">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-8d44535e-6863-4695-b53a-54be1409c254">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-1c30ec3c-097b-4d53-8feb-58f696827659">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-845373b0-ba9f-4b3a-87e8-e0338e5ab124">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-3e476e17-a946-4580-b0da-0a2f17d4dc37">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-49368809-cb73-4f5c-b0c3-b47bca65a24c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-6afa1e46-1cf8-4c1f-bbce-129545a5e0e1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-f918231f-3f87-4b61-9db2-437823b27470">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-84da1138-9c29-4495-94f8-fdf3729364a5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-a78c704f-cebd-4ccc-8bf5-6715d70b06fb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-c4a072c6-131b-48bb-a073-cc8b8a4273a0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-e7bd9a74-4296-45f0-ad6c-6ff36cbb7504">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-421c754b-9c6e-489e-a9c0-b294c6e6877a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-97682991-01f7-41f7-a688-9e3b7b0fb37f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-ff9e1a90-fab8-4435-9221-8da00dc96b33">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-dd461916-7d9d-424f-96a6-631c87755f5c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-772b84b3-a772-4efa-87b5-b4afba368ef7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-5f7fd281-f37b-4046-8edf-5cf3b4cb9a93">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-2e66577f-6cdf-4f3a-b14f-1009f93882af">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-cd1d95bc-ec95-4e43-897d-c096417bcd2e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-eebf28ca-5eb9-4b9a-8df8-38920b75bcc8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-d5d6c08e-a757-4a44-aa96-0d77d8273f8d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-d8d04374-5d25-4df1-ae0a-ca731d557f51">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-ed56eef4-5624-44f5-8092-53ccabefbc71">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='775' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-acc6c7ab-ad2a-472c-912d-d2d6e7586d81">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40776
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_zelfbeeld)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40776
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_zelfbeeld)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-50f1427b-828d-4625-af3f-521db3de3aeb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40776-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_zelfbeeld): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40776-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_zelfbeeld): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40776
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_zelfbeeld)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-4817702f-045f-49c8-b638-6cf22fe9fe69">
      <extends rule="tmp-7f9faa20-5a45-4216-b065-9ad1a454981d"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40776-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776']/@nullFlavor)">(obs_Bijzonderheden_zelfbeeld): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40776-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776'])&lt;=1">(obs_Bijzonderheden_zelfbeeld): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40776-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_zelfbeeld): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40776-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_zelfbeeld): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40776-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_zelfbeeld): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40776-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_zelfbeeld): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40776
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776']
Item: (obs_Bijzonderheden_zelfbeeld)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40776']"
         id="tmp-ef3f3ce5-5ebc-484a-a108-a3f27e2f164a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40776-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_zelfbeeld): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40776-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40776'">(obs_Bijzonderheden_zelfbeeld): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40776' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40776-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_zelfbeeld): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40776
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_zelfbeeld)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-ae06e9b4-1c53-42a8-954c-11c2fee40d57">
      <extends rule="tmp-09b3188a-dfab-4eb7-909c-84e2c2a040bc"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40776-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_zelfbeeld): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40776-2012-08-01T000000.html"
              test="@nullFlavor or (@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_zelfbeeld): de waarde van @code/@codeSystem MOET ''776' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40776
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_zelfbeeld)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-40ed5599-4c47-4060-b0ed-33652e96c583">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40776-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_zelfbeeld): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-7f9faa20-5a45-4216-b065-9ad1a454981d" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-09b3188a-dfab-4eb7-909c-84e2c2a040bc" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-281f3b7a-c353-4229-9e6a-6538176441fa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-0ae3162e-1d67-42c2-b799-db98cded013c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-4a5c9cca-32a2-448a-aad5-3c27c4401745">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-50d3ac88-a94a-41b9-95fd-df06fc7686a2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-c475b7bb-f2ce-4324-a0f9-29bcc1f28453">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-52203f2f-93fc-4a5b-be67-fce137f273cf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-ec1c1b9e-46ef-4d06-83c7-518566450f82">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-c8896872-8e8b-4750-9b72-d747d52abd2c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-f2b68a68-30af-476b-805d-a8dd200d449e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-65b585b3-a368-4caf-a2f2-25a66890feb2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-221d4a6c-919d-4b2c-89cb-870ee4e1c378">
      <extends rule="tmp-911f0136-40fc-42e4-b729-7000b611d730"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-911f0136-40fc-42e4-b729-7000b611d730" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-40d3884c-90af-4e3a-b497-b868d0fa1a7b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-af0161ea-31d5-4aa7-a384-0c3274a658c4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-a1346710-69c6-4d49-84d6-ce4b71fdea68">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-2aa4e690-a5bc-4e8d-95ba-864cb30b9814">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-d1f3694b-7fb5-4aba-9920-040dc5d968e3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-c995f728-9586-42dd-9f2b-6c1bc1beaf10">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-8368fdd7-f527-474a-a7d5-4c7b657251fd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-245d2ee6-ebc1-4e85-b427-e7eaa4f7f230">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-5f526dd1-74d2-498a-93b5-c97b3828fe8d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-ae55da93-7a5f-486c-82c8-fdc9839bdd34">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-17b442b7-57d4-42d8-9c18-8d964dd3695d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-c7650c8e-64ce-4c2c-b699-415de5b5caac">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-66796595-78f0-4f9b-b05c-415eb4ba0523">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-448f300b-5ad6-4e1c-9949-834eda20eb99">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-d797014c-3c35-4c11-8311-84d08896d836">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-0c147e61-5164-4176-bf22-e1d24b91aff4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-956b489f-cb55-4cb8-87a0-39ebf529b38d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-410a86dd-0204-4a00-8477-d6573c74685f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-bebcb755-9c9e-4cbc-9ed6-9e3285f00fb6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-a0a27ef8-c9c4-4313-97c0-cb7ced9d34fe">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-e672670b-17a9-4eae-bd55-a3a9153a8f11">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-f1adff0c-95a2-4014-80b0-5e926ab5cef3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-23cd6cca-566f-4830-ba3d-3f2e8e7d7eea">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-312f9c95-81a9-4d85-a56f-528f0d01c65b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-9acce5eb-3ba7-43bd-a824-b327953cc23b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-0fb0a5be-baf0-457f-ad0a-b33d488c16ff">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-e3d2a449-0e40-4b8d-8ad4-45ae1d738a88">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-749a2765-90c7-4264-86dd-6b4f28b669d7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-483ef3e5-4a5a-4e93-bfd3-1656cb67eb65">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-5d71752f-cfed-4ebc-b935-c5d102a7466f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-42e7239f-e85e-44e9-a14d-15daee50f781">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-63d893de-3de0-4ea4-80e0-c57e18dee021">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-29d46aa2-bba2-4cab-81e8-3b3c8ecab09d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-d825cfb0-7124-4703-934f-df5b3cb99244">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-207b3b3b-137f-4230-b5f9-e064b1a843db">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='776' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-26df6a29-33da-4294-8ffb-fe8906ae1e0e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40777
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_stemmingangsten)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40777
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_stemmingangsten)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-698f61f2-beb3-4abe-ae14-ff6c9e48cf81">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40777-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_stemmingangsten): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40777-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_stemmingangsten): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40777
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_stemmingangsten)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-c40773d1-7d01-4515-bdd5-46623c09b061">
      <extends rule="tmp-f451288b-dc17-4521-bdcd-f5b944d95d42"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40777-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777']/@nullFlavor)">(obs_Bijzonderheden_stemmingangsten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40777-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777'])&lt;=1">(obs_Bijzonderheden_stemmingangsten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40777-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_stemmingangsten): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40777-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_stemmingangsten): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40777-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_stemmingangsten): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40777-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_stemmingangsten): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40777
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777']
Item: (obs_Bijzonderheden_stemmingangsten)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40777']"
         id="tmp-50251c1a-06f9-49df-8e32-50fd644c8e5c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40777-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_stemmingangsten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40777-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40777'">(obs_Bijzonderheden_stemmingangsten): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40777' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40777-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_stemmingangsten): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40777
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_stemmingangsten)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-ef0cc6e0-bf76-4950-8ed6-a857cf22c31c">
      <extends rule="tmp-7bb3c41f-6c28-4893-abf7-eff07a16a002"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40777-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_stemmingangsten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40777-2012-08-01T000000.html"
              test="@nullFlavor or (@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_stemmingangsten): de waarde van @code/@codeSystem MOET ''777' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40777
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_stemmingangsten)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-cbbe3a95-a9cd-4dab-8807-4cdd5133c8a5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40777-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_stemmingangsten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-f451288b-dc17-4521-bdcd-f5b944d95d42" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-7bb3c41f-6c28-4893-abf7-eff07a16a002" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-f1887fdb-edaa-4e9d-b0f0-f6dde0c47ad4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-380ccfa2-9f7c-44e9-9245-551ed03b59d6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-28bd2de2-a60e-4297-9703-45d75108da0f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-cc69585b-e247-4f0c-9e89-dc10f52fc745">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-d5eb92b8-88bf-4ceb-9b94-9de1cedb5654">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-93b0277a-8164-42ad-8b9c-031f7c29399a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-dd2edd30-00f2-40b8-b708-fa1e64052b9b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-36a0b56f-13e4-4974-8bd0-7e298d201490">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-834c463d-2b78-4d08-84a6-11126e96bdc2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-b2ed0834-884a-46a7-8456-6739bbbd3759">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-6455375a-03de-4757-bd92-c48ca0d2c9d3">
      <extends rule="tmp-b30bc988-f6d4-43ee-8c62-cc7878c2c027"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-b30bc988-f6d4-43ee-8c62-cc7878c2c027" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-e1f46560-5695-4616-bf2d-ae223f5b05db">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-2df1f603-9cb3-441e-b4ab-fd2f003f6321">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-a055aefb-bd6b-44f1-87a1-fd3ccbc613be">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-037146f0-86f0-4382-aedd-0128fecbc062">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-dd07ef67-9bfe-421f-ae79-21107ccce292">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-82b1bbcc-c515-4c30-9c25-d4ac265e6deb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-d85565c6-d74a-44d1-98b5-10524df561f9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-94982e6e-c380-416a-b10d-bec8eb1cb70f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-5eb1975f-51cd-4560-ab48-753ca07493d0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-9d94a6d4-7c13-467b-9ff5-51003b2af4d1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-fa4c8150-7d78-4dd9-87eb-76d6f07abcb5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-8c17a093-b08c-46a3-9e92-ec5fa77297f3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-e93406c5-1018-4f3b-b156-f50a9b14e6fc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-38347516-d936-4a8f-92de-9b9269963fb1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-1a67ed5e-490a-40b5-99b8-8a5409f625e9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-db95932c-d782-4869-bcbd-70019ef8458a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-526bed0b-a26a-4a28-933a-963a589ba276">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-c5904c31-bea8-482b-9682-95e86d93d3db">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-fa247304-f649-485e-bb33-efe0ff2f7b66">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-7dcc4807-aff8-4ddf-a339-cb66ef78465c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-602f20f1-a2b1-4680-b727-696059478451">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-2af904ee-7f20-4e78-aba6-17e68ae4ba5f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-6a170340-6f96-4325-82f2-365835afa579">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-0b3bc39d-ebbf-442c-93f5-0e99863ca14f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-ad861c0c-f217-4ad8-b5d2-ea77d2642eab">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-3c245fb6-ca56-49ed-9ff6-5dfb7f5d09b8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-492f1f6c-5c3e-43bf-bd52-ec774e73fbeb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-e58353c4-ad3d-432c-bb5f-9fb85ea6f5df">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-1d4a48ad-c0ec-4f11-8992-07a40367c8bd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-83e4739f-d7db-47ee-87af-6ecaac1fdffe">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-28f90025-bd02-40df-a6c1-f195c2c6623d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-de960311-dfd9-4de1-a44e-a0611a1b887a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-f49868e4-1720-407c-b0a1-7c874454beea">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-43ac48e0-b211-4b5e-8a3e-84b04b74cf37">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-f6888999-57d4-4d74-b17e-edfea72c053f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='777' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-55eed119-b1c4-4cda-8ac3-33e5baf4a25e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40778
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_ontdekkingsdrang)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40778
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_ontdekkingsdrang)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-281a462d-81a1-4910-a771-2da5c4fba338">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40778-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_ontdekkingsdrang): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40778-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_ontdekkingsdrang): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40778
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_ontdekkingsdrang)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-9e19cfc5-e519-4492-83d6-503ac9ae8497">
      <extends rule="tmp-91835cba-10b5-4dab-9222-0e71e115b5ac"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40778-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778']/@nullFlavor)">(obs_Bijzonderheden_ontdekkingsdrang): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40778-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778'])&lt;=1">(obs_Bijzonderheden_ontdekkingsdrang): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40778-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_ontdekkingsdrang): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40778-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_ontdekkingsdrang): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40778-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_ontdekkingsdrang): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40778-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_ontdekkingsdrang): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40778
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778']
Item: (obs_Bijzonderheden_ontdekkingsdrang)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40778']"
         id="tmp-357a9d96-da8f-4588-8a15-c4c28ac69958">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40778-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_ontdekkingsdrang): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40778-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40778'">(obs_Bijzonderheden_ontdekkingsdrang): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40778' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40778-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_ontdekkingsdrang): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40778
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_ontdekkingsdrang)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-4b2138d2-e2eb-4c3a-bd7f-fb52331dd9db">
      <extends rule="tmp-e743a378-c5ca-45a5-814d-f173483c1d2c"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40778-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_ontdekkingsdrang): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40778-2012-08-01T000000.html"
              test="@nullFlavor or (@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_ontdekkingsdrang): de waarde van @code/@codeSystem MOET ''778' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40778
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_ontdekkingsdrang)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-7e9cd872-3949-4cc1-8e3a-80b4d915577d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40778-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_ontdekkingsdrang): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-91835cba-10b5-4dab-9222-0e71e115b5ac" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-e743a378-c5ca-45a5-814d-f173483c1d2c" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-706994a3-232e-415c-ba59-8f2434dbd638">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-c8df45c9-4934-4b4a-b75f-9c8940f84ae9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-b4ad75bd-98ac-45a1-86f6-55c9b377033b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-e27ea4e1-3585-4fd2-8ac8-385f32a1586f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-a4e567e6-7781-4aeb-b24d-3c4bdcb8c5e9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-358470fb-97f8-4f17-9166-26fdb61058e2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-232b0aaf-a352-4a36-97c6-7ad34e9bcf65">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-d9bc4730-2218-4737-9fa8-cb5f2b09218f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-ca72e20b-4fa9-47e0-a266-ff2cbaa38745">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-b7e2dbcc-0a1e-4f65-a344-7e9186e549ea">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-84c25479-6122-4d5d-ada1-4fdba469c62f">
      <extends rule="tmp-1fa7251b-5547-4929-83cf-a6b3d7feabeb"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-1fa7251b-5547-4929-83cf-a6b3d7feabeb" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-35e7aa64-fc17-48bf-861f-58ca81561391">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-942606a2-526b-4f1d-8326-b6022375efd2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-0d9f6496-b8b8-4f1a-9149-55943ee5876b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-5d8b8601-75d1-4e92-a7c4-087f324d46b1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-9908297f-b85d-428c-a5ed-decf93ad6f8e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-b079b469-0b60-440f-8c8a-cafe49589a80">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-cf45dfeb-9c39-475a-a2e7-31af2c843ded">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-4b59afa5-40e6-4955-92e8-352ddd82585d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-9e0ddd3b-48cb-494e-ae82-ce19196e0e40">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-12a4a140-18d3-4a12-bc64-428f2930a86e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-f8702556-bd49-4653-b208-1b28da3a35f5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-18e5972d-1353-45ba-b10d-795c1b6cb865">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-f482e16a-4963-45e7-9a1e-8d7a599f1a50">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-1f4fb375-6e90-43d1-82a2-0ad46938e143">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-ff5213d3-e9b3-4eb5-8a03-985ff1eaceef">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-e3bb2b76-7927-44f5-9deb-919b0c69bfd7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-abb3333d-1d3b-462a-9c11-5c0f222f3e78">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-628a9f42-1379-4ab7-aee6-eb63eec760d9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-c953b16d-1b10-4524-8627-b2cc6a735100">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-81616495-eb30-4ec1-bc6f-0ed09f35180f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-940af825-8a0d-4f81-a801-09bcd2b8dd66">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-44759a55-7ec2-43de-9e97-c99926790e94">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-43a04606-4b75-41ba-9a36-75ef331d2467">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-3dfd4143-0757-4efb-b6ae-bdea24a8e51b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-1d64c539-22a6-4bcb-9c82-a4950243e558">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-8c9a34e5-4554-4518-9cd6-2b7219ebf336">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-2c09d880-60a6-4d70-998d-c6cbeb6358b3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-c56c0b98-f231-4d80-9379-cb20ec96f8bc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-a47fb100-3b60-479e-a817-ff5f0faa7c72">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-173f1ae0-6bbd-45d2-b133-c3394ee2b782">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-6ede5f37-827d-4aee-ae15-620750e38934">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-c7d793ea-15d3-4990-8564-92e13f4a6396">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-de73d47e-c8a4-4f4c-81ff-ac893cb3939a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-d3d6fb32-f6c3-484a-891d-fe0a3014a42c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-f7db1145-2096-42d2-885b-f9218d1eeae5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='778' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-f00559ed-0497-41ef-8e0e-a6f116ee5ff8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40779
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_zelfstandigheid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40779
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_zelfstandigheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-5f000ca2-289d-4eca-ada9-fb69369046a0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40779-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_zelfstandigheid): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40779-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_zelfstandigheid): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40779
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_zelfstandigheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-2f27c61e-20e7-4559-a13f-4a46d22293d5">
      <extends rule="tmp-a8adfed8-4dc3-43f5-a08d-c0ad2f369db8"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40779-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779']/@nullFlavor)">(obs_Bijzonderheden_zelfstandigheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40779-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779'])&lt;=1">(obs_Bijzonderheden_zelfstandigheid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40779-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_zelfstandigheid): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40779-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_zelfstandigheid): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40779-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_zelfstandigheid): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40779-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_zelfstandigheid): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40779
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779']
Item: (obs_Bijzonderheden_zelfstandigheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40779']"
         id="tmp-802a8af1-597f-4b8f-8b43-1cf11a5ccd1d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40779-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_zelfstandigheid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40779-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40779'">(obs_Bijzonderheden_zelfstandigheid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40779' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40779-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_zelfstandigheid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40779
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_zelfstandigheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-456b192a-0ea6-4f21-9730-8c6742571fbf">
      <extends rule="tmp-318fa037-794f-448f-8f8e-342a37f80834"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40779-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_zelfstandigheid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40779-2012-08-01T000000.html"
              test="@nullFlavor or (@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_zelfstandigheid): de waarde van @code/@codeSystem MOET ''779' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40779
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_zelfstandigheid)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-91eb9d4e-e184-41e9-bb85-5d2fd80f26f9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40779-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_zelfstandigheid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-a8adfed8-4dc3-43f5-a08d-c0ad2f369db8" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-318fa037-794f-448f-8f8e-342a37f80834" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-61d52063-1ade-43e6-bdac-b14c0e3bd232">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-4394a0e4-83b8-4a34-b581-16a04d7df2f1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-46869bd8-4c55-4900-8582-dd47374f477f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-741b4c8a-2f31-404f-9c4b-d4c058ed5da0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-c144dcc1-7ab7-4c34-a015-1ae6336433f4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-5c694c7c-720e-402a-a931-a82b908b3688">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-bac8d097-1176-4b41-b4e9-a4ad207fcf65">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-c41445b8-299b-4221-9364-5141db854d1b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-df74b588-3f14-4efd-8352-3fdc604c5999">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-6478aafd-d924-4568-927d-7a0856ddf944">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-7152c017-a45e-46fe-ab22-c7795d9453a8">
      <extends rule="tmp-e5a3a7c1-0d63-46ac-813f-03d6b4eddb84"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-e5a3a7c1-0d63-46ac-813f-03d6b4eddb84" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-bda6334f-c039-433d-9118-40a69e83f262">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-d580cd74-a45b-4683-88f9-8427bfa48c83">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-a85e4cde-44ce-4528-b419-64257ebb06d3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-22abced2-b63a-498e-b6bb-7096e8538f40">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-739013d3-36cf-439a-9cfc-eac4c5db1371">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-f8782f02-4a46-4c40-b68d-030c831c558c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-5a486188-97fb-4e52-9e40-d873d9cf1763">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-365bdd27-a11c-48e3-8754-ae11e9335f2c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-6561ea53-a7de-49dc-8e82-8f6d07d6e40e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-35bad852-9896-4f54-870c-bab4a4b9326d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-d305c71a-7080-49b7-b2a9-0c7e8e62359a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-8c0705ed-11b7-4040-8d4c-9f788cd6f3f7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-9a153071-1fa3-4c1c-a7c1-c38a5e587852">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-9e4e2e2d-85ac-43c2-86ac-2eabb9322c41">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-1b342de1-2dca-4f63-b434-7758602dcbba">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-1cc644da-98e8-4cb8-83fd-2b4666a86790">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-05126afe-7833-43d0-b7b1-9e4dd0f1f095">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-98f321fa-b125-4716-9776-9ebfa07a2899">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-4a843c1d-3f08-4737-bbfc-6605639c1ba8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-e4fa3cbe-b87d-4623-9c0b-250309e541ba">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-dd66b61d-c431-4cf7-9228-ecf3dcfc2a56">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-dc611a44-6435-4625-b2ec-6fad69209d7c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-4a4bdbbb-5317-45f3-a0f1-af6e169dfa2c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-77710ea1-cf8e-467c-8108-5ac065338ec9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-d31d7489-2867-4263-9476-11fc702eb589">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-9b2d333b-4c9b-4cf1-bb79-df06741d5dee">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-2982ab3b-8d6e-4793-b6db-bd85a4637e0a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-3b92b656-8322-44c4-9b6a-7d88e71c7890">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-d3597489-3f22-4e5e-80a6-e6f05489dfb3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-2ed0b3ae-9d3e-4666-b363-b2c8897b0177">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-be02b667-71bc-4690-a4a5-7df98a6ae054">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-4f161cae-d2e3-482d-bce5-9d263b029330">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-1f4cf260-5224-47a9-82d6-4ad05a05c152">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-ba971005-c2da-47a5-a965-e594ad320f15">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-e52f5875-8785-4fae-800e-337397e320d7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='779' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-fa87f973-7b30-4847-99eb-1e8bf99e65c0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40780
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_begrijpen)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40780
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_begrijpen)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-947dc6a8-8cc8-4293-a4e4-eb1fbbcdea42">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40780-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_begrijpen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40780-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_begrijpen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40780
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_begrijpen)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-460090c2-6e3e-41d3-b020-9b739ecca0f5">
      <extends rule="tmp-d0d3486a-538c-47fb-adb8-1309f9c4d1d7"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40780-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780']/@nullFlavor)">(obs_Bijzonderheden_begrijpen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40780-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780'])&lt;=1">(obs_Bijzonderheden_begrijpen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40780-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_begrijpen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40780-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_begrijpen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40780-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_begrijpen): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40780-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_begrijpen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40780
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780']
Item: (obs_Bijzonderheden_begrijpen)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40780']"
         id="tmp-14fb9fd2-b3a1-4616-a76e-f54f9c194065">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40780-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_begrijpen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40780-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40780'">(obs_Bijzonderheden_begrijpen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40780' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40780-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_begrijpen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40780
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_begrijpen)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-d0cedf8f-877a-4189-a7dd-c8933b38014b">
      <extends rule="tmp-3f2545fa-4cba-4ed3-9d90-1cf6c6933029"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40780-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_begrijpen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40780-2012-08-01T000000.html"
              test="@nullFlavor or (@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_begrijpen): de waarde van @code/@codeSystem MOET ''780' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40780
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_begrijpen)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-e35931b7-5b32-4bb0-becd-ffecb0bbf8a6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40780-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_begrijpen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-d0d3486a-538c-47fb-adb8-1309f9c4d1d7" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-3f2545fa-4cba-4ed3-9d90-1cf6c6933029" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-29996888-b5ab-4a7d-8d7d-9e8f2e649f60">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-281f585f-3aa8-4094-bfd2-e1bd25bf07a3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-aeb75816-1b83-4fbc-9aaa-ad8e45b89725">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-23a288bc-da50-44ef-91bd-45ed2d8eebac">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-5b2d31e2-873b-4c66-8b29-4f063ded42ea">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-5a3cfc5f-ec2f-481a-8bce-93659eb02f4e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-e8e7ffe6-f2dc-420c-92d9-04495e8acc05">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-4997189d-17e4-4a08-819a-eb431c43aa78">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-1979af6d-5410-4db7-bc43-6bb0a7891029">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-6aa5777a-76ba-4dd3-92cf-19d4fce0a9e3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-50b61585-8b6a-42b1-89fe-64147ee3f8bd">
      <extends rule="tmp-1615e5d9-c065-43a6-9cc2-15ffce862042"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-1615e5d9-c065-43a6-9cc2-15ffce862042" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-3ea50faf-ba1a-4ea8-99cb-3b2078cfeb2e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-6e907221-3bc1-44ee-b82f-77935527fea1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-989697e6-a9bd-4274-ad31-545f866b8eca">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-ff58f822-13fe-4dbf-9b52-00385300276d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-61298bf1-d2aa-42c6-a524-a02878fe3528">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-9132fb63-381a-4a47-86b2-7d7c520adeaa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-851b4a59-d2ed-4796-96f8-dcc0bcd00947">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-9b0bf50e-ae1f-4919-80a4-2c118b9c5cb1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-554b2e91-77a3-4405-96d3-195c82d7a3db">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-6743c93f-d411-4c17-86e8-8ca1314c2de6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-2391ff5f-b456-4ab1-8da1-7032db8e9cdd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-f4a8d043-c9cc-47fb-a6ae-89f65bdebafd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-d99014f6-61c2-4715-8982-890a5602b35a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-714d823f-0ee0-4b13-adae-2e255acb636d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-dcd73263-e4f8-4891-84d6-114b539b1808">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-7a00745a-73d8-41ee-86e6-b597361e3eee">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-158caa81-3d24-4536-a3d9-f1801345452f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-37a88e31-fb93-47e4-a68a-c21bd25c969b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-4b1ab6d1-574c-4435-9c82-257cd3e14142">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-2b9b039b-a942-4723-8f29-a9cc6e022641">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-df823c33-c49d-484a-ad88-5556eaf4911f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-cec8634a-60d9-42d9-9cc2-a3351eaf8488">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-79d63660-bedf-4d09-8665-460f52edaab0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-6f785b47-f3ad-4954-8024-1a7f0fae2510">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-553f5292-715d-4e6a-ac4d-3a8ea2a89ee0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-6a35f1fb-c926-4ae2-964b-194a1310e531">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-369d0f59-06c0-4b1b-ba82-6020675529c5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-eda544e4-e5e7-4fc2-adca-c36ad8defbb2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-a6c02a12-c041-4012-89b4-3b0f272e8dec">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-abed1bba-1c32-48f9-8f93-6c1256a2c8db">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-a9eabfb1-cff4-4c05-8809-9c4dfa765c2c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-6977851f-b7c1-4449-bfd6-b5ac61299828">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-eb3ee30d-7602-4341-806f-29c3da463b69">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-236e0e95-55df-4a1d-8628-446917ff005d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-06b1229b-64a0-4336-a9ce-4bd504cb4e51">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='780' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-cbb4f8b2-e865-4446-a282-b33e7f81c2da">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40781
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_wilsontwikkeling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40781
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_wilsontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-06d0ae24-34a7-4795-b0fe-6a0303d22bc1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40781-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_wilsontwikkeling): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40781-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_wilsontwikkeling): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40781
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_wilsontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-0bbee5e0-b3ab-4f10-86d5-f31715df0f7c">
      <extends rule="tmp-b502c452-56e0-40ab-9014-1e79fe0709d7"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40781-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781']/@nullFlavor)">(obs_Bijzonderheden_wilsontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40781-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781'])&lt;=1">(obs_Bijzonderheden_wilsontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40781-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_wilsontwikkeling): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40781-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_wilsontwikkeling): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40781-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_wilsontwikkeling): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40781-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_wilsontwikkeling): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40781
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781']
Item: (obs_Bijzonderheden_wilsontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40781']"
         id="tmp-c1366809-bd44-43e7-a93e-6bd88a9c20c8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40781-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_wilsontwikkeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40781-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40781'">(obs_Bijzonderheden_wilsontwikkeling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40781' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40781-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_wilsontwikkeling): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40781
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_wilsontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-76b837d0-0e81-44f5-b7e5-7f10b0b4bcc6">
      <extends rule="tmp-c65b204f-4c4b-4214-a999-ecf250ca5b83"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40781-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_wilsontwikkeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40781-2012-08-01T000000.html"
              test="@nullFlavor or (@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_wilsontwikkeling): de waarde van @code/@codeSystem MOET ''781' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40781
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_wilsontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-6d901533-d054-444f-8eba-58159e54ce34">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40781-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_wilsontwikkeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-b502c452-56e0-40ab-9014-1e79fe0709d7" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-c65b204f-4c4b-4214-a999-ecf250ca5b83" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-6b3d4f56-c6c7-4fd5-9018-37c084f845a3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-27abeb77-4b68-4801-a36f-ae43a9077bd3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-663da9b5-2c6b-4a5d-9439-953220f91149">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-bc75925f-1353-4eeb-b457-f19e35c6d5c8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-406c6d4e-3e26-42a8-af33-8ebe152a793a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-8b75b6a2-9486-4f0d-8263-baae88c0ce21">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-9af1a2cd-50f1-4ce6-baad-23fa24f4fac2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-45da5957-128a-42a6-8077-52b2ede4a361">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-6c3cc7a7-1ed1-47a1-8a5a-b90e4a1308d9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-964d6da6-900b-410a-b6ee-922576aa4ba5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-344bec90-4644-4f05-88cb-b2d0caa5ab54">
      <extends rule="tmp-32fe57c5-2cee-4b54-a6a7-7095eefd9e00"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-32fe57c5-2cee-4b54-a6a7-7095eefd9e00" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-ad99d9fa-8164-419f-9c29-4bc773a83ca9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-feed7018-a120-4442-96de-3974d050bd1a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-6964a3ae-4752-419b-bef9-75fc744d4070">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-df5dbdca-e17b-483b-8d3d-ea29d1429d28">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-b0f0374c-341e-4b6c-bc63-13d2a34f654d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-6e6cc39a-33bb-4ed7-9609-c4990b292c5d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-23aac60a-1f21-44d7-9f20-e7978a21055e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-9784d7f3-29de-4d15-8375-b297fc936e24">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-6b90e8da-22b7-4710-ba45-eb05223a1095">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-22327743-8034-4cdc-a768-693ecd544d03">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-73e461d2-a33b-4003-831a-1b4f63147f4a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-dc4ce94d-2f81-4140-9ff2-8e4ab020d9c3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-09ad5566-08b0-43ed-995c-962e660d596b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-8c94ad2c-6e9a-4572-9965-0bd0a41b9885">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-40e5ff53-b618-48cb-a32d-54dfedd26de2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-ff2db30d-8be1-49c4-abf0-7d9f2d3ad358">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-f501a7a4-4798-49bb-a15d-2d4330f6203d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-78ed8ff8-88b0-44b2-8af2-32614724ad2a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-eb48dc2a-cc61-47dc-8196-fa007ec228f1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-2d48636b-51ca-4d03-9fc5-0b713ebdfc27">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-7ee355aa-ed73-45b3-9095-5cb90ffac537">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-dedeb54d-9df9-4a98-9a4b-ba5e62f530ab">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-30ff50ca-c4aa-4505-9bd2-8decf371538d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-f39c6107-7439-451f-9f8a-8207b743d320">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-18adbdea-b54d-46e9-9d1a-c939ac3e6c34">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-79bab9c1-4219-4cbb-9e13-6d73dfc9042c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-b8781b7c-831d-4555-b4e4-cfe840b72d95">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-7eb9db63-286d-46e1-b43e-cc4479716fb3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-326a747d-0c9e-4d10-bc20-9338501c20b1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-934a9143-08f2-4c3d-92b8-3e6070863125">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-cee66198-6938-4bf0-a425-2378a8b6af9a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-5b3b3c56-8e23-4449-b9b0-7dc85cbed64e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-2476fc7d-93f2-4365-8a0f-8552ff070bb9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-376aa7d5-4595-4bb5-b311-ed43fdf6c0c5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-354eec83-4d07-4c77-b371-279ab14ce4df">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='781' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-1ecda08d-c133-4301-a7cc-995ddd086373">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41422
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41422
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-eafd4089-bf45-48b3-8a54-067126ed8333">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41422-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41422-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41422
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-7f714f42-567d-4f34-bf6e-c9af83d3d85f">
      <extends rule="tmp-d2305906-d99d-4c1b-aea2-d26179d9b58d"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41422-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422']/@nullFlavor)">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41422-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422'])&lt;=1">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41422-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41422-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41422-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41422-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41422
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422']
Item: (obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41422']"
         id="tmp-d4eaaf9a-30a2-4bb3-b747-5030cc91d6c6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41422-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41422-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.41422'">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41422' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41422-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41422
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-e6b11981-1a24-4613-bbf2-ec325e55b282">
      <extends rule="tmp-36621239-bae0-4742-9b8d-07f201c3638d"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41422-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41422-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): de waarde van @code/@codeSystem MOET ''1422' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41422
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-1fafd5ff-0ad9-486e-aa22-75d59f78ac47">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41422-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.657-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.657-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41422-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): de waarde van @code MOET worden gekozen uit waardenlijst W0657_HL7 W0657 Bijzonderheden omgaan met broer/zus/leeftijdgenoten (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41422-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Bijzonderheden_omgaan_met_broerzusleeftijdgeno): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0657_HL7 W0657 Bijzonderheden omgaan met broer/zus/leeftijdgenoten (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-d2305906-d99d-4c1b-aea2-d26179d9b58d" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-36621239-bae0-4742-9b8d-07f201c3638d" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-700c4b8d-ad39-460c-b669-1d85d2f1b6e6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-0156e994-181d-49ef-8721-dd946a08541c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-e4f9f839-1114-48e9-b16a-a91bbcb7bffa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-aa98b97d-01db-403f-a299-0bd7549102e8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-11a30252-ff27-47fe-bb9e-9b9402cdd95a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-64e3b891-3ce8-485a-842d-9232f5fb2435">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-e9cfed7a-4113-48b8-997e-2f56dba21841">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-7e95d57a-773c-43bd-878d-d2c131f37b0c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-eae81dea-e26d-45d9-8862-a7382d8b3ad0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-665d9a54-f546-415c-9026-bda94cf8bdbf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-aafd285e-0c50-4316-9c84-62d6809d332e">
      <extends rule="tmp-264685a8-76de-4802-ba74-7db0463aceeb"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-264685a8-76de-4802-ba74-7db0463aceeb" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-d0d90695-3852-445c-8ca1-fd45a84fbbae">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-f78046e3-3d21-4963-8c6c-d7da4c34c6d3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-b427ab3f-d118-468b-8998-5cc4f9089e1c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-0100a3c1-386a-4344-b4db-cf73c051682b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-70fb9fe0-6b5d-4009-bdd7-a6725de972bd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-001e9868-5dfd-4019-8dbf-12461a28aafa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-8fe240ee-09ce-4180-b7a7-63c07a46c268">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-1f79fab5-8a27-4381-a1af-52e081234e40">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-762ef163-49fc-4d85-a9dc-5cb87d9fee76">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-7ba8cda3-8126-49dd-9500-38b76d3c67d7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-3decaf2e-e90b-49fc-bffa-b8056f3bbbf5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-b4765fb1-3528-4210-b03e-a2f0c4197678">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-5d3f89cd-8ecf-42fa-86b2-d662df5dc6f8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-9a2bc151-c340-46c9-b42d-bb370947b52c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-643c1999-ac50-4119-8eb7-b14f012552ef">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-364e227b-6a45-4ea5-b73c-bf49f522ddaa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-5ad01e72-918a-493f-89e5-ba67277f39b6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-d05ab0e0-d79b-4e98-859c-4b30bb80d527">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-8416bb93-b5fe-4396-a579-62465d337f73">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-3c0e1abf-00a3-4802-bc5a-fbb520bbe302">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-7272fb93-55aa-43c3-9639-a1d614639b3e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-0ecb71d8-2481-439c-bf7a-e81e316e5506">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-2ebfaa30-e124-48d1-a172-c72157dfed42">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-d98985e2-7c26-4321-af78-86137eb7173a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-cf2804a6-4dbb-46d3-9dad-5dd1baa13930">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-847b8235-8830-4200-966d-963a8805527f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-0dbdd2d5-e4e6-4622-950e-89ea88aecfe8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-add8fd4f-989b-4dad-98dd-7e01d74382b1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-c96bf894-baea-4a2e-b3f9-87aea5a9b7d8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-d3f790d0-f9c0-4af9-9acf-1720758a09ed">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-d2efb104-1301-4aa4-b65e-50eb1b104575">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-ba3b52f7-b4f2-4601-814e-47d2d5d4a756">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-2ea77bac-46b2-4d12-8026-248c27ec970d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-679edebd-07ea-4d5a-a84d-f8800cbfb481">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-1967daed-5542-48f5-beb7-5ab8e26a5625">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1422' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-70be1ad3-3e04-468e-9faa-7456cf9883bc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40782
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_contact_met_volwassenen)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40782
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_contact_met_volwassenen)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-a78f7026-6377-4b2c-8b81-7b002420d3d6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40782-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_contact_met_volwassenen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40782-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_contact_met_volwassenen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40782
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_contact_met_volwassenen)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-1a0ce5f3-e929-4533-9461-5a9ced959c09">
      <extends rule="tmp-90dc44a6-df16-4c1b-a538-ae266ca4e832"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40782-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782']/@nullFlavor)">(obs_Bijzonderheden_contact_met_volwassenen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40782-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782'])&lt;=1">(obs_Bijzonderheden_contact_met_volwassenen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40782-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_contact_met_volwassenen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40782-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_contact_met_volwassenen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40782-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_contact_met_volwassenen): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40782-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_contact_met_volwassenen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40782
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782']
Item: (obs_Bijzonderheden_contact_met_volwassenen)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40782']"
         id="tmp-584ad0a3-5d73-4c6f-ad4e-5a27f6e5252f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40782-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_contact_met_volwassenen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40782-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40782'">(obs_Bijzonderheden_contact_met_volwassenen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40782' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40782-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_contact_met_volwassenen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40782
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_contact_met_volwassenen)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-8cf871f9-7612-46e4-8e53-3b08baa3ed50">
      <extends rule="tmp-e6fb71fb-1b04-46a5-946f-ebcc50056cd8"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40782-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_contact_met_volwassenen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40782-2012-08-01T000000.html"
              test="@nullFlavor or (@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_contact_met_volwassenen): de waarde van @code/@codeSystem MOET ''782' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40782
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_contact_met_volwassenen)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-0a870ad6-2f1a-4164-8204-3f7019aa9b5e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40782-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_contact_met_volwassenen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-90dc44a6-df16-4c1b-a538-ae266ca4e832" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-e6fb71fb-1b04-46a5-946f-ebcc50056cd8" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-792826a3-b5bd-4fd5-861b-b975790ccab1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-6b6dd96f-ac9f-482c-9a84-9c113d6432b9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-ef8bb7be-1ce0-422d-aa14-2d703fea82bd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-fe18630e-b1b4-40a9-9443-261b44815c43">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-dcef9ade-2f97-4e69-b7a6-6016950bd8f3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-a191ad75-d949-4a09-8e44-a35a6e145807">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-be54c42e-0554-42a8-96d7-b30f284bcf8b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-b4c3150f-218c-41d3-b304-ae4d5088f41a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-53883e9b-c9c0-4745-9914-4d7cc3a4c61d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-c62bc1a1-bf0e-45c9-b393-c56e2607ef00">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-ec244d98-be3d-4634-a300-9b7e24b0b4d4">
      <extends rule="tmp-0619ef92-f9ed-4c25-894f-ac54763a8ec6"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-0619ef92-f9ed-4c25-894f-ac54763a8ec6" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-0fec1107-bb4a-4348-8a91-ea88022218e4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-d86159db-4529-4cc6-a464-32c25c596a92">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-74c444c1-4296-4247-9cc1-bd7d603cce75">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-7175d725-4dfa-47dc-a010-c2979dd81ce2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-f0ebf09f-57e5-44a4-9247-f2e0ccb11259">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-b8ccea03-2425-4281-a33b-2cdb833fdf9f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-8a8f684e-c525-4c26-ba6d-edf54d451acd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-857e2c10-c207-4f50-82c8-ff77880ac3be">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-5ae99406-4eb3-4ba9-bdfe-72f9afbab0d3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-5d04f855-461e-48c2-a8e1-c7243a6a95cc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-8f4d08b3-8860-4d95-8f16-144097e2ef3d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-3a320860-2e93-4df2-b563-4c2b5f8f9d43">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-1a335655-435d-4677-89ed-bb320209cc2a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-898abac9-ec17-4864-a627-18747458fa7a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-b0321106-130a-4310-913b-d7e0709e6576">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-06317be7-cbd6-4dac-8969-73edaa4531be">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-6b1a69dc-ad4c-4c68-b59a-61884c3e0ebc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-486bb095-79f3-498a-aae0-1b0cbf731d99">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-72e17a28-acc5-4d15-ace8-ba0494665a93">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-cc6f925c-efd6-4c60-8265-e40c0b810671">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-6a354eb3-bdca-4b77-b142-784d642248dd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-1ff5d18c-1769-4dc7-b411-05ee7421cb33">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-8ca07efd-835c-4289-9279-739e20ff90bd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-7490bb93-f3d3-4141-8f94-4f96e844351f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-eb5819ff-2c6f-4bc1-ba08-dc5c1dd83d62">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-19d23051-9be7-4815-863d-37308990097d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-72a75319-7e1d-4de7-a3aa-ab082c2c945f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-646d9f6c-6fd9-4d66-a923-7bc7578694ca">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-a2ffc9f0-85c0-4399-86a6-c37095742b8f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-aaf0f93c-1cff-4b54-a329-b4c2f4d486a4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-802f4334-04ce-4439-9516-dc018c90855f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-c148781e-792c-4a15-b70b-3e8953995828">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-03c10513-0839-4738-8f7e-6c1f27ece8b7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-de20cab7-5fbc-4db1-9157-7af2664ec97e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-525942ee-bc42-43fa-a8fa-cc9028a5f7a3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='782' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-306a6e85-02d5-4943-ae83-cc59f00bd580">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40783
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_omgaan_met_nieuwe_situaties)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40783
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_omgaan_met_nieuwe_situaties)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-fdca14ad-ddad-4187-820d-36edab9c499e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40783-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40783-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40783
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_omgaan_met_nieuwe_situaties)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-307c2770-a6a7-45a6-b376-c55b0a665b74">
      <extends rule="tmp-d12ed01e-8bc1-480e-9735-b70598393608"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40783-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783']/@nullFlavor)">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40783-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783'])&lt;=1">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40783-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40783-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40783-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40783-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40783
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783']
Item: (obs_Bijzonderheden_omgaan_met_nieuwe_situaties)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40783']"
         id="tmp-c4dde384-d493-4917-bc9c-96778128f30c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40783-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40783-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40783'">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40783' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40783-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40783
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_omgaan_met_nieuwe_situaties)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-1aa24b47-d46b-4c1c-95ea-a15cadafbc6a">
      <extends rule="tmp-e42274ca-ee7b-4b5b-997d-be530f1813b6"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40783-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40783-2012-08-01T000000.html"
              test="@nullFlavor or (@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): de waarde van @code/@codeSystem MOET ''783' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40783
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_omgaan_met_nieuwe_situaties)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-ecc60266-e53a-4fa7-be6a-7326c601d736">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40783-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_omgaan_met_nieuwe_situaties): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-d12ed01e-8bc1-480e-9735-b70598393608" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-e42274ca-ee7b-4b5b-997d-be530f1813b6" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-4ae89c85-ce9d-400f-8af1-2cf938bbb1a4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-60581987-37eb-4a26-8439-561cf2a874ec">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-7b093aa7-983f-4a52-8796-7ba150bcea46">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-ef1cb87e-f84e-4f21-ae66-6cfb7196112c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-25fd085f-9c88-45f2-aaba-eb26a423e613">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-2d15db05-9265-41fb-b2de-4d2959a095fa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-43e93e03-1e68-4af4-9735-9a278af4159f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-7c40731b-47ef-4f88-92ed-a216ae9e6d09">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-c0fd4c23-4e68-41c0-9cdc-0ee6a47a4672">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-8ce3f54a-b649-4295-b1c2-f5c847d85e25">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-9d642423-0867-41bf-a537-3d0a47364c07">
      <extends rule="tmp-00e408e1-cb0b-4a3e-bb0f-5ec27e002c2e"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-00e408e1-cb0b-4a3e-bb0f-5ec27e002c2e" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-234ac479-a922-4778-a076-62a9a33a023e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-e763b607-2ced-4c75-b1f1-1ad988f834a7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-18846b62-05b7-4f0b-9a9d-6860640d6e5d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-451c3693-4eeb-48a6-acf7-feb8e23e3961">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-e65c3481-a22e-4e8f-a19f-232e520d4157">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-8d3c04e7-9828-45d0-a24c-720568168be0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-7743a07c-cf2f-41f1-ac2c-c77b278127ee">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-f48fd1c6-56f0-47e4-b486-2cf9bcce7848">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-c5d32044-2881-472a-b82e-e371a7d06a0d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-cb61ce2f-5342-4576-a575-6a6b247d5d71">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-a6855ec7-9dbc-462f-a9c5-53020372c4b6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-5e0bd5cb-1c56-4cfb-b952-6e22ce8a6a76">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-0812d7e7-fbf2-4bfb-94e7-aacec1a5cf28">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-2dd0d0ec-afa5-4fef-9bff-5cb3eb14e1ba">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-4357f6c0-54b9-4a86-8dcd-b246f986de82">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-115bea1d-44ee-4628-86ed-41104d8609fa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-b8ee2eb2-ba1f-49d6-88c5-7d933557f1a6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-7c084c73-bc95-4982-bf56-0e417f51109f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-ae9407ad-0092-42bc-8de5-226582a85ec0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-c4068077-c073-4053-88e0-12df75cba542">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-93d5592d-0a4b-40ee-a850-b48bcdcdce07">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-04f0ebd6-2bd5-45a8-b3fe-3c880790d895">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-8beaf576-7eab-4bf3-b3ab-3a7e2f9e9a02">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-91f78ddc-4552-4c17-b863-8f535f9dcce0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-087f309e-e3c0-45c7-b423-6031c0fd92f8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-ff879bbc-fc32-4a2d-9ff4-e43ecc99298f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-88a8a43c-3ad5-4b12-bb30-1899c3dbda4f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-47dbd06a-f02d-4c6b-95a6-a3ed87eec525">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-328a126d-c62f-49d6-9f79-bfceecfaa759">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-afca83aa-b5ea-47e2-b64b-d8cc21da65a2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-beccec50-4c6b-421b-9b9b-db9288b53ce7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-b39df27c-7882-4182-bbcb-eb0ca5267099">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-b0e53b75-7195-41ea-a928-e98b1ab90a46">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-5d898239-9b6d-4904-9e91-085bb801ddf9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-737194e5-8f14-4d15-a6b4-443568e5b9ac">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='783' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-761417bf-e413-4d96-8574-dff3d0308178">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40784
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_gewelddelinquent_gedrag)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40784
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_gewelddelinquent_gedrag)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-7975d725-2407-4e2b-b7b3-3750b62312da">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40784-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40784-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40784
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_gewelddelinquent_gedrag)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-d9eb55f0-485d-4c7c-b3b7-4d876b596578">
      <extends rule="tmp-4f12d5c2-d12f-4abf-999d-82ab05964d64"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40784-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784']/@nullFlavor)">(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40784-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784'])&lt;=1">(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40784-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40784-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40784-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40784-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_gewelddelinquent_gedrag): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40784
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784']
Item: (obs_Bijzonderheden_gewelddelinquent_gedrag)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40784']"
         id="tmp-941d7ec5-cdd5-4848-9ae0-81b51c9992bc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40784-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_gewelddelinquent_gedrag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40784-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40784'">(obs_Bijzonderheden_gewelddelinquent_gedrag): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40784' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40784-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_gewelddelinquent_gedrag): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40784
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_gewelddelinquent_gedrag)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-be73e8f3-917a-436c-b1e9-6811ad4aaa99">
      <extends rule="tmp-2f069131-eeb1-4b5b-816a-d4e4e3059e14"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40784-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_gewelddelinquent_gedrag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40784-2012-08-01T000000.html"
              test="@nullFlavor or (@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_gewelddelinquent_gedrag): de waarde van @code/@codeSystem MOET ''784' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40784
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_gewelddelinquent_gedrag)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-f2f8bef0-467e-43e9-94b2-f423f82370d2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40784-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_gewelddelinquent_gedrag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-4f12d5c2-d12f-4abf-999d-82ab05964d64" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-2f069131-eeb1-4b5b-816a-d4e4e3059e14" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-6a0c38b2-212c-48c9-8be6-60a038f71ac2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-3e4bedbf-8360-4ee0-9faa-7ee99a4bb39d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-9ac9560e-c802-47d6-b3ca-f81270bf40cc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-1b5dca1b-8dbd-4ec5-84df-da620e080266">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-3941fa31-a2ec-40e1-9461-73da634b685a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-a482fd6a-7e8c-4eb7-b7d0-b0f6e5762d44">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-e8ed9e11-7424-4cd3-99c0-ed3759a4058b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-74838a05-62a7-4d95-9fa6-e9cd3724e28e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-1ed8cafd-18a9-4dfd-90ce-59b01f99b214">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-80953987-cf95-4aeb-94d6-f92139eab57c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-5bdf91b9-021b-4c8d-ad54-473b47e12a26">
      <extends rule="tmp-38f91dc1-6bec-4581-bb24-51dd7cffb484"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-38f91dc1-6bec-4581-bb24-51dd7cffb484" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-7707bafa-2b23-4562-a933-356c325ef53d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-2edc9473-631d-428a-acd2-699c19f27f95">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-71743bc8-10d8-4b6b-8947-9828e0862901">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-ac5ac6a3-6433-4dba-9e14-dc06ad162d37">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-41b92f94-ab8b-4304-982d-888a3718f4b6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-226ffa81-40f2-4c52-a609-00acd30a7d18">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-ec3373e8-d18d-46d3-b13e-96539e0b596c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-436ecff8-6903-4f03-b373-bc41b9f9d84e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-7cdccb81-1fad-415c-bc0a-0eb3acc83e55">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-c6ab7188-3c32-4528-87f3-039ef821ff4d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-1b2c1a3b-93e2-4908-84ee-f9906cb0aae8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-5c796696-f4a6-45a1-a37b-1c5909eb358b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-029f07a6-b519-400a-afa8-2b69995b94b5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-ef3386a7-3f4e-4dae-922d-acb6d87e630c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-cf59feeb-5ece-4270-80d0-ba0ace6e3c95">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-993f28c6-8294-4c9b-a0a1-d3bf73e2dd15">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-1f3a580a-cfe5-41cc-bdd7-bb0e2b308f1a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-b31c3bcf-6f02-4d16-9df1-96e4b550fa0a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-708eac1a-c24b-42b9-b475-3c1ffaa6ae7a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-e736c3bd-2142-407f-a71f-d1a476de11c7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-44d244af-0185-43c1-afc4-8bd382949b91">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-eddde7f2-006b-42b3-9267-bd752d22592f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-207fe3dc-29ed-43a4-a47c-e7cac90f6b96">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-f090a160-d1c8-48f9-92fe-13934daa2c2d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-b3eb50f8-2ef8-4161-9b03-2fb7f528e7be">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-23bf0bdc-5d8e-461e-9b68-6f6fe15d18bf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-4cce2325-bf49-49c6-94b5-ad8455ac98fa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-f17186c0-55b8-42d2-8cc5-4a7389001c62">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-692aed9e-28e4-4980-9dd5-b8b364204091">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-00907993-ed8b-4e38-ac57-e3f460fce609">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-e4e5be26-1bdd-4ea2-bb26-646e530bb4be">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-c694c416-cbf4-4f82-84cf-da5310920aa3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-42f6e1f0-9c9f-43f2-895a-2085fa64ecbc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-3af348c0-b245-4e91-9b50-bf8a64235591">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-8632f263-6355-4215-835a-a41aa511c146">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='784' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-2f2db593-598b-4c18-ac3c-b2032ac4067b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40785
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_verslavingsrisico)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40785
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_verslavingsrisico)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-781efba5-a09a-4895-a406-ef46b31fb15a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40785-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_verslavingsrisico): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40785-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_verslavingsrisico): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40785
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_verslavingsrisico)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-1df1d88f-9682-4785-97a3-bf84ad85fc78">
      <extends rule="tmp-19e03226-013a-45bb-8acf-974327ae0f31"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40785-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785']/@nullFlavor)">(obs_Bijzonderheden_verslavingsrisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40785-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785'])&lt;=1">(obs_Bijzonderheden_verslavingsrisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40785-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_verslavingsrisico): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40785-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_verslavingsrisico): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40785-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_verslavingsrisico): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40785-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_verslavingsrisico): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40785
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785']
Item: (obs_Bijzonderheden_verslavingsrisico)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40785']"
         id="tmp-3b7ae666-7f0d-482a-a8ee-0c7dd35f9818">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40785-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_verslavingsrisico): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40785-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40785'">(obs_Bijzonderheden_verslavingsrisico): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40785' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40785-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_verslavingsrisico): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40785
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_verslavingsrisico)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-b9bc0bcd-6b99-47f0-9a6a-8ba0ca3b284f">
      <extends rule="tmp-fb87618d-1dfb-4fa7-9e10-418c3841aaef"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40785-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_verslavingsrisico): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40785-2012-08-01T000000.html"
              test="@nullFlavor or (@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_verslavingsrisico): de waarde van @code/@codeSystem MOET ''785' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40785
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_verslavingsrisico)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-a2fa85cf-5c70-4680-88d5-8550b7390c74">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40785-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_verslavingsrisico): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.214-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.214-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40785-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(obs_Bijzonderheden_verslavingsrisico): de waarde van @code MOET worden gekozen uit waardenlijst W0214_HL7 W0214 Bijzonderheden verslavingsrisico (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40785-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Bijzonderheden_verslavingsrisico): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0214_HL7 W0214 Bijzonderheden verslavingsrisico (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-19e03226-013a-45bb-8acf-974327ae0f31" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-fb87618d-1dfb-4fa7-9e10-418c3841aaef" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-0101c29f-b751-4b62-a78a-7ba736aa7056">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-cdfaf1d5-8674-4579-94e2-603c445eb8ae">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-2d6b0af7-2769-4455-a7e6-db6b165f8740">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-907cda9f-26c3-4b52-b85f-e09c001e05af">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-249d912e-af6d-42f3-aea6-ed7ad1212bd4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-8559e2e2-4b96-4b16-b0e6-471c41d98f3d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-d22f32b8-058c-4aee-9431-33f38d7e4faa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-6fc05d95-4c03-44d5-9535-97942f2f4ec7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-f9544c64-bd31-4c92-99ac-8536a7732658">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-7e3a61bf-2603-4505-b58a-85cf22502139">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-c8083972-360f-4475-a069-5eb8f4be96a7">
      <extends rule="tmp-4e558a20-3cbc-42d7-b7ba-a32f2eb8718f"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-4e558a20-3cbc-42d7-b7ba-a32f2eb8718f" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-ca43175b-d6c1-4f8d-b3e2-ef1cebcf9579">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-109c71d2-f8c2-4994-9a5a-9bc4f63b8509">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-2c6b3018-f560-4754-b23b-09bfcaf3d392">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-383524c3-9eca-42f1-834d-b549f58064b8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-05cd84e6-0520-4697-9798-e733ce6f54bd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-8c31facc-17d5-404f-93d0-27abfa41ed67">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-69f34f28-b03b-40bd-9153-ce8dfc0a5d6a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-06fb808f-a5b5-4294-ac67-7566f399ca02">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-37515118-7674-4dcd-b72b-4f7774bed728">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-12bd248c-701f-4805-b3d3-0a1b1f395234">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-b61bba5c-902a-4bd3-9760-67151b2b5cd5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-98802812-3f9c-47c7-bd70-c9e86c9fbe4a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-406fb1d1-0560-4eba-8ccd-29b7be454835">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-41f5825f-cad9-4340-8407-215d54617f46">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-0a714bc6-5f50-42be-a232-42e1cf283012">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-23efe4ca-693b-4b88-904c-a82c2d67b4da">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-95abfc10-e456-4514-8ffb-61132d39c39b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-c5a719bc-6de7-4f91-82f2-0269dfe2ed31">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-a2590f66-63fe-402e-959e-9e763ae30525">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-d47e2fb7-22d4-42b8-a900-b08905b4aaaa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-61329888-121b-4830-bfa3-67153ea18e88">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-36a5dae2-8367-4054-9807-9f17dbac550a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-b4d3f502-37c6-4564-837f-f6f446617d85">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-c8d87229-d4ad-40bd-9917-2750160780e7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-dcbc49ee-c5cd-4c14-bdcb-0cc23bef1b34">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-7eb2b3f4-1d4f-4165-a92f-74b50b266d44">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-aabd0b31-e827-46c0-a3b5-93a4f2ed78f6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-e4101b09-b568-423d-8aa7-5d2637e2bc32">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-7418bb18-78bd-4c2e-98c6-850ec882af6b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-b2faeb0a-8cfb-46e3-bc53-a8ab880cfd51">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-d03bac0c-7689-416a-afe6-58a56a75421e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-4411427f-8d0b-43b0-a981-6187e1e70e45">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-ad93d4dc-0c9b-4b2b-ab2b-0305616537c9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-e02f6b68-70e7-4a1e-a9f6-ee28cdfcfaa8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-15bee69b-526b-4515-b8c1-0fcac98631ed">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='785' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-d45448d8-df90-4ee7-be7e-3a9c194cc305">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40786
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Toelichting_verslavingsrisico)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40786
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Toelichting_verslavingsrisico)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-6e1c26c3-0cdf-422c-b3be-cd8dfeadbc1d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40786-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Toelichting_verslavingsrisico): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40786-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Toelichting_verslavingsrisico): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40786
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Toelichting_verslavingsrisico)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-e1297746-aac5-41d3-b5bc-0a00e3210aae">
      <extends rule="tmp-dd3e40da-0b64-4a7a-897d-5fdd0697e284"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40786-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786']/@nullFlavor)">(obs_Toelichting_verslavingsrisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40786-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786'])&lt;=1">(obs_Toelichting_verslavingsrisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40786-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Toelichting_verslavingsrisico): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40786-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Toelichting_verslavingsrisico): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40786-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Toelichting_verslavingsrisico): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40786-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Toelichting_verslavingsrisico): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40786
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786']
Item: (obs_Toelichting_verslavingsrisico)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40786']"
         id="tmp-f4392647-6193-4fc2-b5f2-4d88a395bcf0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40786-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Toelichting_verslavingsrisico): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40786-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40786'">(obs_Toelichting_verslavingsrisico): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40786' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40786-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Toelichting_verslavingsrisico): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40786
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Toelichting_verslavingsrisico)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-a4fb1f93-1ac5-48ef-b85b-fd31e5640020">
      <extends rule="tmp-f2f8af98-3463-4e93-ae24-89eb334e48e1"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40786-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Toelichting_verslavingsrisico): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40786-2012-08-01T000000.html"
              test="@nullFlavor or (@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Toelichting_verslavingsrisico): de waarde van @code/@codeSystem MOET ''786' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40786
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Toelichting_verslavingsrisico)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-32b808df-951f-49db-8a58-b47fa357917c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40786-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Toelichting_verslavingsrisico): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-dd3e40da-0b64-4a7a-897d-5fdd0697e284" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-f2f8af98-3463-4e93-ae24-89eb334e48e1" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-11ad7e7b-9212-4cef-8517-1bdb8dbb9625">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-7837464e-2981-4639-9455-fa8a53fa7a9c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-a2b914b2-b89c-4946-b0d4-1c9c4123012c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-792a3d91-78da-4c28-803e-0150b5d7b87c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-dd843fce-6ed6-4505-9a6f-e424e6ad0a2e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-1c592314-1c7f-41c7-b17a-7909baa562f1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-d97ae12e-dd97-4546-b1c0-105ef214ebd6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-7c75ec20-e902-4a2e-8dd1-698af7144844">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-1d608ad4-33bc-4261-a0f3-228ed0e08062">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-a5586c86-198b-4005-b8e7-46cf8abca045">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-18b516ca-1e8d-46a1-b276-759dc2ef36f7">
      <extends rule="tmp-5bda41e7-37ba-4aca-b59d-a046a0056cfe"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-5bda41e7-37ba-4aca-b59d-a046a0056cfe" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-fd3bcca1-a680-43de-9127-d8001b7a6b8a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-fba259c7-efb0-448e-8d6c-f1247f715ec4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-e8d579ef-7377-4760-88ee-b9b28648628c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-3f1575f7-9631-4886-96f3-8a1731277ece">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-e43b3780-37f5-4c9d-8779-4742019dec95">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-0b7ed9fd-b773-424b-ae16-d520659fef4d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-e0872e84-4f2a-4c82-b91a-26b156768e7d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-8c46823f-b65f-45e3-94c4-b3e636df8a53">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-8d8f4e17-28a5-47f1-b767-5b6577e50324">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-39ee5b6a-473e-4175-9b37-bf24653e3ad1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-5c1bb1f7-c154-4785-accf-85e53da0eeb0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-471d1fd2-f152-4ee9-982a-7329d4919377">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-c80a988a-7788-4236-be0a-7a46a0e0e16d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-efebd4bb-3f57-4cce-9aa6-da9a4d90bf77">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-3d69a09a-3b45-4e43-9ae6-0574cc08b496">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-647c9c6d-b749-44c1-a3e2-1824a65afb73">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-2ac9640b-dc02-4261-b259-ef3790b4ce26">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-49be4e2f-817e-49f8-a2a7-cf1e9babedb8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-afee30db-e144-4801-98e4-20bb55c6ec8c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-e7dc4c60-f09f-4cce-97cd-594f0295f05b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-12ba33d5-3771-41fd-a74b-338554d6946b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-161a3a71-cac9-48ef-9a47-95d30ffa0c27">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-bbe0ab68-1809-433c-aa0e-846761c00275">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-61ae7107-64b4-4ef3-9599-42cb8d36b9d5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-416f280b-8870-40d2-8a07-183a7313a718">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-f1adbdba-0790-4c08-9fa9-7a415d08c75d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-d21d4251-9eee-4ddf-a6a6-b06a04a95024">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-47da7a7e-cbcb-4fcc-aa7d-67f0d912bee0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-05507948-cce1-454f-84de-807b415a7cb4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-bb8b3c04-1ccc-4223-9a3b-68e5b38ff867">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-df816528-5867-473d-acf8-775d1fda3693">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-a5a99780-f495-4e87-b94c-590361dd9603">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-b2080a4b-2acf-44fe-9ba4-17c5d7429b70">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-3211cb92-7009-4cee-916c-45f91594f563">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-12a5d869-18d4-4e30-b72e-13ff910fb0fc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='786' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-82bebce2-1972-4fab-a51c-d04011a172c3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40787
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Functioneren_op_school_nagevraagd)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40787
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Functioneren_op_school_nagevraagd)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-580f24ec-b2a5-4389-b144-ba6c6c7bfae5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40787-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Functioneren_op_school_nagevraagd): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40787-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Functioneren_op_school_nagevraagd): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40787
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Functioneren_op_school_nagevraagd)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-915ef68e-a3d4-47da-8f86-7b33620d67fe">
      <extends rule="tmp-fc07476e-efff-482b-8166-cff11d97fe13"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40787-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787']/@nullFlavor)">(obs_Functioneren_op_school_nagevraagd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40787-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787'])&lt;=1">(obs_Functioneren_op_school_nagevraagd): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40787-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Functioneren_op_school_nagevraagd): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40787-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Functioneren_op_school_nagevraagd): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40787-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(obs_Functioneren_op_school_nagevraagd): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40787-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Functioneren_op_school_nagevraagd): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40787
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787']
Item: (obs_Functioneren_op_school_nagevraagd)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40787']"
         id="tmp-734dd809-d802-485e-83df-ccbf05cdb48a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40787-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Functioneren_op_school_nagevraagd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40787-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40787'">(obs_Functioneren_op_school_nagevraagd): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40787' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40787-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Functioneren_op_school_nagevraagd): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40787
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Functioneren_op_school_nagevraagd)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-744a5005-f667-4cd1-aafd-624b024b6e72">
      <extends rule="tmp-6073880f-62fd-4956-808f-8e483bec8e14"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40787-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Functioneren_op_school_nagevraagd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40787-2012-08-01T000000.html"
              test="@nullFlavor or (@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Functioneren_op_school_nagevraagd): de waarde van @code/@codeSystem MOET ''787' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40787
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Functioneren_op_school_nagevraagd)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-8a6f124e-f62d-493d-bcaf-262f649780e6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40787-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Functioneren_op_school_nagevraagd): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-fc07476e-efff-482b-8166-cff11d97fe13" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-6073880f-62fd-4956-808f-8e483bec8e14" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-cfca90c6-373c-458e-8f56-705868a34123">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-e98dac90-2bb8-41e2-93f9-3a57cb27577c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-4d8c9dc2-61d4-4be7-bc21-4cf239fb8261">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-90ca5585-13a7-4c97-93fd-5cadc66b4049">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-25904d78-b21d-4abc-8aad-860f150d42bb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-8b3e3428-baec-4ea3-91ab-be836216d070">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-66e8c2ed-12ab-473a-9f83-8e2655eeea9e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-e72f35f2-d61f-4032-a252-4c26e36b28ed">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-40988d62-28b3-4951-b323-4639f797334f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-29cd404a-ecd1-4f24-b398-fc0117dea82f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-6bcb33ba-c7ac-4f2d-87b5-b989ecc73a9e">
      <extends rule="tmp-eb6e8357-e898-4788-808c-df630034bd36"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-eb6e8357-e898-4788-808c-df630034bd36" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-eb97ede9-6914-4393-ba71-9d6996030442">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-dd032f82-e7fa-4983-9e66-408092dc9198">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-d3368388-67dd-49c5-9025-7d7e892ad54f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-b9feb132-f50f-427b-ad4a-d116b75e9321">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-c45b579b-9ee4-4a40-963f-0f3056cad3ad">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-c8d52f03-31b1-42a6-b902-de704ec0a7e7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-038a123b-0751-44aa-8f29-768e60d4132a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-d6f463f8-f2b7-4e61-bb19-aedaef15020c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-b5a4a2b4-c9e4-4946-b555-d76562f739e6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-a98f378a-067f-4fe7-95d7-47f3ee014f35">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-185f5631-4625-4f39-a634-909d3c7bc4ee">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-81c4cefa-2ab7-4b43-9732-1ec469628321">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-fa3358d2-3b6a-42bd-ac0f-c72530603d87">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-0cdcf6e5-ef21-4203-a13f-fc6e238d8d59">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-a5b5c0c7-be63-4887-a479-ac3c11dc1e8d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-df553084-f6c5-4897-9723-51b949fba2b0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-a6dd3da1-a91d-4ada-b9c2-6779c543993f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-59dc3ef1-47fb-4839-8cfc-a406bae25311">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-07be1339-eb64-4ac8-9f00-3ef016c839c3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-e461c97c-41b6-492b-82d4-a39cb49691f2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-e9dc6737-d218-4c0d-9be5-c0dd86c09768">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-53fcb544-5442-4b70-aa01-18e0e2ab07fd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-3a82c5c7-deef-4f44-80dd-b21656d7265f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-98761987-43ac-40ea-a666-dac4220a7897">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-65f1df16-f58b-4859-b69b-bff0820ad52a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-5c7f4215-de8c-457f-b45a-88e12860a8a3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-f305f814-72f5-46a3-9a67-559baa04172f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-18d7d753-3a8d-43fb-9875-253149e61d29">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-e1a50246-75ed-42fc-9ba5-bbd3a867755e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-0840acc0-be16-4aa6-9e9c-8a26b3c5631b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-374df8ad-2be7-40c6-a1a9-304acd86db2e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-db90c87f-2651-4f81-a27d-d82e29bf837c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-fe30c136-f1db-415c-95ac-a5a8e3c75195">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-534ffdbd-e66e-4ec7-b20d-707befd549f9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-2cbea072-910b-4209-b3e6-5df7278490d9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='787' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-06d0b602-68c1-4d81-8a6e-ba7289c9b878">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40790
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_functioneren_in_de_klas)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40790
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_functioneren_in_de_klas)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-eb9cf088-ee90-46e9-b3a7-c1878f0f04fe">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40790-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40790-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40790
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_functioneren_in_de_klas)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-23aa5025-9d7a-49fc-ae38-01c64671c656">
      <extends rule="tmp-f0409413-07b8-499e-97f6-7c2e9250de7d"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40790-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790']/@nullFlavor)">(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40790-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790'])&lt;=1">(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40790-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40790-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40790-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40790-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_functioneren_in_de_klas): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40790
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790']
Item: (obs_Bijzonderheden_functioneren_in_de_klas)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40790']"
         id="tmp-c471fa84-0bfc-4081-ae2d-2d49f9966d28">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40790-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_functioneren_in_de_klas): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40790-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40790'">(obs_Bijzonderheden_functioneren_in_de_klas): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40790' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40790-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_functioneren_in_de_klas): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40790
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_functioneren_in_de_klas)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-4f8773ad-9882-489f-bd09-a68f4cde163b">
      <extends rule="tmp-fd98f917-e6cd-46a7-9dae-6769a06b5486"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40790-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_functioneren_in_de_klas): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40790-2012-08-01T000000.html"
              test="@nullFlavor or (@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_functioneren_in_de_klas): de waarde van @code/@codeSystem MOET ''790' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40790
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_functioneren_in_de_klas)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-78e8d7da-27cc-469d-87ce-fd989da5ea0b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40790-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_functioneren_in_de_klas): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-f0409413-07b8-499e-97f6-7c2e9250de7d" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-fd98f917-e6cd-46a7-9dae-6769a06b5486" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-336401dc-edea-49b0-b7aa-823c9719bf3c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-42bf8e90-3109-4270-90a3-d2d54315d041">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-47101957-5617-421e-88db-1e8b12bb620d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-7580ebb1-a854-42e0-81a3-dad180cc43b1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-046217d3-a5fa-4070-b587-e2fbe21cf1d7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-2f003f30-5281-400f-a14a-bbb92e43c5e5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-4c8b3b1b-c35e-4f9e-8320-64ba5a955b00">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-4cb7319b-a44f-416a-8185-ce1abced9741">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-df303cf1-a461-470c-ab53-5ad2fbc6e145">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-f89f269f-342f-4baf-83dc-521a69d8ea3c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-9b20baea-caaf-4e5d-b3f5-2868fa86b2b9">
      <extends rule="tmp-1d9563c1-c6fb-4405-a305-a08879aa97da"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-1d9563c1-c6fb-4405-a305-a08879aa97da" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-d9d1be30-8356-4729-a71b-a353d2204ab3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-02830b50-a7b3-4d67-88a8-8910f462c5f2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-16fd3854-99db-4927-a268-ce213782130d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-393efe57-8b0a-4d03-a81e-ae76a3113a77">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-026cb759-b17e-498d-9114-d42935e20abc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-86c11da3-a79c-4d2b-9082-4ad49b493f92">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-d3832612-cb2b-40d5-8a3d-d5a7fc2abba9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-a434a881-9240-41cf-a6b0-a1abc92d1b0e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-f1c8622d-a0da-4bdd-9f8e-1ffdaa274919">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-1ea43bc5-7436-478c-a923-9cb7c0aa6110">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-1965a163-5e56-4b0a-bc4b-63cd33232097">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-9c76b84c-b296-4348-8f15-caeb5553d327">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-a4786caa-94cb-4be6-816a-29a7d24c5218">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-5b71eb5d-c074-4bc3-a01e-c9d825edb383">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-5d602165-8a5c-40c8-8f6c-06d7631c0121">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-eda24c75-4578-4ffc-b9db-5e841e21e699">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-778d0973-931f-431d-984b-585ccf76f49b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-f51d3e60-20a1-4852-921e-03909c05628d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-41c92598-c7b4-4620-9010-87bfee3f463a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-f2b5823b-92ba-46e3-9c92-1987203b6b65">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-e6682707-4f22-46cf-9286-ce2af189d615">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-4770833a-ce82-4c37-884b-c01de039f439">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-9334212f-d107-453b-a7d8-8cbdc3ef533b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-f90031de-830f-4932-8a4b-8adb05475108">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-76e16907-d4cd-4ddf-bb6f-95b61184c6ce">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-439c3158-c751-48ca-9f0b-30012e68d50a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-6b4c55f7-ccc0-4871-9902-c958757ddc23">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-9b8a8d92-fce4-4508-bc0d-0d343782e2c2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-4985b698-fb1a-4a29-9cb1-0aae8bb78077">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-835b2482-e603-4114-86dd-ff85c483a54d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-cd45a95b-d525-41a3-9e3f-3b44dd14f08a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-123f1965-e26a-4b34-9b8a-eccb40b5e74f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-1247a426-ef98-45c4-9f7b-6295a8e42d5d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-c65e81e6-a407-4aa8-9078-bca6fa4cb26a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-1c0ad93b-b35a-4276-8958-845ad27395a7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='790' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-f524b32e-ef7a-4c14-a258-706a3844ec93">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40791
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_indruk_school)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40791
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_indruk_school)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-2d5187a4-e872-470a-b678-2c792a11984c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40791-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_indruk_school): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40791-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_indruk_school): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40791
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_indruk_school)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-3624590c-61ee-43a6-b06d-0c66708af6f3">
      <extends rule="tmp-9365bf48-a331-4a82-820b-e7746134d583"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40791-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791']/@nullFlavor)">(obs_Bijzonderheden_indruk_school): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40791-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791'])&lt;=1">(obs_Bijzonderheden_indruk_school): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40791-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_indruk_school): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40791-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_indruk_school): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40791-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_indruk_school): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40791-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_indruk_school): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40791
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791']
Item: (obs_Bijzonderheden_indruk_school)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40791']"
         id="tmp-176c5d63-d75a-4e64-b043-325c63e57e6a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40791-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_indruk_school): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40791-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40791'">(obs_Bijzonderheden_indruk_school): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40791' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40791-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_indruk_school): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40791
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_indruk_school)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-a5d154d6-cf47-41e5-b094-e520fba0b570">
      <extends rule="tmp-3aafa6f8-e99e-4268-b3b0-b5edd19a6e9b"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40791-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_indruk_school): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40791-2012-08-01T000000.html"
              test="@nullFlavor or (@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_indruk_school): de waarde van @code/@codeSystem MOET ''791' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40791
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_indruk_school)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-15aaf365-d6d9-4b67-8fc5-3cc07ccde43a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40791-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_indruk_school): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-9365bf48-a331-4a82-820b-e7746134d583" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-3aafa6f8-e99e-4268-b3b0-b5edd19a6e9b" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-986aff24-218d-4cdb-8907-70d8de9a63da">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-56bab559-98e1-4b9e-88f1-2913116dc5be">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-fae539c2-9206-4e75-ba53-aadec08c2160">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-f61e6afa-683f-4f09-a373-0750a26d4284">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-911510c2-c665-4e1a-be2f-6bec16dd34c0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-53af8506-db77-43e1-bad9-147df9ebd5d1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-1122a861-646f-4e3d-8401-4a3ed7701c85">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-ec52a2fe-d860-4ca1-829c-908c8551c6ee">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-2162cd58-ed87-4bb0-b281-4901c8f86b20">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-a1e63172-b29e-4b6c-a5cb-5cfeceb8b617">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-bcafde5f-c44a-45a3-95a2-d257d7149859">
      <extends rule="tmp-050dbadb-27a4-4481-81a0-87bd6666e327"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-050dbadb-27a4-4481-81a0-87bd6666e327" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-0dd519cc-b913-4deb-a81e-5efdbbbd91ae">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-034bd68d-c4f0-4262-a0bc-de4c29223906">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-0d63016d-d290-4f35-a2ed-4f77bcbb1366">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-b8adbdb1-305c-4edc-aef8-4e5ec0006d0a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-706c331d-440b-457b-9354-eb78bab398d1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-6de09f77-37d7-41cc-93ee-8845d966f97f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-13cd0cfe-1d5f-4113-b0d8-d7b3aa9d1dea">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-3c64017e-5544-4ad1-9a88-9f49007f04d0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-29f21646-2887-40ce-ac8d-f0852d1408bd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-d7924982-e7b5-4598-a5c9-c70188467fdf">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-404a793c-7088-43c2-a9f9-25f38495a4a2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-78d5a055-d3d9-4d27-80c6-0732a45c13ad">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-16affefb-d7f9-46cb-ba7b-04e40eb1e656">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-c127b53a-7fed-41b9-bf9a-109ee9a03a04">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-b855ca88-5a9b-4078-9270-b9c95730b347">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-e3f7a04f-a685-415a-abc5-9b1ec0efc86b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-6d94d0e0-a443-4a09-a10e-7126e17b1816">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-78ce0ed2-329d-4c0f-b405-d83d3d67dd41">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-856fad90-9f16-40c4-abe6-29bba6287c40">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-75682c8c-1cb1-42d3-83a6-7486b2fbe559">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-7d87f0ef-fe7c-4940-a378-57cc60335811">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-b12c1ee9-0f5d-4aa4-a89a-dcd95d896407">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-0e2a57fc-54d5-46ce-b5d3-20a0d99eeb33">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-719165e1-f990-4f93-b72e-843696908b00">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-8934ece3-4f18-4f07-9959-9d4688ec6fa6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-0ca5c1cc-5061-421e-b6af-fe508ccc7fc1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-6802b3c9-872f-4b57-90dd-7b248308c8e9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-d07c621b-7bee-44e3-8f3f-68b637e461f2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-715d696a-948b-4340-aef4-791d1b14d014">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-e72be63a-9cbb-46c4-8e67-c1f30e2370da">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-5e6d611c-d984-4f29-8333-911de2848b29">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-f53e35f4-6c7b-4ddc-b44b-ba64851f46ec">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-36c961c3-8941-4cb8-972c-ea0a3db88581">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-0a4c7ebb-a2e1-4b8c-874a-07efcea063d0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-d05845c4-361c-4d5d-aab5-eb7bff5a0816">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='791' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-3fc75a7a-be31-4f28-ad21-c73f52de8e05">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11021
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster21)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40792
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_schoolverzuim)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40792
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_schoolverzuim)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-03c5cd97-d444-48b9-8861-60c86e201a78">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40792-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_schoolverzuim): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40792-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_schoolverzuim): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40792
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_schoolverzuim)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-f34dd344-14e1-4259-a988-918956a8ba26">
      <extends rule="tmp-6b3c2135-e2f0-4f6c-b2b0-5a82d2a8f516"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40792-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792']/@nullFlavor)">(obs_Bijzonderheden_schoolverzuim): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40792-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792'])&lt;=1">(obs_Bijzonderheden_schoolverzuim): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40792-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_schoolverzuim): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40792-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_schoolverzuim): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40792-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_schoolverzuim): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40792-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_schoolverzuim): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40792
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792']
Item: (obs_Bijzonderheden_schoolverzuim)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40792']"
         id="tmp-ff347559-b80b-4e58-bc65-82f9e09437cf">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40792-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_schoolverzuim): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40792-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40792'">(obs_Bijzonderheden_schoolverzuim): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40792' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40792-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_schoolverzuim): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40792
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_schoolverzuim)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-873aec66-766e-49f7-950a-0fbc0c089ed5">
      <extends rule="tmp-e7829bac-3424-4e1d-8b4b-0f280f9df079"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40792-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_schoolverzuim): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40792-2012-08-01T000000.html"
              test="@nullFlavor or (@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_schoolverzuim): de waarde van @code/@codeSystem MOET ''792' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40792
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_schoolverzuim)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-95db4c6c-660d-4102-ba23-618d769896d9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40792-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_schoolverzuim): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-6b3c2135-e2f0-4f6c-b2b0-5a82d2a8f516" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-e7829bac-3424-4e1d-8b4b-0f280f9df079" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-afb2273a-b456-4e61-a61b-fb2af53b6dd6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-8d30d2f1-527a-4187-a18c-2f9945d08448">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-a95a3908-a3e7-4278-bee0-8ef4cfb8821b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-6efbad9c-237a-4ccb-b2b2-3b19138191c2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-ddfb586d-72f6-4084-810c-85c0996afa99">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-dacdc07e-0fa1-49f9-92c9-42bca4269a0d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-84162c0c-afe4-43de-8f1d-2fdd9ba58602">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-bfe16b2e-0e2a-43c2-bd6c-69fa24d3a8d2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-bedcc014-a88a-4e54-aaf3-c0b67ba917b4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-f23f1f9b-1222-4c36-8f21-e9de9efb83f1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-b4eaf782-5adf-42e4-9520-1c8b79d24dde">
      <extends rule="tmp-8e225e76-2ae0-44a1-a9a7-ff0c5dd19000"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-8e225e76-2ae0-44a1-a9a7-ff0c5dd19000" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-cc9d6e20-3377-40d2-993c-51a863e03f20">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-aee87673-a11e-4681-9aa4-2c09c3c618d9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-48e74352-5608-454a-aa1c-c121ff65f85e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-30c17af2-9a1f-48f4-9466-492381b42393">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-c8729204-3436-4e03-b25a-96544381a7be">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-284355e4-b0bc-4053-9bb9-4fa84aeced4c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-d018ddbc-0687-4578-bbfd-e113fef1ac5e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-cbac84a9-c29e-4069-aa54-edbc5d0d0a53">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-db767eaa-66e8-47eb-9736-0f46e68d3f1c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-bea0d74f-2c53-4c36-8cb6-e7ea08ae4849">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-935463be-ed4a-4c63-8be9-cbeb0084cb1a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-04346bcf-161e-4f0a-af11-40aacae09ad3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-3b7602d8-98d3-4164-9aa9-3ded1f9cd2ed">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-1b61e195-1882-409e-ae69-4141ed83e3dc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-73632545-ceae-4f8a-9024-cd091a177c91">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-acb6ca61-a7a5-4eea-a719-68474636bec6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-a5db386e-71c9-4790-92dd-807099c2809b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-6178146f-7eb3-4e81-a0fd-dc41d6d033e7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-bc8c2c4d-27ac-468b-bbf6-b8da2dbba025">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-cdd1d6bb-ec77-400a-b416-b9b5f2f89a5b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-455fe92d-9656-484a-9d53-9a807f83ecf8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-e7a779c5-090e-48bb-bfeb-6d022b16ad08">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-7b893192-69ab-4905-89ba-114256a695cb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-2058285a-d7c6-454e-89cd-d098a294cb7b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-815765bc-3c17-48c9-b8a6-f04a41a01277">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-f6826039-3da2-4536-9fc3-70b5c2aa7e49">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-93195e50-15d6-44ee-a682-0e3057d5c980">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-747e7c88-7454-4595-88ff-6d4ff738095d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-9740d44a-e542-457e-b7ea-5d11604c44c9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-8b0b6d4c-126a-411d-8034-d24f51179461">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-72e7c99d-99c8-4bf7-bef5-129e375c2b7d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-2afba297-6710-46e4-a27b-2536ecec55d4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-7654d9d9-666c-4182-8dc8-805d2a1af61a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-37eba831-59cc-4b32-9fc0-fd0246d5367f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-d6aa7142-8120-4b4c-8125-6a98b4e18d35">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11021']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='792' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-4a3e7847-f848-4db7-b13e-7dbf3a896809">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
