<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.11030
Description: Vastleggen van de psychische ontwikkeling aan de hand van leeftijdsspecifieke fasen, in relatie tot de sociale context en het milieu.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.11030">
   <title>Rubriek 30 Psychosociale en cognitieve ontwikkeling</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]
Item: (rubricCluster30)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster
Item: (rubricCluster30)
-->

<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster"
         id="tmp-460b2b1e-9262-4513-982c-2c6394e46909">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="string(@classCode)='CLUSTER' or not(@classCode)">(rubricCluster30): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricCluster30): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']/@nullFlavor)">(rubricCluster30): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030'])&lt;=1">(rubricCluster30): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(rubricCluster30): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricCluster30): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)">(rubricCluster30): element hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster30): element hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster30): element hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster30): element hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster30): element hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']
Item: (rubricCluster30)
-->

<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']"
         id="tmp-bc0afb52-f5f8-483e-a40b-6c7dd1c656da">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricCluster30): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.11030'">(rubricCluster30): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11030' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(rubricCluster30): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:code
Item: (rubricCluster30)
-->

<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:code"
         id="tmp-070590a5-380d-4a9d-bf2e-f4a492592ee7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricCluster30): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="@nullFlavor or (@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">(rubricCluster30): de waarde van @code/@codeSystem MOET ''R030' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster30)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-988192d2-fde7-4242-a8dd-60f1c890b4cf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-92a902f3-8486-4efe-9a4d-040a7619c2aa">
      <extends rule="tmp-2f6099b5-eb46-4867-8dbd-d5a9c7a1392c"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']/@nullFlavor)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259'])&lt;=1">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']"
         id="tmp-250f21b1-b051-46c4-a82c-8cdc88b71dbe">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40259'">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40259' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-7a075876-407f-4b64-82b9-1e91492de2c0">
      <extends rule="tmp-2fa11848-c34a-4104-a009-88382d41687f"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="@nullFlavor or (@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): de waarde van @code/@codeSystem MOET ''259' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-6bcc65c0-0b0d-463e-ac2a-0cdd55ae5be0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-2f6099b5-eb46-4867-8dbd-d5a9c7a1392c" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-2fa11848-c34a-4104-a009-88382d41687f" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-5731db61-f6db-4d02-883b-9a3532abd9b0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-e5595d5f-5e7e-4f71-9ae2-6c429ae35947">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-29a7dcbc-e1db-441d-8fa9-6d1758ee6de1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-7d0e036e-b568-4e53-a45c-a07875616696">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-b7437b29-6426-4099-bf03-b8a258f996e1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-1d4aef25-ee11-4039-9969-45ca48dba866">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-b54181ec-b2e4-49e9-8211-c83da85f593f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-6a7047ef-8e5a-4ed5-9926-33b4dc511a03">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-8bf23bec-0859-4bf7-b114-cfd371ba194f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-1368dcae-506b-46fb-bffb-211701f43c9e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-563118a4-c87b-4c44-8f1b-786aef06af19">
      <extends rule="tmp-f75576ae-8f2a-4d8a-94f9-07bf69a7c272"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-f75576ae-8f2a-4d8a-94f9-07bf69a7c272" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-1e65f6dc-b067-4043-8d13-37e0cc4e4ec8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-ac7f3271-321d-4793-a354-1518ba63302b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-f4deee51-c6a2-47a1-b985-6ac5c01688c9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-0c3f8cb8-a60c-4862-b634-5d851ef06d9c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-e850efeb-e7f0-445c-ab8f-fe61f70e24e7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-756f75df-2aef-4524-a685-0d9a4b96f967">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-d9881e1b-7832-444d-a2bf-cb02da460ec8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-72dd8fc8-fa85-4f13-b03f-2c95defb06f9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-e3bb9503-fd5e-4619-94f3-d887af059366">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-2fa63a15-262e-4450-bdce-328e25662695">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-eeef69d5-41e1-4a93-920c-3c5f86e25fa8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-24f2280e-d25e-4eb3-b0d4-baa08cb612d6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-f7730e1b-e3d3-40b3-bc19-a2e175729915">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-dead88db-310a-4336-baef-a8b97af5de83">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-efc9ba68-994e-4173-9c77-7863f407155d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-b2cfdcf6-e5e8-4c4b-835a-4fa93660b943">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-9473e7b2-576a-4e70-af09-f9a1c09145d2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-c714289d-97bf-4345-8345-a9a63de4a83c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-8912bb9b-49b5-4870-ab22-a927583f0960">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-dc1a2a0b-6cd8-480b-a9c5-4e956a83e33b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-51adc5e9-1914-4b40-bc96-65618d16f872">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-e79988e4-918d-4eea-afc4-d0acbf76416b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-cc0073ad-0782-4b35-ba92-b4bb7b8da7ad">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-9c82ff0e-d155-419c-80cf-bafa4aff6f42">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-90385e35-f362-4e25-aebd-8c46919fc86b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-e9a040e0-1876-45bb-90e6-31f8d56148eb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-68365a63-7ba8-43ee-aa85-6b4d81a9d1f5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-d356a6c8-a387-46cd-aba9-03d258f4fedc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-2c82a8ba-a7be-4c1b-844a-f235d31825d6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-d4e55061-df0c-4b53-92be-57b55e0d38b4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-91169420-f974-44fe-af1d-37e097ae71ff">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-002ff520-3bc0-4b4e-850e-3cf4beed9871">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-f3a4cb18-ad2a-4807-8cc8-28050da82bc5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-07c09f6e-8dce-44b2-a6a0-dd81b82e6e47">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-d12bf220-3857-4313-a005-b7588c433445">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-ef1c3840-1193-4f48-b474-8165ec498b9d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster30)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-b9c1025c-1762-492c-9c9e-b92f935747b4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-5d8507d8-1f4b-4179-b4f3-9b9a446b4db3">
      <extends rule="tmp-62aefd26-ef08-4137-b576-32f254239fdd"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']/@nullFlavor)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265'])&lt;=1">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']"
         id="tmp-19d2fa3a-1029-4aa1-936f-f17d45b31f78">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40265'">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40265' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-fb1681fb-86c3-4f5d-a01c-fe5b6a057d88">
      <extends rule="tmp-771a5836-3273-4c46-894a-5a54d658a120"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="@nullFlavor or (@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): de waarde van @code/@codeSystem MOET ''265' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-b325d6db-8e86-4cfb-b9a3-e9c0ef16f7d9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-62aefd26-ef08-4137-b576-32f254239fdd" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-771a5836-3273-4c46-894a-5a54d658a120" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-b8f5cc86-efd6-48c7-8e51-44583294cb3c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-20874e49-8928-4ac6-a3da-4a0cf3c21fa6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-4daaf21f-a412-4917-829f-e02e639ce3e2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-8e48bd48-3efe-40fb-8642-582d52544197">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-56ea39bb-df04-4633-b483-5f8f0825547b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-dc6c64c3-1216-4513-9947-13cfd939fa0f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-43bfbe83-69cd-4339-9383-f595647d0774">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-e3a7df76-d842-45e0-b9e0-a98246dbdb2b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-e715b6a2-c514-42d7-aeb1-2cae85a4dead">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-90848b45-b026-4ddb-ac04-283faa27a8ca">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-8cef79ed-ac2c-463d-8bff-122071c21a4e">
      <extends rule="tmp-8e6cc18d-1b19-4ce6-b1d2-50d6afc7852a"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-8e6cc18d-1b19-4ce6-b1d2-50d6afc7852a" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-8cda9b16-3c4e-4ed9-9644-b117b867ecff">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-cf27e49b-9be0-4bb9-9e57-bd1c068ebf5a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-ca8d9e64-8a16-4aed-a223-361566ebf0ce">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-940e5cfd-261c-4871-9b49-728f7cc63058">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-19fe1729-8a7c-4121-b40e-8110efd82164">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-140734a3-6f62-4756-80ff-ce809f956e51">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-6649c2ca-4206-4d23-b7bf-70e4a0c0e2f1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-9a1c1add-49e1-4884-b5bb-b9d1d7a8296f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-bc90c676-0eb8-4e33-802a-9daf7ac64f79">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-a989fcb5-a617-40ec-b2e8-3da16bfb50f8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-ba0ccba4-33cf-4063-bfee-8564b6e84ed5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-684a70ef-4853-4f9c-aea0-6cb6f5fb9f71">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-fed6fa14-0426-496e-9bd9-132543cd6c00">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-7a85e0a4-e26c-432e-b8c0-b894b947e08d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-57d4d453-9c7b-4319-89c1-f0350cf86967">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-76ad1376-9772-42d5-b5d1-01470e6a5c4f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-8bfca2e4-78e7-4fe2-a5c6-786a80dda894">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-7357727d-e3c7-4c82-9bf1-bdda7f911ac3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-a46eb966-367a-4749-a38a-55544e3f12c9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-b81de811-074e-4c96-9908-dda4e187591a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-af3e0cf0-008d-44dd-8e89-071a848817b8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-fed37e46-5f3a-454b-ae08-b4e0a9ebd132">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-1ae65cf6-09fd-4b8a-ac54-8b92c6b7ed0b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-7e044e1b-1244-4c74-b31f-e650b4ee5a31">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-6f1d473e-e4ac-47af-b1ff-40072910d671">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-12324043-d834-4d39-a86e-2a90bd5c0141">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-78413385-aa39-431d-a3be-94a91186e598">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-fd423c55-5e4d-4e68-bcbb-1be61de8495d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-a91d8a2a-f86c-4515-9a36-c80948186ffb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-0e1280e1-49f1-4323-b0c8-a5838dd8f924">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-22dbbc5e-c393-478e-b5c9-cf2d12ba1598">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-d017b7a3-ac83-402a-810e-428c19180a58">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-174c2380-7e5d-414f-8550-5ca899050241">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-02bdc5bc-00bd-4426-a3e0-ad6af6716d7e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-17acd7af-6faa-4593-9be7-d255c078b1c6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-f8377437-8aa7-4244-92c0-20dc198b1e19">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster30)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-43c655f6-1149-4620-8003-09d687e9cd78">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-b7fc9df2-b3f6-47a8-92d4-4bd3bf0e0022">
      <extends rule="tmp-d3646293-b1aa-442a-b2bf-3c2e474d4915"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']/@nullFlavor)">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814'])&lt;=1">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']"
         id="tmp-37be9feb-987e-440b-8432-dd03980a9703">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_cognitieve_ontwikkeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40814'">(obs_Bijzonderheden_cognitieve_ontwikkeling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40814' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_cognitieve_ontwikkeling): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-23e05e7a-450f-4da2-a391-f36b91eec7c3">
      <extends rule="tmp-06133ccb-b628-437d-92a2-da413defc021"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_cognitieve_ontwikkeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="@nullFlavor or (@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_cognitieve_ontwikkeling): de waarde van @code/@codeSystem MOET ''814' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-5fb95641-2810-4ab6-9022-260313c36928">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_cognitieve_ontwikkeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-d3646293-b1aa-442a-b2bf-3c2e474d4915" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-06133ccb-b628-437d-92a2-da413defc021" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-a2820d78-dcb2-4db0-a98f-4c140c5b3294">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-298b70ac-fdce-4f5e-8c8c-7a0b392c5b99">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-2321103a-c81a-4d9a-a94f-8df2175d4e02">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-dfcd7ee7-f2ff-4064-94d6-70ba8a54c3ed">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-52c22088-1828-458d-94fe-b772abca5ba8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-0fb73a12-e53d-470f-a6be-440bdf32f6fb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-f4245cf7-e192-4942-a5a4-8ebb2463da0d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-afcc00af-0158-4353-aae9-3f53fdd9851d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-93409e20-d452-43a0-bd1b-852e7462713e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-fbb5170b-66b2-40cb-9bfa-e9318e9be2b7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-4d68149a-bcf6-4ce8-976b-1f93a9c806dd">
      <extends rule="tmp-f099e13e-7e6f-4bac-9ad9-67f8af518877"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-f099e13e-7e6f-4bac-9ad9-67f8af518877" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-e8b99ec0-1e89-4b14-91b8-26e9e43bf76f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-a42da800-a763-4d67-af59-e833ad1a7efc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-c7f1be57-565a-489e-8660-850a757fdbbe">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-f9ca9387-9b11-47ae-947f-4b349260c71c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-09a4e719-3029-4336-be0f-2f982d0a9e2b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-e5159c33-4f77-4bf1-b6c9-6342a3ae068c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-b2cc040f-3554-4a74-91d0-ac040abd990a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-c8d4ceef-21a6-4209-b07d-7f484a2dd484">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-1b40d361-f9f9-420c-9249-b385f0de059d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-92633487-9b29-4327-9139-3a23b8aa859c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-9b6fb64d-85b7-4028-8b5b-b5bbfac888bf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-3fb4df5d-4a63-47f2-bc4c-cb9f4cba45ea">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-31d97d2c-84c1-4ad9-91b6-bce06440fe98">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-98f9e25e-24db-4db6-b8f7-c6eb3d11684f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-42c2125f-3ca6-4d8a-a283-c2abe7677002">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-209b7937-958e-4ba6-9f5e-cf03237bd459">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-e1dc0fc4-50dd-4283-9a2e-00ace825e203">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-c75a6b5a-68ef-46d9-9a1e-de86248d33f2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-918dd24b-079c-4917-8e64-8d963b181ec0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-c01fa6ce-791a-474f-b2eb-3725c275f1af">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-3e54f976-45d8-41e6-9044-85abefec0cfe">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-ae77317e-4900-4ae5-b410-5af6a7615c73">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-de7190c1-b758-4034-b8ba-6ef0e63ff321">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-c0dfc7b9-9b5f-4945-8f25-2505c01bfd6d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-40770831-3020-44e2-a4c1-01e4c5e74fda">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-8cb8f10d-b910-4fac-b352-6812ef48f83a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-ea3afb9f-a792-4c28-a014-b8ed53e4f8f9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-b549dfbc-5c85-414d-b05b-a406032e0542">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-c03c920d-f58c-45ef-ad34-8ac1b6e95313">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-224b04fc-9879-4882-81e5-18c0af02f0c7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-d4e1bb12-f174-4c96-9b80-ca5f42808a76">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-e93584c4-ae56-4035-b1c6-e3dbb8def4d5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-12783208-f7d8-48bb-a0be-071333a1783f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-1565ede7-36a0-4f76-b1d5-cc53d1813879">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-9d7b03b9-0b9d-4f17-a77b-a412eeb4d03b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-43a0e5b0-4842-4859-bbaf-4b2e033cdbe6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster30)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster
Item: (obs_Menstekening)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Menstekening)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-3ba603f9-99c1-4535-96e1-1d3daa9c0e6e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Menstekening): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:observation)&lt;=1">(obs_Menstekening): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Menstekening)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-6332af83-5ab1-4645-a37e-99f3a6d7bc76">
      <extends rule="tmp-f251f3bf-3903-4c1f-b68b-116cac16d23c"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']/@nullFlavor)">(obs_Menstekening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440'])&lt;=1">(obs_Menstekening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Menstekening): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(obs_Menstekening): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Menstekening): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Menstekening): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']
Item: (obs_Menstekening)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']"
         id="tmp-811b8ad9-27f9-4cb2-a0ef-89d0e0e9fc12">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Menstekening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.41440'">(obs_Menstekening): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41440' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Menstekening): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Menstekening)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-276d3feb-5d67-43ad-9b3d-432ce475406f">
      <extends rule="tmp-9d09eee6-117e-43d9-ad25-c35f158cdbe7"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Menstekening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Menstekening): de waarde van @code/@codeSystem MOET ''1440' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Menstekening)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-fe235850-6688-4778-9084-e7f83f59e02c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(obs_Menstekening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.665-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.665-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(obs_Menstekening): de waarde van @code MOET worden gekozen uit waardenlijst W0665_HL7 W0665 Menstekening (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Menstekening): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0665_HL7 W0665 Menstekening (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-f251f3bf-3903-4c1f-b68b-116cac16d23c" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@negationInd)='false' or not(@negationInd)">(rubricClusterObservation): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->
<rule id="tmp-9d09eee6-117e-43d9-ad25-c35f158cdbe7" abstract="true">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text"
         id="tmp-5014de17-4bce-43e7-947f-6fb745c205ec">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-1f291831-66b5-4e3f-92c5-881d999f3cc8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-ee435c8c-ebc7-417d-b80d-e4463c372f37">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-ba308d70-3968-45e5-9ba6-69faf58c0b15">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-d465ed54-c19b-47a8-98bb-89f8f64dd705">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-5f1e171b-b4c1-4666-a668-d88df5ee36e3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-b1caa850-c350-4ea3-ae54-53af12f17f07">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10022
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-f9aba15e-ab39-497d-91a8-4f5267ef16c3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10022-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-6660fc50-3a7e-4a6c-9944-768bab33ecfd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-a126e29e-9c92-4f7a-b759-8e13ac40ee02">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-f277e5b7-f726-4fbb-8963-60d1343a3504">
      <extends rule="tmp-29d58956-3873-4096-8423-dfdadccde546"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-29d58956-3873-4096-8423-dfdadccde546" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-8e0187b1-cd65-49aa-82d4-07c7a3094963">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-b032c0bb-1a5b-4751-9706-1e3044d75b63">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-2fd4468d-5d01-46b4-a243-6848f638e789">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-6440680c-fabf-48ed-b059-27c8b406b922">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-32a4e4aa-c5eb-470f-8452-f6a638ea40ce">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-b1c0f73b-70f1-41b0-af0a-030d16408fa0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-e4fe04cf-3eb1-4d60-ad61-70d0e4deff28">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.619-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-5935516f-ebf4-47d7-a3ac-e7acb6d83ea7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code[@nullFlavor]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code[@nullFlavor]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-17b54140-92b4-4cb9-b9f5-381df015affb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-7aad8bb0-552a-4d16-aa46-b451fdc0fc64">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-81a4ab07-3a74-49d4-acd4-8cd1d6e4544e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-8e0a86c1-a3e6-48d5-b81d-bf9f8a643e3c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-8abd596d-8efa-43ee-99a6-c38e8da58a71">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-bd9235c0-ef66-46d2-b051-8eeb9bcd00bb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-acd5d73f-f5aa-411a-b274-700e172fe269">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(activitiesSubjectOfConclusion): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-3ea61c50-777e-42ac-8c5c-fb0a5c4b7766">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-a0b751d8-99da-4ade-9326-a99e31e6878b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-03e33403-02d2-4a5d-8bce-8d859a8b604a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-73d05190-ad2f-4baa-953e-5e0495406768">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.621-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component"
         id="tmp-ab274155-ebc4-4494-a329-db98238e2dd5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&gt;=1 and not(hl7:additionalObservation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:additionalObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:additionalObservation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:additionalObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation"
         id="tmp-1b504c30-7322-4974-980a-c65b6eee6a5e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='OBS' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:code"
         id="tmp-ca3d4832-f77d-4fb6-8ac6-54f59e9ea7cd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1494' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''1494' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:component/hl7:additionalObservation/hl7:value"
         id="tmp-861b851b-58af-4afd-91f5-e1dc63bc09eb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-1254c5ad-cb45-4c84-be67-4efe14662665">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[(@code='7') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-1eabf894-dcf1-44dc-a617-7d91c4801bf1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''7' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]"
         id="tmp-5e618bae-15ce-454c-bcf6-d4a061347b30">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code"
         id="tmp-c2c92d0c-f46a-4645-9d0e-146e61c06838">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@nullFlavor)='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code[@nullFlavor]]/hl7:code/hl7:originalText"
         id="tmp-2c90bf28-4983-46fb-b142-de0d536d88a5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-1ba8bf34-6522-43ae-8b92-ba760d28156e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-462f5899-df3d-4a4d-a84f-989485a67de1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-b2f57ec3-a530-4bac-8d11-94dc2aea4723">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10037
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-8b6f90b3-f7bf-4dcc-bd48-4dd1835e8c5a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10037-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-e72a4ad5-591a-4c74-92be-46860eda6fe7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-cec9572a-9b50-46d7-8ae7-6b648f4f31ac">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-1a429327-abed-4f07-b75a-d53c0317ef84">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10036
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-d1dd32f1-572a-4240-9880-54ce8e584d3c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.10036-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
